2008-05-26  Naba Kumar  <naba@gnome.org>

	* NEWS: Updated
	* configure.in: Bumped version to 2.4.2

2008-05-25  Naba Kumar  <naba@gnome.org>

	Patch from Pavel Kostyuchenko:
	* libanjuta/anjuta-preferences.c
	(anjuta_preferences_is_dialog_created):
	* libanjuta/anjuta-preferences.h:
	* src/action-callbacks.c (on_set_preferences1_activate):
	Fixed bug #532537 - Crash on closing Anjuta Preferences when it
	open twice. (Backported from trunk)

2008-05-25  basti  <pee@hiddenbox.de>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>:
	* plugins/debug-manager/debug_tree.c:
	Fix a crash when changing a watch while debugger is stopped

2008-05-21  Michael Placentra <someone@michaelplacentra2.net>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>:
	* plugins/project-wizard/templates/django.wiz:
	Fix #533758: django project creation fails

2008-05-19  Johannes Schmid  <jhs@gnome.org>

	Patch from Pavel Kostyuchenko:
	* plugins/glade/anjuta-design-document.h:
	* plugins/glade/plugin.c (update_current_project),
	(value_added_current_editor), (glade_update_ui),
	(on_document_destroy), (glade_plugin_add_project):
	
	#532625 – Wrong consecution of functions calls when opening a glade file

2008-05-17  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/terminal.wiz,
	plugins/project-wizard/templates/xlib-dock.wiz,
	plugins/project-wizard/templates/wxwin.wiz,
	plugins/project-wizard/templates/java.wiz,
	plugins/project-wizard/templates/django.wiz,
	plugins/project-wizard/templates/gnome.wiz,
	plugins/project-wizard/templates/anjuta-plugin.wiz,
	plugins/project-wizard/templates/gtkmm.wiz,
	plugins/project-wizard/templates/python.wiz,
	plugins/project-wizard/templates/cpp.wiz,
	plugins/project-wizard/templates/sdl.wiz,
	plugins/project-wizard/templates/gtk.wiz,
	plugins/project-wizard/templates/minimal.wiz,
	plugins/project-wizard/templates/xlib.wiz,
	plugins/project-wizard/templates/gcj.wiz:
	Fix #533346: Create project in path with spaces fails

2008-05-17  Sébastien Granjoux  <seb.sfo@free.fr>

	* src/anjuta.glade,
	libanjuta/anjuta-preferences.c:
	Fix #531940: Can't change the default project directory

2008-05-13  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/executer.c:
	Fix #532243 Execute Program with whitespace in the project path fails

2008-05-13  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/debug_tree.c:
	Fix #531623: Crash on updating non-existing watch

2008-04-21  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/action-callbacks.c
	(on_editor_command_paste_activate):
	#528693 – Ctrl-F (Find) followed by Ctrl-V (Paste) pastes into main window
  (from trunk)

2008-04-20  Johannes Schmid  <jhs@gnome.org>

	* plugins/document-manager/plugin.c
	(update_document_ui_undo_items), (update_document_ui_save_items),
	(on_document_update_ui):
	* plugins/sourceview/sourceview.c (idocument_redo):
	Bug #528705 – There is no Redo (from trunk)

2008-04-19  Johannes Schmid  <jhs@gnome.org>

	* plugins/search/search-replace_backend.c (isawordchar),
	(extra_match), (get_next_match):
	
	Make searching utf-8 aware (#440637)

=== anjuta 2.4.1 ===

2008-04-06  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped version 2.4.1
	* NEWS: Updated.

	patch from  surenspost@gmail.com:
	* src/about.c: Fixed bug #523068 link in about window doesn't work.
	(backported from trun)

2008-04-07  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c (idocument_cut),
	(idocument_copy), (idocument_paste):
	Block insert-text signal on cut/copy/paste (backport from trunk)

2008-04-06  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/gtkmm.wiz,
	plugins/project-wizard/templates/gtkmm/src/Makefile.am.tpl,
	plugins/project-wizard/templates/gtkmm/src/main.cc,
	plugins/project-wizard/templates/django.wiz,
	plugins/project-wizard/templates/python.wiz,
	plugins/project-wizard/templates/python/configure.ac.tpl,
	plugins/project-wizard/templates/python/src/Makefile.am.tpl,
	plugins/project-wizard/templates/cpp.wiz,
	plugins/project-wizard/templates/cpp/configure.ac.tpl,
	plugins/project-wizard/templates/cpp/src/Makefile.am.tpl,
	plugins/project-wizard/templates/sdl.wiz,
	plugins/project-wizard/templates/sdl/configure.ac.tpl,
	plugins/project-wizard/templates/sdl/src/Makefile.am.tpl,
	plugins/project-wizard/templates/terminal.wiz,
	plugins/project-wizard/templates/terminal/configure.ac.tpl,
	plugins/project-wizard/templates/terminal/src/Makefile.am.tpl,
	plugins/project-wizard/templates/terminal/Makefile.am.tpl,
	plugins/project-wizard/templates/gtk.wiz,
	plugins/project-wizard/templates/gtk/src/main.c,
	plugins/project-wizard/templates/gtk/src/Makefile.am.tpl,
	plugins/project-wizard/templates/minimal.wiz,
	plugins/project-wizard/templates/minimal/configure.ac.tpl,
	plugins/project-wizard/templates/minimal/Makefile.am.tpl,
	plugins/project-wizard/templates/java.wiz,
	plugins/project-wizard/templates/java/configure.ac.tpl,
	plugins/project-wizard/templates/java/src/Makefile.am.tpl,
	plugins/project-wizard/templates/xlib.wiz,
	plugins/project-wizard/templates/xlib/configure.ac.tpl,
	plugins/project-wizard/templates/xlib/src/Makefile.am.tpl,
	plugins/project-wizard/templates/gcj.wiz,
	plugins/project-wizard/templates/gcj/configure.ac.tpl,
	plugins/project-wizard/templates/gcj/src/Makefile.am.tpl,
	plugins/project-wizard/templates/xlib-dock.wiz,
	plugins/project-wizard/templates/xlib-dock/src/Makefile.am.tpl,
	plugins/project-wizard/templates/wxwin.wiz,
	plugins/project-wizard/templates/wxwin/configure.ac.tpl,
	plugins/project-wizard/templates/wxwin/src/Makefile.am.tpl,
	plugins/project-wizard/templates/gnome.wiz,
	plugins/project-wizard/templates/gnome/src/main.c,
	plugins/project-wizard/templates/gnome/src/Makefile.am.tpl,
	plugins/project-wizard/templates/anjuta-plugin.wiz,
	plugins/project-wizard/templates/anjuta-plugin/configure.ac.tpl,
	plugins/project-wizard/templates/anjuta-plugin/src/plugin.c,
	plugins/project-wizard/templates/anjuta-plugin/src/plugin.plugin.in,
	plugins/project-wizard/templates/anjuta-plugin/src/Makefile.am.tpl,
	plugins/project-wizard/templates/anjuta-plugin/po/POTFILES.in:
	Fix bug #525999: Remove space in file and target names generated
	by project wizard
	Fix sample anjuta plugin: ianjuta_document_manager_get_current_editor
	has been renamed ianjuta_document_manager_get_current_document

2008-04-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/file-loader/plugin.c (open_with_dialog):
	Revert accidental string change

2008-04-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/sourceview/sourceview.c (autodetect_language):
	Use gnome_vfs_get_slow_mime_type()

2008-04-02  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/anjuta-utils.c (anjuta_util_get_uri_mime_type):
	* plugins/file-loader/plugin.c (get_available_plugins_for_mime),
	(open_with_dialog):
	
	Use gnome_vfs_get_slow_mime_type() to determine the mime-type and try
	supertype instead no plugin for mime-type was found (#525706)
	
	(backport from trunk)

2008-03-12  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c (extract_mode_line),
	(get_line_indentation_base):
		
	#521847 – anjuta freez when edit file

2008-03-11  Johannes Schmid  <jhs@idefix>

	Patch by Rob Bradford:
	* plugins/build-basic-autotools/executer.c (execute_program):
	520324 – Execute command is not overridable

2008-03-11  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c
	(get_line_indentation_base):
	* plugins/sourceview/anjuta-view.c (anjuta_view_key_press_event),
	(anjuta_view_button_press_event):
	* plugins/sourceview/sourceview.c (on_insert_text),
	(sourceview_adjustment_changed), (sourceview_new):
	
	#520761 – Weirz behavior with popup
	#520415 – [PATCH] Problems in auto indentatation code
	
	Patch by James Liggett:
	* plugins/subversion/plugin.c (activate_plugin):
	#521691 – Crash when click "Resolve Conflicts" without opened project

=== anjuta 2.4.0 ===

2008-03-11  Naba Kumar  <naba@gnome.org>

	* NEWS: Updated for 2.4.0 stable release.
	* configure.in: Version bumped to 2.4.0
	* TODO.tasks: Updated.

2008-03-10  Rob Bradford  <rob@robster.org.uk>

	Reviewed by Naba Kumar  <naba@gnome.org>:
	* global-tags/Makefile.am:
	Revert change for #515954. This change was incorrect, the anjuta-tags
	program is installed into the $(bindir) rather than the $(scriptdir).

2008-03-02  Naba Kumar  <naba@gnome.org>

	* plugins/message-view/anjuta-msgman.h: Fixed a build error.
	* configure.in: Added a requirement for scintilla editor plugin.

2008-03-02  Johannes Schmid  <jhs@gnome.org>

	* plugins/message-view/anjuta-msgman.c
	(anjuta_msgman_instance_init), (anjuta_msgman_append_view),
	(anjuta_msgman_get_current_view), (anjuta_msgman_set_current_view):
	* plugins/message-view/anjuta-msgman.h:
	
	Fixed anjuta_msgman_get_current_view() to access the notebook directly and
	get rid of the cached current_view member.
	Fixes #518469 – Save message buffer not working good

2008-03-01  Johannes Schmid  <jhs@gnome.org>

	Patch by James Liggett:
	* plugins/subversion/svn-command.h:
	* plugins/subversion/svn-diff-command.c (svn_diff_command_run):
	Fixed #519275 – Subversion should allow offline diffs	

2008-02-29  Johannes Schmid  <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c
	(cpp_java_assist_get_calltip_context), (cpp_java_assist_check):
	Removed some debug code
	
	* plugins/sourceview/assist-tip.c (assist_tip_set_tips):
	Escape tooltip text to avoid broken markup

2008-02-29  Johannes Schmid  <jhs@gnome.org>

	* libanjuta/Makefile.am:
	Fixed a build error when building with -j X
	
	* plugins/tools/scripts/prepare-changelog.pl:
	Updated to latest script version in gnome svn

2008-02-28  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_page_destroy):
	Do not unref widget because the GtkNotebook will unref them
	
	* plugins/file-manager/file-view.c: (file_view_refresh):
	* plugins/search/search_preferences.c: (search_preferences_init):
	Fixed a memory leaks
	
	* plugins/sourceview/sourceview.c: (sourceview_add_monitor),
	(ieditor_get_offset), (ieditor_iface_init),
	(idocument_get_filename), (ilanguage_get_supported_languages),
	(autodetect_language):
	
	Fixed memory leaks and implemented ianjuta_editor_get_offset() which
	was missing.

2008-02-28  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/anjuta-view.c: (anjuta_view_key_press_event):
	Hide tooltip when Up, Down, Page_Up or Page_Down is pressed

2008-02-27  Naba Kumar  <naba@gnome.org>

	* plugins/document-manager/plugin.c: (on_docman_auto_save): Reverted
	string break. That was a mistake doing at this point.

=== anjuta 2.3.5 ===

2008-02-26  Naba Kumar  <naba@gnome.org>

	* plugins/document-manager/plugin.c: (on_docman_auto_save): Fixed a
	crash when there is a modified new file open, a non-modified exiting
	file open and autosave happen. Simplified error checking logic and
	avoided memory corruption. Fixes bug #Bug 518716.

2008-02-25  Naba Kumar  <naba@gnome.org>

	* NEWS: Updated for release 2.3.5
	* configure.in: Bumped version to 2.3.5

	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_editor_changed): Avoid accessing text which is greater than
	valid range.

	* plugins/editor/text_editor_cbs.[c,h]: Removed dead code.

2008-02-25  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/breakpoints.c:
	Fix #518329: Crash when adding breakpoint and other similar bugs

2008-02-25  Johannes Schmid <jhs@gnome.org>

	* tagmanager/entry.c: (updateSortedFlag), (isCtagsLine),
	(copyBytes), (copyFile), (openTagFile), (makeTagEntry):
	Never call error() which calls exit()
	#517646 – Anjuta exists with code 2 when i try to import gedit

2008-02-23  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (ieditor_insert):
	Block insert_text signal when inserting manually.

2008-02-23  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (on_insert_text):
	Fixed a problem with the "insert-text" signal that broke
	copy&paste sometimes

2008-02-22  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base):
	More fixes for comment handling and made the code
	a lot simpler

2008-02-22  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (on_insert_text):
	Fixed #517919 – Crash on pasting docblock

2008-02-20  Johannes Schmid <jhs@gnome.org>

  Patch from James Liggett:
	* plugins/profiler/profiler.glade:
	Fix width options dialog. Translations are not longer cut off. (#516630)

2008-02-18  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (on_insert_text):
	Do not change the iterator in the "insert-text" handler because
	it has some strange side-effects when copying text
	Fix useless free'ing in hover-leave that might have led to random
	crashes

2008-02-18  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/start.c:
	Avoid a glib warning if no project is loaded

2008-02-18  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	Remove warning about new debugger

2008-02-17  Johannes Schmid <jhs@gnome.org>

	* manuals/anjuta-manual/figures/project-window.png:	
	Use a smaller picture

2008-02-17  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/debugger.c:
	Set breakpoint in file with uncommon characters in path name

2008-02-17  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/anjuta-view.c: (anjuta_view_key_press_event):
	* plugins/sourceview/sourceview-cell.c: (icell_get_character),
	(icell_get_char):
	* plugins/sourceview/sourceview.c: (on_insert_text):	
	Fix "char-added" signal to pass the correct iterator

2008-02-17  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/debugger.c:
	Load executable in gdb with space in path name 

2008-02-17  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base), (get_line_auto_indentation),
	(on_auto_indent):
	Some bugfixes and clean-ups in comment indentation code
	
	* plugins/sourceview/anjuta-view.c: (anjuta_view_class_init),
	(anjuta_view_finalize), (anjuta_view_key_press_event):
	* plugins/sourceview/sourceview.c: (on_insert_text),
	(sourceview_create_highligth_indic), (sourceview_new):
	Cleaned implementation of char-added signal by using "insert-text" signal
	instead of filtering "key-press-event"
	* plugins/sourceview/sourceview-cell.c: (icell_get_character),
	(icell_get_length), (icell_get_char), (iiter_first), (iiter_last),
	(iiter_diff):
	Fixed implementation of get_character and return value of iiter_first() and
	iiter_last();

2008-02-16  Johannes Schmid <jhs@gnome.org>

	* plugins/valgrind/plugin.c: (valgrind_activate),
	(ipreferences_merge), (ipreferences_unmerge):
	* plugins/valgrind/vgactions.c: (vg_actions_run):
	* plugins/valgrind/vgdefaultview.c: (valgrind_view_load_log):
	
	Fixed crasher when starting valgrind because of strange prefs handling and
	#516641 – Valgrind: Load Log does not clear list

2008-02-15  James Liggett  <jrliggett@cox.net>

	* plugins/profiler/plugin.c:
	(on_select_other_target_button_clicked):
	Select the new custom target in the list so that the user sees it.

	Bug 516630 – Selection custom binary in profiler is not
	user-friendly.

2008-02-16  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/projects.xml:
	Fix #515993: "Add package" button is "Add Package" in code
	Fix #516727: "Build All" is "Build Project" in code
	Fix #516728: "Clean All" is "Clean Project" in code
	Fix #516728: "Autogenerate" is "Run Autogenerate..." in code
	Fix #516730: Fix note title 
	"Configure" is "Run Configure..." in code

2008-02-16  Sébastien Granjoux  <seb.sfo@free.fr>

	* (added) manuals/anjuta-manual/C/figures/project-window.png,
	(removed) manuals/anjuta-manual/C/figures/project_win.png,
	manuals/anjuta-manual/C/projects.xml,
	manuals/anjuta-manual/Makefile.am:
	Fix #515207: Add a new project window screenshoot
	Rename "Project View" to "Project window"

2008-02-16  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-import/project-import.c:
	Fix #516743: Import project keeps an old date on project file

	* plugins/project-manager/plugin.c:
	Fix #516737: Import project doesn't load project with space in name

2008-02-16  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/command.c:
	Destroy local variables on each step

	* plugins/debug-manager/debug_tree.c,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/locals.c,
	plugins/gdb/debugger.c,
	libanjuta/interfaces/libanjuta.idl:
	Parse local variables scope (not used yet)

2008-02-15  James Liggett <jrliggett@cox.net>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/profiler/gprof-options.c: (setup_widgets),
	(gprof_options_set_target), (gprof_options_has_target),
	(gprof_options_get_string):
	* plugins/profiler/gprof-options.h:
	* plugins/profiler/plugin.c: (ifile_open):
	516128 – crash in Anjuta IDE: selected profiler as the...

2008-02-14  Johannes Schmid <jhs@gnome.org>

	* plugins/macro/macro-db.c: (save_macro), (macro_db_get_macro):
	* plugins/macro/macro-dialog.c: (on_macro_selection_changed):
	* plugins/symbol-browser/an_symbol.c:
	* plugins/symbol-browser/an_symbol_view.c:
	(on_symbol_view_row_expanded):
	Fixed some memory leaks (Remember to all free/unref everything that comes
	from gtk_tree_model_get())

2008-02-14  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/search-box.c: (on_search_activated):
	516377 – Status bar does not change its status of 'Search for .. continued at top'
	(caused by differences between scintilla and sourceview)

2008-02-13  James Liggett <jrliggett@cox.net>

	* plugins/subversion/svn-diff-command.c: (svn_diff_command_run):
	Output in UTF-8 format to avoid hangs with the editor. (#516014)

2008-02-14  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base), (get_line_auto_indentation),
	(on_editor_char_inserted_cpp):
	504905 – Ctrl-I (Auto Indent) doesn't indent properly after C++ public: and private:

2008-02-13  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(is_iter_inside_string), (get_line_auto_indentation):
	Handle comments in the code and do not ask editor. Fixes scintilla
	indentation (sourceview does not report comments anyway).
	
	* plugins/sourceview/sourceview-cell.c: (iiter_diff):
	Diff with correct sign (also fixes some issues with language-support)

2008-02-13  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base):
	Act even more clever for comments. Indent /* */ comments correctly
	for multilines

2008-02-13  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (ieditor_set_tab_size):
	Also set indentation size correctly, when tab size is set
	by language support plugin

2008-02-13  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base):
	
	Indent lines after comments correctly

2008-02-13  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-launcher.c: (anjuta_launcher_set_encoding_real),
	(anjuta_launcher_set_encoding), (anjuta_launcher_fork):
	* libanjuta/anjuta-launcher.h:
	Some more fixes from symbol-db-branch
	
	* src/Makefile.am:
	Move anjuta-shell to noinst_PROGRAMS as it is just a test

2008-02-12  Johannes Schmid <jhs@gnome.org>

  Patch from Gennaro Bellizio <genbell@tiscali.it>:
	* global-tags/Makefile.am:
	* AUTHORS
	#515954 – create_global_tags.sh: wrong anjuta-tags path
	
	* libanjuta/anjuta-launcher.c: (anjuta_launcher_initialize),
	(anjuta_launcher_dispose), (anjuta_launcher_check_password_real),
	(anjuta_launcher_scan_output), (anjuta_launcher_scan_error),
	(anjuta_launcher_scan_pty), (anjuta_launcher_set_encoding),
	(anjuta_launcher_fork):
	* libanjuta/anjuta-launcher.h:
	Fix anjuta_launcher_set_encoding() and cleaned-up. Mostly backported
	from symbol-db branch

2008-02-11  Johannes Schmid <jhs@gnome.org>

	* plugins/file-manager/file-model.c: (file_model_expand_idle):
  515868 – File browser only shows icons when activated
  
2008-02-11  Johannes Schmid <jhs@gnome.org>

	* plugins/file-manager/file-model.c: (file_model_expand_idle):
	#515867 – Anjuta dies on startup

2008-02-11  Johannes Schmid <jhs@gnome.org>

	* TODO.tasks: Marked subversion task as completed

=== anjuta 2.3.4 ===

2008-02-11  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped version to 2.3.4

2008-02-10  Naba Kumar  <naba@gnome.org>

	* NEWS: Updated for release.

2008-02-10  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-document-manager.plugin.in:
	Added html, javascript and glade file types. This makes it possible to
	edit a glade file by hand in anjuta (shows a dialog whether to use Glade or
	document-manager (#514695 – Anjuta v2.2.3 can't open js files)
	
	* plugins/file-wizard/anjuta-file-wizard.glade:
	* plugins/gdb/anjuta-gdb.glade:
	* plugins/project-wizard/anjuta-project-wizard.glade:
	* plugins/search/anjuta-search.glade:
	* plugins/terminal/anjuta-terminal-plugin.glade:
	
	Fixed some other translation issues (#507921)

2008-02-10  Naba Kumar  <naba@gnome.org>

	* plugins/gtodo/preferences.c: (preferences_cb_do_tooltip): Removed
	unnecessary warning. Fixes bug #510183 - Tooltips claim to be broken.

2008-02-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/interface.xml,
	manuals/anjuta-manual/C/introduction.xml,
	manuals/anjuta-manual/C/preferences.xml,
	manuals/anjuta-manual/C/fileoperations.xml,
	manuals/anjuta-manual/C/projects.xml:
	Fix spelling errors, including bug #515204, #515172, #515117
	and #513892

2008-02-10  Naba Kumar  <naba@gnome.org>

	* plugins/document-manager/plugin.c: Fixed stream comment and added
	translator's comment for 'block comment', 'box comment' and 'stream
	comment'

2008-02-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/breakpoints.c,
	libanjuta/interfaces/libanjuta.idl:
	Avoid adding the same breakpoint several times

	* plugins/gdb/debugger.c:
	Fix bug #515463: Deattaching process kill it

2008-02-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	Fix translation bug #515459 and #515460

2008-02-10  Johannes Schmid <jhs@gnome.org>

  Patch from Rémi Cardona <remi@gentoo.org>

	* plugins/build-basic-autotools/Makefile.am:
	* plugins/cvs-plugin/Makefile.am:
	* plugins/document-manager/Makefile.am:
	* plugins/editor/Makefile.am:
	* plugins/indent/Makefile.am:
	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/message-view/Makefile.am:
	* plugins/sourceview/Makefile.am:
	* plugins/symbol-browser/Makefile.am:
	* plugins/terminal/Makefile.am:
	* scripts/build-schemas.mk:
	* src/Makefile.am:
  Fix #512531 – Parallel build fails
  
  * AUTHORS: Added Rémi

2008-02-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/queue.c:
	Fix interrupt command, not working due to previous change

2008-02-10  Johannes Schmid <jhs@gnome.org>

	* src/Makefile.am:
	* src/anjuta-app.c:
	* src/anjuta-callbacks.c (removed):
	* src/anjuta-callbacks.h (removed):
	
	Removed (almost) empty files, fixes #515383 and #515388

2008-02-09  James Liggett <jrliggett@cox.net>

	Reviewed by Naba Kumar  <naba@gnome.org>:

	* plugins/subversion/svn-add-command.c: (svn_add_command_new):
	* plugins/subversion/svn-cat-command.c: (svn_cat_command_new):
	* plugins/subversion/svn-command.c:
	(svn_command_make_canonical_path):
	* plugins/subversion/svn-command.h:
	* plugins/subversion/svn-copy-command.c: (svn_copy_command_new):
	* plugins/subversion/svn-diff-command.c: (svn_diff_command_new):
	* plugins/subversion/svn-log-command.c: (svn_log_command_new):
	* plugins/subversion/svn-merge-command.c: (svn_merge_command_new):
	* plugins/subversion/svn-remove-command.c:
	(svn_remove_command_new):
	* plugins/subversion/svn-status-command.c:
	(svn_status_command_new):
	* plugins/subversion/svn-switch-command.c:
	(svn_switch_command_new):
	* plugins/subversion/svn-update-command.c:
	(svn_update_command_new):
	Make sure that all paths are "canonical" by libsvn rules so anjuta doesn't 
	die if the user gives a path that libsvn doesn't like. 
	
	Fixes bug #515500

2008-02-08  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/queue.c:
	Fix crashes when trying to stop the debugger while it is busy

2008-02-08  Johannes Schmid <jhs@gnome.org>

  Patch from Rodrigo Moya <rodrigo@novell.com>

	* plugins/glade/plugin.c: (ifile_open):
	* plugins/symbol-browser/test-class.cpp:
	* AUTHORS: Added Rodrigo
	
	#514732 – 64 bit compliation error
	#514733 – Use of uninitialized variables

2008-02-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	Fix translation bug #514494 and bug #514440

2008-02-05  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-db/symbol-db-engine-iterator-node.c:
	Fix a compile error added in the previous patch
 
2008-02-04  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/profiler/gprof-view.c,
	plugins/class-inheritance/class-callbacks.c,
	plugins/class-inheritance/class-inherit.c,
	plugins/symbol-browser/an_symbol.c,
	plugins/symbol-db/symbol-db-engine-iterator-node.c,
	libanjuta/interfaces/libanjuta.idl:
	Change ianjuta_symbol_file function to ianjuta_symbol_uri

2008-02-04  Johannes Schmid <jhs@gnome.org>

	* plugins/search/anjuta-search.glade: Fixed typo

2008-02-03  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-save-prompt.c: (anjuta_save_prompt_add_item):
	* libanjuta/anjuta-utils.c: (anjuta_util_execute_shell):
	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(build_get_context), (build_configure_project):
	* plugins/class-gen/anjuta-class-gen-plugin.glade:
	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	* plugins/cvs-plugin/cvs-callbacks.c: (on_cvs_commit_response):
	* plugins/cvs-plugin/cvs-execute.c: (on_cvs_terminated):
	* plugins/devhelp/plugin.c: (devhelp_activate):
	* plugins/editor/Makefile.am:
	* plugins/editor/anjuta-editor-scintilla.glade:
	* plugins/editor/text_editor.c:
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_menu.c (removed):
	* plugins/editor/text_editor_menu.h (removed):
	* plugins/file-wizard/anjuta-file-wizard.glade:
	* plugins/gtodo/notification.c: (create_notification_window):
	* plugins/gtodo/preferences.c: (preferences_widget):
	* plugins/language-support-cpp-java/plugin.c:
	(cpp_java_plugin_activate_plugin):
	* plugins/message-view/anjuta-message-manager-plugin.glade:
	* plugins/message-view/plugin.c: (activate_plugin):
	* plugins/project-manager/plugin.c: (confirm_removal):
	* plugins/search/anjuta-search.glade:
	* plugins/search/plugin.c:
	* plugins/search/search-replace.c: (nb_results_alert):
	* plugins/subversion/subversion-commit-dialog.c:
	(on_subversion_commit_response):
	* plugins/symbol-browser/plugin.c: (activate_plugin):
	* plugins/valgrind/plugin.c: (on_menu_run_activate):
	* plugins/valgrind/vgcachegrindprefs.c: (cache_settings_new):
	* plugins/valgrind/vggeneralprefs.c: (vg_general_prefs_init):
	* src/anjuta.glade:
	
	Fixed translation bugs from #507921.
	Removed unused files in scintilla plugin

2008-02-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	Fix bug #514124 and bug #514138: Wrong menu item name

2008-02-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/profiler/gprof-view.c,
	plugins/symbol-browser/plugin.c,
	plugins/class-inheritance/class-callbacks.c,
	plugins/debug-manager/plugin.c,
	plugins/tools/editor.c,
	plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c,
	plugins/search/search-replace_backend.h,
	plugins/build-basic-autotools/build-basic-autotools.c,
	plugins/document-manager/plugin.c,
	plugins/document-manager/file_history.c,
	plugins/document-manager/anjuta-docman.c,
	plugins/document-manager/anjuta-docman.h,
	plugins/document-manager/action-callbacks.c,
	libanjuta/interfaces/libanjuta.idl:
	Rename IAnjutaDocumentManager functions:
	find_document_with_path, goto_file_line, goto_file_line_mark
	and get_full_filename into
	find_document_with_uri, goto_uri_line, goto_uri_line_mark
	and get_uri
	Fix search plugin to use an URI instead of a file path
	Fix anjuta_docman_get_uri to always return an URI

2008-02-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/breakpoints.c:
	Fix bug #514118: Rename Clear All Breakpoints to Remove
	All Breakpoints

2008-02-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	Update debugger documentation

2008-02-03  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/sharedlib.c,
	plugins/debug-manager/anjuta-debug-manager.glade,
	plugins/debug-manager/queue.c,
	plugins/tools/execute.c,
	plugins/tools/anjuta-tools.glade,
	plugins/tools/editor.c,
	plugins/project-wizard/templates/terminal.wiz,
	plugins/project-wizard/templates/xlib-dock.wiz,
	plugins/project-wizard/templates/wxwin.wiz,
	plugins/project-wizard/templates/java.wiz,
	plugins/project-wizard/templates/gnome.wiz,
	plugins/project-wizard/templates/anjuta-plugin.wiz,
	plugins/project-wizard/templates/gtkmm.wiz,
	plugins/project-wizard/templates/python.wiz,
	plugins/project-wizard/templates/cpp.wiz,
	plugins/project-wizard/templates/sdl.wiz,
	plugins/project-wizard/templates/gtk.wiz,
	plugins/project-wizard/templates/minimal.wiz,
	plugins/project-wizard/templates/xlib.wiz,
	plugins/project-wizard/templates/gcj.wiz,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	libanjuta/anjuta-plugin-manager.c:
	Partial fix of #507921: translation issues in debug-manager, tools,
	project-wizard, gdb and anjuta-plugin-manager.

2008-02-02  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/queue.c:
	Debugger Local, Stack and Thread windows were missing due to
	the previous change.

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* manuals/anjuta-manual/Makefile.am:
	Fixed #513888 – Trailing '\' in anjuta-manual/Makefile.am 
	causes make install to fail

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/macro/macros.xml:
	#495511 – Header_h macro correction

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/patch/patch-plugin.glade:
	gtk-apply is not translatable...

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_build_mesg_format):
	
	Also check for untranslated messages from make. Should fix 
	#511981 – Error parsing make output

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	
	Fixed #511010 – [UI] Execute program utility window

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* src/anjuta.glade:
	Fixed #509908 – [UI] Problems with the General settings tab

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* manuals/anjuta-manual/C/fileoperations.xml:
	Fixed #513730 – Option not present in the GUI po file

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/anjuta-editor-sourceview.glade:
	Adjust preferences default values

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (docman_plugin_set_tab_pos):
	Fixed #512535 – Open files tabs' position is correctly remembered 
	but not applied at startup

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* plugins/search/search-replace.c: (on_message_clicked):
	Pass and uri ianjuta_document_manager_goto_file_line_mark() to
	fix clicking on search result messages

2008-02-01  James Liggett <jrliggett@cox.net>
 
	* plugins/subversion/svn-command.c: (on_svn_notify):
	Fixed wrong status message output when resolving conflicts.

2008-02-02  Johannes Schmid <jhs@gnome.org>

	* configure.in: Require GtkSourceView 2.1.2
	* plugins/sourceview/sourceview-prefs.c: (init_colors_and_fonts):
	* plugins/sourceview/sourceview.c: (mark_real), (imark_unmark),
	(imark_is_marker_set), (imark_delete_all_markers),
	(ibookmark_toggle), (goto_bookmark), (ibookmark_clear_all):
	
	Adapted to API changes in GtkSourceView

2008-02-01  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview-prefs.c: (sourceview_prefs_init):
	Fixed tabsize preference

2008-02-01  Johannes Schmid <jhs@gnome.org>

	* manuals/anjuta-manual/C/fileoperations.xml:
	* manuals/anjuta-manual/C/interface.xml:
	Updated manual
	
	* manuals/anjuta-manual/Makefile.am:
	* manuals/anjuta-manual/C/figures/*:
	
	Updated figures to be in clearlooks theme, removed old figures

2008-02-01  Johannes Schmid <jhs@gnome.org>

	* plugins/patch/patch-plugin.glade:
	* plugins/patch/plugin.c: (patch_plugin_activate):
	Another UI issue with the patch plugin and silenced a compiler
	warning
	
	Patch from James Liggett:
	* plugins/profiler/gprof-call-graph-view.c:
	(gprof_call_graph_view_create_columns):
	* plugins/profiler/gprof-flat-profile-view.c:
	(gprof_flat_profile_view_create_columns):
	* plugins/profiler/gprof-view.c: (gprof_view_format_float):
	* plugins/profiler/gprof-view.h:
	
	Use two decimal places for float values in profiler views (#507831)

2008-02-01  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	* plugins/editor/Makefile.am:
	
	Fixed #512751 – libgnomeprint unnecessary without scintilla

2008-01-31  Johannes Schmid <jhs@gnome.org>

	* plugins/language-manager/languages.xml:
	Added a pretty ugly string for C++ headers. Maybe we should rely
	on mime-types instead...

2008-01-31  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(get_iter_column), (cpp_java_assist_get_calltip_context),
	(cpp_java_assist_show_calltip), (cpp_java_assist_check),
	(on_assist_chosen), (cpp_java_assist_install):
	* plugins/language-support-cpp-java/plugin.c:
	(on_editor_char_inserted_cpp):
	Removed annoying DEBUG_PRINTs
	
	* plugins/sourceview/anjuta-view.c: (anjuta_view_key_press_event):
	* plugins/sourceview/sourceview-cell.c: (icell_get_attribute):
	* plugins/sourceview/sourceview.c: (iassist_show_tips):
	
	Fixed "jumping" tooltips, fixed indentation of brances

2008-01-31  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (on_document_changed):
	Fixed crash when closing anjuta after all document tabs have been closed

2008-01-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.glade:
	Fix #513485: wrong strings maked as translatable

2008-01-31  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/threads.c,
	plugins/debug-manager/stack_trace.c:
	Avoid crash when getting relative path from debugger (same fix
	than for #510028)

	* plugins/debug-manager/queue.c:
	Emit all state changes notification

	* plugins/debug-manager/start.c:
	Fix #511586: Project path with "+" not working in debugger

2008-01-31  Johannes Schmid <jhs@gnome.org>

	* plugins/patch/patch-plugin.glade:
	Fixed button ui problem...
	
	Patch from James Liggett:
	* plugins/profiler/gprof-call-graph-block-entry.c:
	(gprof_call_graph_block_primary_entry_new),
	(gprof_call_graph_block_secondary_entry_new):
	* plugins/profiler/gprof-flat-profile-entry.c:
	(gprof_flat_profile_entry_new):
	
	Fix #507831 - Wrong Profiler values for some locales

2008-01-31  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/sourceview-prefs.c:
	* plugins/sourceview/sourceview.c: (sourceview_finalize):
  
  Fixed Editor->View popup menu for those entries that are appropriate for
  sourceview	

2008-01-30  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/breakpoints.c:
	Fix #512901: Crash when adding a breakpoint

	* plugins/debug-manager/queue.c:
	Remove a possible memory leak

2008-01-30  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/data_view.c,
	plugins/debug-manager/sparse_view.c,
	manuals/anjuta-manual/C/debugger.xml:
	Fix #513130, #513131 #513135: Wrong menu item names and errors
	in the documentation

2008-01-30  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/tools/editor.c:
 	ianjuta_document_manager_find_document_with_path expect an uri not
	a path

2008-01-29  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/reference/libanjuta/libanjuta-docs.sgml,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	libanjuta/interfaces/libanjuta.idl:
	Documentation fixes for IAnjutaDebugger* interfaces

=== anjuta 2.3.3 ===

2008-01-27  Naba Kumar  <naba@gnome.org>

	* Makefile.am, anjuta.spec.in, configure.in: Removed unmaintained
	rpm spec file.

	* plugins/symbol-browser/plugin.c: (on_editor_foreach_disconnect),
	(value_added_current_editor), (value_removed_current_editor):
	Removed dead code.

	* TODO.tasks: Updated.

	* libanjuta/anjuta-save-prompt.c: (anjuta_save_prompt_init): Added
	scrollwindow shadow in.

	* plugins/editor/anjuta-editor-scintilla.glade:
	* plugins/editor/style-editor.c: (create_style_editor_gui):
	Set style window transient and cetered for preferences window.
	Fixed Bug #365490 - problems displaying Scintilla Colors & Fonts dialog

	* plugins/editor/anjuta-editor-scintilla.glade:
	Fixes Bug #427108 - Scintilla plugin configuration folding-style
	setting not working

	* configure.in, NEWS: Updated for release 2.3.3

2008-01-26  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.glade:
	Fix #512224: Use a string in english

2008-01-26  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/build-basic-autotools.c:
	ianjuta_document_manager_goto_file_line_mark needs an uri and
	not a file path

2008-01-26  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/symbol-browser/plugin.c,
	plugins/symbol-browser/an_symbol_view.c:
	use gnome_vfs_get_uri_from_local_path to get local path from uri
	This takes care of escaping some characters

2008-01-25  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/stack_trace.c:
	Probably fix #510028: crash debugger when having a relative filename
	in stack trace

2008-01-25 Tom <tpgww@onepost.net>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/plugin.c,
	plugins/document-manager/file_history.c,
	plugins/document-manager/file_history.h,
	plugins/document-manager/anjuta-docman.c,
	plugins/document-manager/anjuta-docman.h:
	Rename filename argument to uri when an uri is expected
	anjuta_docman_get_document_for_uri will remove symlinks 

2008-01-25  Naba Kumar  <naba@gnome.org>

	* plugins/terminal/terminal.c: (terminal_execute),
	(activate_plugin):
	* plugins/tools/execute.c: Fixed couple of gtk+ critical warnings.

2008-01-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.glade,
	plugins/debug-manager/start.c:
	Fix #511049: Change UI of add source directories dialog

2008-01-24  Naba Kumar  <naba@gnome.org>

	* plugins/editor/text-editor-iterable.c: (iiter_get_length):
	* plugins/editor/text_editor.c: (itext_editor_get_text_all),
	(itext_editor_get_text), (itext_editor_get_length): Fixes implementations
	of ianjuta_editor_get_length(), ianjuta_iterable_get_length() and
	ianjuta_editor_get_text_all(). Current Search-replace and symbol-db
	should work now.

2008-01-24  Johannes Schmid <jhs@gnome.org>

	Patch from: Luca Ferretti <ella.uca@libero.it>:

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_page_init), (anjuta_docman_class_init):
	* plugins/message-view/anjuta-msgman.c: (anjuta_msgman_page_new):
	
	Fix #511757 – Close icon in tabs cut off (Patch was only for
	document-manager, also adapted it for message-manager)

2008-01-24  Johannes Schmid <jhs@gnome.org>

	* plugins/Makefile.am:
	* plugins/sourceview/anjuta-document.c:
	* plugins/sourceview/anjuta-marshal.list:
	* plugins/sourceview/anjuta-view.c: (anjuta_view_class_init),
	(anjuta_view_key_press_event):
	* plugins/sourceview/sourceview-cell.c: (icell_iface_init),
	(iiter_next), (iiter_previous), (iiter_last), (iiter_compare),
	(iiter_diff), (iiter_iface_init):
	* plugins/sourceview/sourceview.c: (on_document_char_added),
	(ieditor_goto_position), (ieditor_get_text),
	(ieditor_get_text_all), (ieditor_get_position), (ieditor_insert),
	(ieditor_erase), (ieditor_get_line_from_position),
	(ieditor_get_line_begin_position), (ieditor_get_line_end_position),
	(ieditor_get_position_from_offset), (ieditor_get_start_position),
	(ieditor_get_end_position), (ieditor_goto_start),
	(ieditor_goto_end), (ieditor_iface_init), (iconvert_to_upper),
	(iconvert_to_lower), (iindic_set), (iassist_suggest),
	(iassist_show_tips):
	
	Implemented new iterators interface in sourceview editor and
	re-enabled it.

2008-01-23  Naba Kumar  <naba@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* manuals/reference/libanjuta/libanjuta-sections.txt:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(build_indicator_location_set), (on_editor_changed):
	* plugins/debug-manager/plugin.c: (show_program_counter_in_editor):
	* plugins/debug-manager/variable.c: (get_hovered_word):
	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_upper_case_activate),
	(on_editor_command_lower_case_activate):
	* plugins/document-manager/search-box.c: (on_incremental_search),
	(on_search_activated):
	* plugins/editor/text-editor-iterable.c: (icell_get_attribute),
	(iiter_last), (iiter_set_position), (iiter_get_position),
	(iiter_get_length), (iiter_compare), (iiter_diff),
	(iiter_iface_init):
	* plugins/editor/text_editor.c: (text_editor_get_position_lineno),
	(text_editor_goto_point), (itext_editor_goto_start),
	(itext_editor_goto_end), (itext_editor_goto_position),
	(itext_editor_get_text_all), (itext_editor_get_text),
	(itext_editor_get_position), (itext_editor_get_offset),
	(itext_editor_get_length), (itext_editor_insert),
	(itext_editor_erase), (itext_editor_erase_all),
	(itext_editor_get_column), (itext_editor_get_overwrite),
	(itext_editor_set_popup_menu),
	(itext_editor_get_line_from_position),
	(itext_editor_get_line_begin_position),
	(itext_editor_get_line_end_position),
	(itext_editor_get_position_from_offset),
	(itext_editor_get_start_position), (itext_editor_get_end_position),
	(itext_editor_iface_init), (iconvert_to_upper),
	(iconvert_to_lower), (iassist_suggest), (iassist_show_tips),
	(iindicable_set):
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_cbs.c:
	(on_text_editor_scintilla_notify):
	* plugins/indent/plugin.c: (on_indent_action_activate):
	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_get_scope_context),
	(cpp_java_assist_get_pre_word),
	(cpp_java_assist_show_autocomplete),
	(cpp_java_assist_show_calltip), (cpp_java_assist_check),
	(on_editor_char_added), (on_assist_chosen):
	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation), (skip_iter_to_previous_logical_line),
	(skip_preprocessor_lines), (initialize_indentation_params),
	(set_line_indentation), (get_line_indentation_base),
	(get_line_auto_indentation), (on_editor_char_inserted_cpp),
	(on_editor_char_inserted_java), (on_auto_indent):
	* plugins/macro/macro-actions.c: (match_shortcut):
	* plugins/macro/macro-dialog.c: (on_ok_clicked):
	* plugins/macro/plugin.c: (match_keyword):
	* plugins/search/plugin.c: (find_incremental):
	* plugins/search/search-replace.c: (search_and_replace),
	(search_start_over):
	* plugins/search/search-replace_backend.c:
	(file_buffer_new_from_te), (file_buffer_line_from_pos),
	(create_search_entries):
	* plugins/symbol-browser/plugin.c:
	(on_editor_buffer_symbols_update_timeout), (on_char_added),
	(isymbol_manager_iface_init):
	* plugins/symbol-db/plugin.c:
	(on_editor_buffer_symbols_update_timeout), (on_char_added),
	(isymbol_manager_iface_init):
	* plugins/tools/execute.c: (atp_output_context_construct),
	(atp_output_context_destroy), (atp_user_tool_execute):

	Update IAnjutaEditor and IAnjutaIndicable interfaces to take
	iterators instead of integer offsets.
	- Renamed original ianjuta_editor_get_position(int) to 
	ianjuta_editor_get_offset(). It is deprecated.
	- Renamed original ianjuta_editor_get_position_iter() to
	ianjuta_editor_get_position().
	- Renamed ianjuta_editor_get_cell_iter() to
	ianjuta_editor_get_position_from_offset()
	- Renamed ianjuta_editor_get_text_iter() to ianjuta_editor_get_text()
	- Added new methods:
	ianjuta_editor_get_start_position(), ianjuta_editor_get_end_position()
	ianjuta_editor_get_text_all(), ianjuta_editor_goto_start(),
	ianjuta_editor_goto_end().
	- All relevent signals and methods converted to use iterators.
	- All relevent plugins fixed to use new API.
	- Removed ianjuta_editor_cell_get_line() because it is provided by
	ianjuta_editor_get_line_from_position().
	- Removed ianjuta_symbol_manager_get_completions_at_position()
	because it not used anywhere and is not right to be there.
	- Updated IAnjutaEditable documentation.

	Updated IAnjutaIterable interface:
	- ianjuta_iterable_compare() and ianjuta_iterable_diff()
	- Introduced 'end-iter' to point at the end of the list.
	- Updated IAnjutaIterable documentation.

	* plugins/Makefile.am:
	(Disabled sourceview plugin for now. Jhs is coming up with a patch
	for it soon).

2008-01-22  Johannes Schmid <jhs@gnome.org>

	* plugins/file-wizard/anjuta-file-wizard.plugin.in:
	* plugins/project-import/anjuta-project-import.glade:
	* plugins/project-import/anjuta-project-import.plugin.in:
	* plugins/project-wizard/anjuta-project-wizard.glade:
	* plugins/project-wizard/anjuta-project-wizard.plugin.in:
	* plugins/project-wizard/druid.c: (npw_druid_new):
	* plugins/project-wizard/plugin.c: (npw_plugin_create_view):
	
	Fixed #465084 – wizard instead of assistant (only string changes...)

2008-01-20  Rob Bradford  <rob@openedhand.com>

	* libanjuta/anjuta-utils.c: (anjuta_util_parse_args_from_string):
	Fix parsing with quotes in the command line. Kudos to Jorn Baayen for
	coming up with the solution. (Bug: #510390.)

2008-01-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/build-basic-autotools/executer.c:
	Fix #502508, use anjuta_launcher to keep program output

	* plugins/terminal/terminal.c:
	Remove unused child_initizlized member
	Start the shell on plugin activation

2008-01-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/sparse_buffer.c:
	Fix a crash when scrolling in the diassembly window

	* plugins/debug-manager/sparse_view.c:
	Small limit change using the same "unit" for both number

2008-01-19  Naba Kumar  <naba@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_get_scope_context),
	(cpp_java_assist_get_pre_word): Usef ianjuta_editer_get_text_iter()
	instead.

2008-01-19  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/valgrind/vgrule-editor.c: (vg_rule_editor_save):
	
	And even more strings...

2008-01-19  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/templates/cpp/src/main.cc:
	Fix #498734, typing error in c++ project template

2008-01-19  Johannes Schmid <jhs@gnome.org>

	* plugins/editor/text_editor.c: (text_editor_save_file):
	* plugins/macro/anjuta-macro.glade:
	* plugins/subversion/anjuta-subversion.glade:

	Fixed even more strings

2008-01-19  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	Fix bug #488519, remove critical warning (completion_cache == NULL
	is valid)

2008-01-19  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/debugger.c:
	Enable logging of gdb communication with an environment variable

2008-01-19  Naba Kumar  <naba@gnome.org>

	* plugins/editor/text-editor-iterable.c: (iiter_next),
	(iiter_set_position), (iiter_get_position), (iiter_get_length): Use
	editor native funtions to avoid round trips.

2008-01-19  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/editor/text_editor.c:
	Fix a bug due to the previous patch: Unable to save new file in 
	Scintilla

2008-01-18  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/disassemble.c,
	plugins/debug-manager/disassemble.h,
	plugins/debug-manager/registers.c,
	plugins/debug-manager/registers.h,
	plugins/debug-manager/memory.c,
	plugins/debug-manager/memory.h,
	plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/queue.c,
	plugins/debug-manager/queue.h,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/stack_trace.c,
	plugins/debug-manager/threads.c,
	plugins/debug-manager/plugin.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	manuals/reference/libanjuta/libanjuta.types,
	libanjuta/interfaces/libanjuta.idl:
	Use gulong instead of guint for addresses
	Split IAnjutaCpuDebugger interface in IAnjutaDebuggerRegister,
	IAnjutaDebuggerMemory and IAnjutaDebuggerInstruction

	* plugins/gdb/anjuta-gdb.plugin.in:
	Remove reference to IAnjutaCpuDebugger (useless)

2008-01-18  Johannes Schmid <jhs@gnome.org>

	* AUTHORS: Added Alexander

2008-01-18  Johannes Schmid <jhs@gnome.org>

  Patch from: Alexander Korolyov <kilork@yandex.ru>

	* plugins/editor/text_editor.c: (load_from_file),
	(text_editor_save_file):
	
	Fixed symlinks (#510238) and file permission (#405321)
	handling for scintilla editor. 
  
2008-01-17  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_select_all_activate),
	(on_editor_command_cut_activate),
	(on_editor_command_paste_activate),
	(on_editor_command_copy_activate),
	(on_editor_command_clear_activate):
  Resupport cut/copy/paste/clear on GtkEditables when those
  have focus. (Important for shortcuts to work).

	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	* plugins/document-manager/search-box.c: (on_search_activated):
	* plugins/gdb/plugin.c: (gdb_plugin_start_terminal):
	* plugins/patch/patch-plugin.c: (on_ok_clicked):
	* plugins/profiler/plugin.c: (profiler_get_data):
	* plugins/project-wizard/druid.c: (npw_druid_new):
	* plugins/project-wizard/install.c: (on_install_end_install_file):
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/subversion/anjuta-subversion.glade:
	* plugins/tools/anjuta-tools.glade:
	Various string fixes

2008-01-17  Naba Kumar  <naba@gnome.org>

	Patch from James Liggett:

	* plugins/subversion/subversion-add-dialog.c:
	(on_subversion_add_response):
	* plugins/subversion/subversion-copy-dialog.c:
	(on_subversion_copy_response):
	* plugins/subversion/subversion-diff-dialog.c:
	(on_subversion_diff_response):
	* plugins/subversion/subversion-merge-dialog.c:
	(on_subversion_merge_response):
	* plugins/subversion/subversion-remove-dialog.c:
	(on_subversion_remove_response):
	* plugins/subversion/subversion-switch-dialog.c:
	(on_subversion_switch_response):
	* plugins/subversion/subversion-ui-utils.c: (check_input):
	* plugins/subversion/subversion-ui-utils.h:
	* plugins/subversion/subversion-update-dialog.c:
	(on_subversion_update_response):

	If the user doesn't enter any data for path or revision fields in
	certain SVN plugin dialogs, libsvn throws assertion failures and
	kills Anjuta. To avoid this, the validity of path and revision
	input data are checked before the command gets executed.

	Fixes Bug #509510 - Check input of some dialogs to avoid termination
	if user gives bad or no input

2008-01-16  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-docman.c:
	Fix #507627 memory tab stay active on debugger stop
	Remove two unused variables due to the previous patch

2008-01-16  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-plugin-manager.c:
	Fixed #508399 – When you enable a plugin, preferences don't show up

2008-01-16  Rob Bradford  <rob@openedhand.com>

	Reviewed by: Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-preferences.c: (get_object_type_from_string),
	(get_property_value_as_string), (set_property_value_as_string),
	(register_callbacks):
	* libanjuta/anjuta-preferences.h:
	Add support for both file and folder preferences (originally only
	folder choosers were supported. (Fixes bug: #508805.)

	* plugins/file-manager/file-manager.glade:
	Update the only in-tree use of the ANJUTA_PROPERTY_OBJECT_TYPE_FILE
	type of property.

2008-01-16  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.glade:
	* src/anjuta.glade:
	
	Fixed #509875 – The "Update globale tags" button wording is incorrect
	Fixed #509873 – Build Autotools Preferences has excessive padding
	Fixed #509872 – General Information labels are incorrectly aligned
	Fixed #509871 – General preferences has incorrect use of colons
	
2008-01-16  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-document-manager.glade:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.glade:

	Fixed #509865 – Incorrect padding in the Documents settings tabs
	Fixed #509867 – Create button contents is mis-aligned
	Fixed #509869 – "Add Directory" button is not HIG complient

2008-01-16  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-preferences-dialog.c:
	(anjuta_preferences_dialog_add_page):
	
	Fix #509864 – No initial section selected when opening the Preferences dialog

2008-01-16  Johannes Schmid <jhs@gnome.org>

	* plugins/gtodo/preferences.c: (pref_gconf_set_notifications):
	Removed unused gconf_notifications
	
	* plugins/search/anjuta-search.glade:
	* plugins/subversion/anjuta-subversion.glade:
	* plugins/tools/anjuta-tools.glade:
	* src/anjuta-app.c: (anjuta_app_instance_init):
	
	Fixed various strings

2008-01-15  Naba Kumar  <naba@gnome.org>

	* plugins/editor/text_editor.c: (isavable_save_as): Correctly highlight
	newfile saved. Fixes bug #502322 - Highlight doesn't work on new
	file saved

	* plugins/symbol-browser/an_symbol_view.c:
	(anjuta_symbol_view_workspace_update_file): Refresh the symbols for
	new file saved.

2008-01-15  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-profile.c: (anjuta_profile_class_init),
	(anjuta_profile_add_plugins_from_xml):
	* plugins/file-manager/file-manager.glade:
	Some string fixes
	
	* libanjuta/interfaces/libanjuta.idl:
	Fixed docs
		
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/sourceview-print.c: (paginate), (draw_page),
	(end_print), (print_setup), (sourceview_print),
	(sourceview_print_preview):
	* plugins/sourceview/sourceview.c: (iprint_print),
	(iprint_print_preview):
	
	Added printing support to GtkSourceView editor

2007-01-14 Tom <tpgww@onepost.net>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-docman.c:
	Fix two memory leaks added by the previous patch

2008-01-14  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/assist-tip.c: (assist_tip_move):
	* plugins/sourceview/assist-window.c: (assist_window_move):
	
	Do not use opacity

2008-01-14  Rob Bradford  <rob@openedhand.com>

	* global-tags/Makefile.am:
	* global-tags/create_global_tags.sh.in:
	Install anjuta-tags binary into FHS policy compliant directory and
	update references. (Fixes bug: 509346.)

2008-01-13  Naba Kumar  <naba@gnome.org>

	Patch from: Ritesh Khadgaray
	* plugins/project-wizard/templates/gnome/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/gtk/src/Makefile.am.tpl:
	Adds export-dynamic option to LDFLAGS to project template for libglade
	to work for autoconnect signals.

2008-01-13  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-utils.c:
	anjuta_util_get_real_path return a string that need to be freed
	with g_free even if PATH_MAX is not defined

2008-01-13  Andre Klapper  <a9016009@gmx.de>

	* manuals/anjuta-manual/Makefile.am: add forgotten Swedish entry
	to DOC_LINGUAS.

2008-01-13  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/document-manager/anjuta-docman.c:
	Do not reopen file having escaped character (+,...) in path name

2008-01-13  Naba Kumar  <naba@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/class-gen/plugin.c: (cg_plugin_add_to_project):
	* plugins/project-manager/plugin.c: (iproject_manager_iface_init):
	Renamed IAnjutaProjectManager::add_source_multi() to more appropriate
	IAnjutaProjectManager::add_sources().

	* plugins/glade/plugin.c: (on_glade_resource_removed),
	(on_glade_resource_updated), (ifile_open), (iwizard_activate): Added
	stubs for handing resources in glade file.

2008-01-13  Naba Kumar  <naba@gnome.org>

	* libanjuta/anjuta-launcher.c: (is_password_prompt): Use const.

	* plugins/glade/plugin.c: (ifile_open): Select the first window
	in the glade project when it is first opened. Avoids empty glade
	document the first time.

2008-01-12  Bolesław Kulbabiński <bolekk@gmail.com>

  Reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/gtodo/callback.c: (remove_todo_item):
	Fix #507304 – crash in Anjuta IDE while removing done tasks

2008-01-11  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.ui,
	plugins/debug-manager/plugin.c,
	plugins/debug-manager/start.h,
	plugins/debug-manager/start.c:
	New menu item to add extra source directories for debugger

=== anjuta 2.3.2 ===

2008-01-11  Bolesław Kulbabiński <bolekk@gmail.com>

	* plugins/gtodo/callback.c: (remove_todo_item):
	Fix #507304 – crash in Anjuta IDE while removing done tasks

2008-01-11  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped version to 2.3.2
	* NEWS: Updated for anjuta 2.3.2 release
	* plugins/build-basic-autotools/build-basic-autotools.c: It's 'make dist'
	not 'make tarball'

2008-01-11  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	Reverted accidently commited change
	
	* plugins/document-manager/anjuta-document-manager.glade:
	Fix Gtk-Critical because of broken glade file

2008-01-11  Naba Kumar  <naba@gnome.org>

	* plugins/glade/plugin.c: (on_document_destroy),
	(glade_plugin_add_project): Fixed a bug where when more than one
	glade document is open and one is closed, it closes all the glade
	documents. Also it might have fixed the bug where sometimes closing
	the glade document leaves glade widget tree unclosed.

2008-01-11  Naba Kumar  <naba@gnome.org>

	* libanjuta/Makefile.am: Install glade3 files in own prefix to
	prevent install errors when not installed as root (then the files
	are only useful when glade-3 is installed in the same prefix, but it
	doesn't harm anjuta runtime).

	* plugins/sourceview/sourceview.c: Commented use of a file
	not currently distributed.

2008-01-10  Naba Kumar  <naba@gnome.org>

	* po/POTFILES.skip: Added plugins/macro/macros.xml because there is
	nothing to translate in it.

2008-01-10  Johannes Schmid <jhs@gnome.org>

	* plugins/project-wizard/templates/gnome.wiz:
	* plugins/project-wizard/templates/gnome/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/gnome/src/main.c:
	* plugins/project-wizard/templates/translatable-strings.h:
	
	Fixed #508497 and added a new chooser to select whether to use
	libglade or not.

2008-01-10  Johannes Schmid <jhs@gnome.org>

	Patch from Tom <tpgww@onepost.net>:

	* libanjuta/anjuta-utils.c: (anjuta_util_get_real_path),
	(anjuta_util_glist_path_dedup):
	* libanjuta/anjuta-utils.h:
	
	Give the method a proper prefixed name
	
	* plugins/document-manager/action-callbacks.c:
	(get_current_popup_active),
	(on_editor_command_select_all_activate),
	(on_editor_command_cut_activate),
	(on_editor_command_paste_activate),
	(on_editor_command_copy_activate),
	(on_editor_command_clear_activate), (on_show_search),
	(on_repeat_quicksearch):	
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_add_editor), (anjuta_docman_get_current_popup),
	(anjuta_docman_goto_file_line_mark),
	(anjuta_docman_get_full_filename):
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/document-manager/plugin.c:
	(update_document_ui_interface_items):
	
	Better way to fix the popup-menu items (Cut/Copy/Paste)
	and various clean-ups.
	
	* plugins/document-manager/search-box.c: (on_document_changed),
	(search_box_fill_search_focus):
	* plugins/document-manager/search-box.h:
	* plugins/search/plugin.c:
	
	Add a menu item to repeat the quick search

2008-01-10  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(on_assist_chosen):
	
	Fixed #508424 – Auto complete: previous char was removed when 
	pre TAB to auto complete.

2008-01-10  Johannes Schmid <jhs@gnome.org>

	Patch from: James Ligett:

	* plugins/profiler/gprof-call-graph-view.c:
	(gprof_call_graph_view_create_columns):
	* plugins/profiler/gprof-flat-profile-view.c:
	(gprof_flat_profile_view_create_columns):
	
	Fixed translation issues (#496833)

2008-01-10 Johannes Schmid <jhs@gnome.org>

	Patch from Bolesław Kulbabiński <bolekk@gmail.com> (GHOP):

	* plugins/gtodo/gtodo.c: (category_manager_add_item):
	Fix #460390 – Changing categories while edinting something

2008-01-09  Naba Kumar  <naba@gnome.org>

	* libanjuta/anjuta-plugin-manager.c:
	(anjuta_plugin_manager_activate_plugins): Commented dead code and
	fixed a leak.

	* libanjuta/anjuta-status.c: (anjuta_status_dispose): Fixes a memory
	corruption reported in bug #507491. Potentially fixes too.

2008-01-09  Johannes Schmid <jhs@gnome.org>

	Patch from Bolesław Kulbabiński <<bolekk@gmail.com> (GHOP):

	* plugins/gtodo/mcategory.c: (category_manager_add_item):
	Fix bug #505205 completely
	
	* AUTHORS: Added Bolesław

2008-01-08  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_cut_activate),
	(on_editor_command_paste_activate),
	(on_editor_command_copy_activate),
	(on_editor_command_clear_activate):
	
	Fixed editor popup menu (Cut, Copy, Paste)

2008-01-08  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (autodetect_language):
	Fixed a crash when creating a new file

2008-01-08  Johannes Schmid <jhs@gnome.org>

	Patch by <bolekk@gmail.com> (GHOP Student)

	* plugins/gtodo/mcategory.c: (category_manager_add_item):
	Fix bug #505205

2008-01-08  Naba Kumar  <naba@gnome.org>

	* libanjuta/anjuta-plugin-handle.c: (anjuta_plugin_handle_new):
	* libanjuta/anjuta-plugin-manager.c:
	(anjuta_plugin_manager_select),
	(anjuta_plugin_manager_activate_plugins):
	* libanjuta/anjuta-profile.c: (anjuta_profile_to_xml):
	* plugins/file-loader/plugin.c: (sort_wizards), (open_with_dialog),
	(on_create_submenu), (create_open_with_submenu):
	* src/about.c: (on_about_plugin_activate),
	(about_create_plugins_submenu): Use translated version of get_string()
	API in AnjutaDescription for translatable properties. Fixes bug #496833
	comment #18.

2008-01-07  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/executer.c: (execute_program):
	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	* plugins/debug-manager/anjuta-debug-manager.glade:
	* plugins/debug-manager/locals.c: (create_locals_gui):
	* plugins/file-loader/plugin.c: (on_create_submenu):
	* plugins/gtodo/main.h:
	* plugins/gtodo/preferences.c: (preferences_widget):
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.glade:
	* plugins/tools/anjuta-tools.glade:
	* plugins/tools/execute.c: (atp_output_context_print):
	* src/main.c:
	
		Another bunch of i18n fixes (#496833)

2008-01-07  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_build_terminated):
	* plugins/gtodo/interface.c: (set_read_only):
	* plugins/project-manager/plugin.c: (confirm_removal),
	(on_popup_add_to_project):
	* plugins/subversion/anjuta-subversion.glade:
	* plugins/tools/execute.c: (atp_output_context_print_result):
	
	Fixed some strings from #496833

2008-01-07  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/anjuta-language-cpp-java.glade:
	* plugins/language-support-cpp-java/anjuta-language-cpp-java.plugin
	.in:
	* plugins/language-support-cpp-java/plugin.c: (install_support),
	(uninstall_support), (ipreferences_merge), (ipreferences_unmerge):
	Added basic Vala support
	
	* plugins/sourceview/sourceview.c: (autodetect_language):
	Fixed mime-type detection

2008-01-06  Massimo Cora'  <maxcvs@email.it>

  Reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/symbol-db/plugin.c: (on_global_treeview_row_collapsed),
	(value_removed_current_editor), (symbol_db_activate),
	(symbol_db_deactivate):
	* plugins/symbol-db/symbol-db-engine.c:
	(symbol_db_engine_get_global_members_filtered):
	* plugins/symbol-db/symbol-db-view.c:
	(do_add_child_symbol_to_view), (prepare_for_adding),
	(on_symbol_inserted), (sdb_view_row_expanded_idle_destroy),
	(sdb_view_row_expanded_idle), (sdb_view_namespace_row_expanded),
	(sdb_view_global_row_expanded), (sdb_view_vars_row_expanded),
	(symbol_db_view_row_expanded), (symbol_db_view_row_collapsed),
	(sdb_view_init), (sdb_view_finalize),
	(sdb_view_build_and_display_base_tree):
	* plugins/symbol-db/symbol-db-view.h:
	added controls to expand Global tab nodes in a non-freezing way.
	Fixed also some little bugs always on global-tab.

2008-01-06  Naba Kumar  <naba@gnome.org>

	Patches from James Liggett:
	* plugins/profiler/gprof-call-graph-view.c:
	(gprof_call_graph_view_create_columns):
	* plugins/profiler/gprof-flat-profile-view.c:
	(gprof_flat_profile_view_create_columns):
	* plugins/profiler/gprof-function-call-tree-view.c:
	(gprof_function_call_tree_view_create_columns): Made all
	of the columns resizable and reorderable.

2008-01-06  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-launcher.c: (anjuta_launcher_initialize),
	(anjuta_launcher_check_password_real),
	(anjuta_launcher_scan_output), (anjuta_launcher_scan_error),
	(anjuta_launcher_scan_pty),
	(anjuta_launcher_disable_password_check):
	* libanjuta/anjuta-launcher.h:
	Added disable_password_check for stream where it does not make sense 
	(e.g symbol-db) and lots of DEBUG_PRINTS to better scope launcher errors
	that sometimes occur in symbol-db plugin
	
	* plugins/file-manager/file-model.c:
	(file_model_cancel_expand_idle):
	Fixed removing of idle source
	
	* plugins/sourceview/anjuta-view.c: (anjuta_view_set_colors):
	* plugins/sourceview/sourceview-prefs.c: (on_gconf_notify_color):
	
	Fixed #348854 – invisible cursor in certain themes

2008-01-06  Naba Kumar  <naba@gnome.org>

	* libanjuta/anjuta-preferences.c:
	(anjuta_preferences_register_property_custom): Fixed a crash bug on
	closing preferences dialog due to patch in bug #507300

2008-01-06  Naba Kumar  <naba@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(on_assist_chosen):
	* plugins/language-support-cpp-java/plugin.c: (on_auto_indent):
	* plugins/search/search-replace_backend.c: (create_search_entries):
	Added missing unrefs.

2008-01-06  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/variable.c: (get_hovered_word):
  Add a g_object_unref()  
  	
	* plugins/sourceview/sourceview.c: (ieditor_get_text_iter),
	(on_sourceview_hover_leave):
	Fixed hover and editor interface to make hover in debugger work

2008-01-06  Naba Kumar  <naba@gnome.org>

	* plugins/editor/text-editor.c: Whitespaces fixes.
	* plugins/language-manager/plugin.c: (ilanguage_get_from_string): Use
	DEBUG_PRINT instead of g_message.

2008-01-06  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/breakpoints.c:
	Fix #507441: Disable all breakpoints doesn't work
	Fix #507444: Enable Breakpoint menu item doesn't change name

2008-01-05  Naba Kumar  <naba@gnome.org>

	* manuals/reference/libanjuta/libanjuta.types: Renamed
	IAnjutaVariableDebugger to IAnjutaDebuggerVariable to fix build error.

2008-01-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/variable.c:
	Update variable display to use IAnjutaIterable instead of position

	* plugins/editor/text_editor_cbs.c,
	plugins/editor/text_editor.c:
	Fix Gtk critical warnings when a hover signal is emitted
	Fix get_text_iter in Scintilla (range should include last character)
	
2008-01-05  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/debug_tree.c,
	plugins/debug-manager/debug_tree.h,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/command.c,
	plugins/debug-manager/queue.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	libanjuta/interfaces/libanjuta.idl:
	Rename IAnjutaVariableDebugger to IAnjutaDebuggerVariable

2008-01-05  Naba Kumar  <naba@gnome.org>

	* plugins/valgrind/plugin.c: Removed stock icon open/save from
	menus to avoid conflict with file open/save. Fixes bug #507455

2008-01-05  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	Conditionally depend on gtksourceview2 >= 2.1.0
	
	* libanjuta/interfaces/libanjuta.idl:
	Update IAnjutaEditorSeletion and IAnjutaEditorHover to use
	iterators instead of positions
	
	* plugins/debug-manager/threads.c:
	Fixed a warnings by including gnome-vfs properly
	
	* plugins/debug-manager/variable.c: (get_hovered_word),
	(on_hover_over):
	Updated to changes in IAnjutaEditorHover/Selection
	
	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_upper_case_activate),
	(on_editor_command_lower_case_activate):
	* plugins/document-manager/search-box.c: (on_incremental_search),
	(on_search_activated):
	* plugins/editor/text_editor.c: (itext_editor_get_text_iter),
	(itext_editor_erase), (itext_editor_iface_init), (iselection_set),
	(iselection_get_start), (iselection_get_end),
	(iselection_iface_init), (ihover_display), (ihover_iface_init):
	* plugins/editor/text_editor_cbs.c:
	(on_text_editor_scintilla_notify):
	
	Updated to changes in IAnjutaEditorHover/Selection and updated editor
	interface of scintilla editor.
	
	* plugins/language-manager/languages.xml:
	* plugins/language-manager/plugin.c:
	(ilanguage_get_from_mime_type), (ilanguage_get_from_string):
	Added chdr to C language files and some DEBUG_PRINTs
	
	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(on_assist_chosen):
	* plugins/language-support-cpp-java/plugin.c: (on_auto_indent):
	* plugins/search/plugin.c: (find_incremental):
	* plugins/search/search-replace.c: (search_and_replace):
	* plugins/search/search-replace_backend.c: (create_search_entries):
		Adapted to changed interfaces

	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/anjuta-document.c: (anjuta_document_init),
	(set_uri), (anjuta_document_save):
	* plugins/sourceview/anjuta-editor-sourceview.glade:
	* plugins/sourceview/anjuta-view.c: (anjuta_view_init),
	(anjuta_view_key_press_event):
	* plugins/sourceview/assist-tip.c: (assist_tip_set_tips):
	* plugins/sourceview/sourceview-cell.c:
	(sourceview_cell_instance_init), (sourceview_cell_finalize),
	(icell_get_line), (icell_get_attribute), (icell_iface_init):
	* plugins/sourceview/sourceview-prefs.c: (get_bool),
	(on_gconf_notify_disable_hilite), (on_gconf_notify_tab_size),
	(on_gconf_notify_indent_size), (on_gconf_notify_braces_check),
	(on_gconf_notify_view_marks), (on_gconf_notify_view_right_margin),
	(on_gconf_notify_right_margin_position), (sourceview_prefs_init):
	* plugins/sourceview/sourceview-private.h:
	* plugins/sourceview/sourceview.c: (on_assist_window_destroyed),
	(on_assist_tip_destroyed), (on_assist_chosen), (on_assist_cancel),
	(on_document_loaded), (sourceview_instance_init),
	(sourceview_dispose), (sourceview_finalize),
	(sourceview_create_markers), (sourceview_new),
	(ifile_savable_save), (ieditor_get_tab_size),
	(ieditor_set_tab_size), (ieditor_set_use_spaces),
	(ieditor_set_auto_indent), (ieditor_goto_line),
	(ieditor_get_text_iter), (ieditor_iface_init), (iselect_to_brace),
	(iselect_block), (iselect_set), (iselect_get_start),
	(iselect_get_end), (iselect_iface_init), (mark_real), (imark_mark),
	(imark_unmark), (imark_is_marker_set),
	(imark_location_from_handle), (imark_delete_all_markers),
	(ibookmark_toggle), (goto_bookmark), (ibookmark_first),
	(ibookmark_last), (ibookmark_next), (ibookmark_previous),
	(ibookmark_clear_all), (iprint_print), (iprint_print_preview),
	(ilanguage_get_supported_languages), (autodetect_language),
	(ilanguage_set_language), (iassist_show_tips),
	(on_sourceview_hover_leave), (on_sourceview_hover_over),
	(ihover_display), (ihover_iface_init):
	
	Use GtkSourceView 2.1.x:
	* New mark interface
	* Fixed #486724 and #488615
	* Implemented hover interface
	* Adapted to changed interfaces

2008-01-04  Rob Bradford  <rob@o-hand.com>

	Reviewed by Naba Kumar  <naba@gnome.org>:
	* libanjuta/anjuta-preferences.c:
	(anjuta_preferences_register_property_custom):
	Unregister preferences for custom preferences when the widget is
	destroyed.

2008-01-03  Johannes Schmid <jhs@gnome.org>

	* plugins/file-manager/file-model.c: (file_model_row_expanded),
	(file_model_row_collapsed):
  Fixed the too method to take a correct data argument

2008-01-02  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_add_document), (anjuta_docman_remove_document):
	ref and unref correctly to silence a Gtk+ critical

2008-01-01  Johannes Schmid <jhs@gnome.org>

	* plugins/editor/text_editor.c: (itext_editor_get_text):
	Fixed #506740 – ianjuta_editor_get_text crash if request 
	text past the buffer length

2008-01-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/utilities.c,
	plugins/debug-manager/utilities.h,
	plugins/debug-manager/breakpoints.c:
	Move get_current_editor function in utilities.c

	* plugins/debug-manager/plugin.c,
	plugins/debug-manager/debug_tree.c,
	plugins/debug-manager/debug_tree.h,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/watch.h,
	plugins/debug-manager/locals.c,
	plugins/debug-manager/locals.h,
	(added) plugins/debug-manager/variable.c,
	(added) plugins/debug-manager/variable.h,
	plugins/debug-manager/Makefile.am:
	Use hover interface to display variable value

2007-12-31  Johannes Schmid <jhs@gnome.org>

	* libanjuta/Makefile.am:
	Only install glade catalog files if glade-3 is available
	(Fixes #506269 and #500296)

2007-12-30  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-preferences.c: (get_property_value_as_string),
	(set_property_value_as_string), (register_callbacks):

  Fixed GtkFileChooserButton preferences to also work when only the combo
  changes without a dialog being open.

2007-12-29  Johannes Schmid <jhs@gnome.org>

	* plugins/editor/Makefile.am:
	Fixed #506266 – Attempting to build the scintilla plugin, even when explicitly disabled

2007-12-29  Johannes Schmid <jhs@gnome.org>

	* plugins/devhelp/plugin.c: (devhelp_activate):
	Fixed #498986 - Anjuta-2.3.0 fails to build

2007-12-29  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/breakpoints.c: (on_added_current_editor):
	* plugins/debug-manager/plugin.c:
	(on_run_to_cursor_action_activate):
	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_goto_file_line_mark):
	* plugins/symbol-db/plugin.c: (value_added_current_editor),
	(value_removed_current_editor):
	
	Fixed IAnjutaEditor vs. IAnjutaDocument GTK+-Criticals. We should really rename
	all those to value_added_current_document...

	* plugins/editor/anjuta-editor-scintilla.glade:
	Fixed #505315 – anjuta hangs when going from editing a glade file to editing a c source file
	Remember to ALWAYS use for loops when iterating of a GList* as this is much more convinient!

2007-12-28  Massimo Cora'  <maxcvs@email.it>

  * plugins/symbol-db/plugin.c: (on_importing_project_end),
  (symbol_db_activate), (symbol_db_deactivate),
  (symbol_db_instance_init), (isymbol_manager_get_parents):
  * plugins/symbol-db/plugin.h:
  * plugins/symbol-db/symbol-db-engine-iterator-node.c:
  * plugins/symbol-db/symbol-db-engine.c:
  (symbol_db_engine_get_global_members_filtered):
  * plugins/symbol-db/symbol-db-view.c: (prepare_for_adding),
  (on_symbol_inserted):
  Filtered out static functions on global-tab. E.g. when flag
  is_file_scope = 1 we won't add entries there.
  Fixed a little bug on 'Global'->'Vars/Others' node too.

2007-12-28  Johannes Schmid <jhs@gnome.org>

  * libanjuta/anjuta-launcher.c:
  Fixed a silly (and completely useless) memory corruption that probably 
  only occured at a few race conditions though I wonder why it did not 
	happen more often

2007-12-28  Johannes Schmid <jhs@gnome.org>
	* plugins/cvs-plugin/cvs-execute.c: (on_cvs_mesg_parse):
	* plugins/debug-manager/plugin.c: (set_program_counter):
	* plugins/debug-manager/stack_trace.c: (on_stack_trace_updated):
	* plugins/debug-manager/start.c: (get_source_directories):
	* plugins/debug-manager/threads.c: (on_info_thread),
	(on_list_thread):
	* plugins/file-manager/file-model.c: (file_model_set_property):
	* plugins/file-manager/plugin.c: (file_manager_set_default_uri):
	* plugins/tools/editor.c: (on_editor_response):
	
	Use gnome_vfs_get_uri_from_local_path instead of g_strconcat where appropriate.
	
	* plugins/document-manager/plugin.c: (update_title),
	(value_added_project_root_uri):
	* plugins/document-manager/plugin.h:
	Shorten down the title bar if the current path is inside the opened project

2007-12-28  Massimo Cora'  <maxcvs@email.it>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/project-wizard/templates/java/project.anjuta:
	* plugins/project-wizard/templates/mkfile/project.anjuta:
	* plugins/project-wizard/templates/python/project.anjuta:
	Added attribute="Interfaces" and value="IAnjutaSymbolManager" to 
	let new projects use new SymbolDB plugin.
	
	* plugins/symbol-browser/images/Makefile.am:
	added some images taken from MonoDevelop project.
	
	* plugins/symbol-db/plugin.c: (value_added_current_editor),
	(goto_file_line), (on_importing_project_end), (project_root_added),
	(on_session_load), (symbol_db_deactivate), (symbol_db_finalize),
	(isymbol_manager_search):
	Added project-updating feature when opening a project with some files
  modified externally [e.g. a svn up].
        
	* plugins/symbol-db/symbol-db-engine-iterator-node.c:
	(sdb_engine_iterator_node_instance_init),
	(sdb_engine_iterator_node_finalize),
	(symbol_db_engine_iterator_node_set_conversion_hash):
	* plugins/symbol-db/symbol-db-engine-iterator-node.h:
	* plugins/symbol-db/symbol-db-engine-iterator.c:
	(symbol_db_engine_iterator_new):
	* plugins/symbol-db/symbol-db-engine-iterator.h:
	 Moved Hash table initialization into the engine. This proxies and
  speeds up the process of creation and iteration of a GdaDataModel.
	
	* plugins/symbol-db/symbol-db-engine.c:
	(sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_thread_monitor),
	(sdb_engine_scan_files_1), (sdb_engine_init),
	(sdb_engine_unlink_shared_files), (sdb_engine_finalize),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_add_new_project), (sdb_engine_add_new_file),
	(sdb_engine_update_file), (on_scan_update_files_symbols_end),
	(symbol_db_engine_get_sym_type_conversion_hash),
	(symbol_db_engine_update_files_symbols),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_update_buffer_symbols),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id_filtered),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-view-locals.c:
	(sdb_view_locals_get_iter_from_row_ref),
	(symbol_db_view_locals_clear_cache), (do_add_child_symbol_to_view),
	(traverse_on_scan_end), (on_scan_end), (on_symbol_removed),
	(on_symbol_inserted), (symbol_db_view_locals_update_list):
	Changes on some queries fuctions and some fixes. Added *_filtered
  functions.
	
	* plugins/symbol-db/symbol-db-view.c:
	(do_add_child_symbol_to_view), (add_new_waiting_for),
	(prepare_for_adding), (on_symbol_inserted),
	(do_recurse_subtree_and_remove), (on_symbol_removed),
	(sdb_view_do_add_hidden_dummy_child),
	(sdb_view_namespace_row_expanded), (sdb_view_global_row_expanded),
	(sdb_view_vars_row_expanded), (symbol_db_view_row_expanded),
	(sdb_view_locals_create_new_store), (sdb_view_init),
	(sdb_view_finalize), (sdb_view_class_init),
	(symbol_db_view_get_type), (sdb_view_load_symbol_pixbufs),
	(symbol_db_view_get_pixbuf),
	(sdb_view_build_and_display_base_tree), (symbol_db_view_open):
	New display for global tags. This is the definitive version, bugs apart.
	
	* plugins/symbol-db/tables.sql:
	fixed typo.

2007-12-27  Naba Kumar  <naba@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/editor/aneditor-priv.h:
	* plugins/editor/aneditor.cxx:
	* plugins/editor/text_editor.c: (text_editor_instance_init),
	(text_editor_show_hover_tip), (text_editor_hide_hover_tip),
	(ihover_display), (ihover_set_timeout), (ihover_iface_init):
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_cbs.c:
	(on_text_editor_scintilla_notify):

	Implemented IAnjutaEditorHover interface in scintilla editor. Disabled
	related code in AnEditor. Fixed some compilation warnings.

2007-12-26  Naba Kumar  <naba@gnome.org>

	* Changelog: Fixed indentation.

2007-12-25  Naba Kumar  <naba@gnome.org>

	* plugins/editor/Makefile.am:
	* plugins/editor/editor.glade:
	* plugins/editor/plugin.c:
	* plugins/editor/style-editor.c:
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/plugin.c:
	* plugins/sourceview/sourceview.glade:
	* plugins/valgrind/Makefile.am:

	Renamed glade files to anjuta-editor-* to give name space for the
	schema files (because they are installed in system directory).

	* scripts/build-schemas.mk: Install the schemas files also (need for
	binary package installation/uninstallation).

2007-12-25  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(set_indentation_param_vim):
	
	Support some more vim modeline commands and shortcuts (#504331)

2007-12-25  Johannes Schmid <jhs@gnome.org>

	Patches from James Liggett:
	* libanjuta/anjuta-vcs-status-tree-view.c: (path_sort),
	(anjuta_vcs_status_tree_view_init):
	* plugins/subversion/subversion-commit-dialog.c:
	(subversion_commit_dialog):
	* plugins/subversion/subversion-diff-dialog.c:
	(on_subversion_diff_response):
	* plugins/subversion/subversion-log-dialog.c:
	(on_log_view_selected_button_clicked),
	(on_log_diff_selected_button_clicked),
	(on_log_diff_previous_button_clicked):
	* plugins/subversion/subversion-resolve-dialog.c:
	(subversion_resolve_dialog):
	* plugins/subversion/subversion-revert-dialog.c:
	(subversion_revert_dialog):
	* plugins/subversion/subversion-ui-utils.c: (stop_pulse_timer),
	(pulse_progress_bar), (hide_pulse_progress_bar),
	(disconnect_data_arrived_signals),
	(cancel_data_arrived_signal_disconnect):
	* plugins/subversion/subversion-ui-utils.h:
	
	#504818 – Some signals/timeouts should be disconnected when dialogs are closed
	#505237 – Sort list of modified files

2007-12-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/debugger.c:
	Fix bug #491301: Inspecting a variable opens a bad focus dialog

2007-12-23  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c:
	(set_indentation_param_emacs), (set_indentation_param_vim),
	(parse_mode_line_emacs), (parse_mode_line_vim),
	(extract_mode_line), (initialize_indentation_params):

	Added (basic) support for vim modelines (#504331)

	* plugins/message-view/message-view.c: (message_view_next),
	(message_view_previous):
	
	Fixed next/previous message

2007-12-23  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-ui.h:
	Check for != NULL before unref'ing pixbuf (related to #497878)
	
	* plugins/devhelp/plugin.c: (register_stock_icons):
	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_add_document):
	* plugins/glade/plugin.c: (on_close_activated),
	(register_stock_icons), (on_session_save),
	(glade_plugin_add_project):
	
	Fixed bugs #497878 crash when double clicking on project->/->src->glade/gtk-foobar.glade
	and #503719 Opening and closing .glade files plays badly with docman (Patch from Tom)
	
	* plugins/language-support-cpp-java/plugin.c:
	(register_stock_icons):
	Fixed stock icon registration macros

2007-12-23  Johannes Schmid <jhs@gnome.org>

	* global-tags/Makefile.am:
	* launcher/Makefile.am:
	* libanjuta/Makefile.am:
	* libegg/Makefile.am:
	* manuals/anjuta-faqs/Makefile.am:
	* manuals/anjuta-manual/Makefile.am:
	* manuals/reference/libanjuta/Makefile.am:
	* plugins/build-basic-autotools/Makefile.am:
	* plugins/class-gen/Makefile.am:
	* plugins/class-inheritance/Makefile.am:
	* plugins/cvs-plugin/Makefile.am:
	* plugins/debug-manager/Makefile.am:
	* plugins/devhelp/Makefile.am:
	* plugins/document-manager/Makefile.am:
	* plugins/editor/Makefile.am:
	* plugins/editor/scintilla/Makefile.am:
	* plugins/editor/scintilla/include/Makefile.am:
	* plugins/file-loader/Makefile.am:
	* plugins/file-manager/Makefile.am:
	* plugins/file-wizard/Makefile.am:
	* plugins/gdb/Makefile.am:
	* plugins/glade/Makefile.am:
	* plugins/gtodo/Makefile.am:
	* plugins/gvim/Makefile.am:
	* plugins/indent/Makefile.am:
	* plugins/language-manager/Makefile.am:
	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/macro/Makefile.am:
	* plugins/message-view/Makefile.am:
	* plugins/patch/Makefile.am:
	* plugins/profiler/Makefile.am:
	* plugins/project-import/Makefile.am:
	* plugins/project-manager/Makefile.am:
	* plugins/project-wizard/Makefile.am:
	* plugins/project-wizard/templates/anjuta-plugin/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/cpp/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/gnome/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/gtk/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/gtkmm/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/minimal/Makefile.am.tpl:
	* plugins/project-wizard/templates/sdl/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/wxwin/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/xlib-dock/src/Makefile.am.tpl:
	* plugins/project-wizard/templates/xlib/src/Makefile.am.tpl:
	* plugins/sample1/Makefile.am:
	* plugins/search/Makefile.am:
	* plugins/sourceview/Makefile.am:
	* plugins/subversion/Makefile.am:
	* plugins/symbol-browser/Makefile.am:
	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/test/Makefile.am:
	* plugins/terminal/Makefile.am:
	* plugins/tools/Makefile.am:
	* plugins/valgrind/Makefile.am:
	* src/Makefile.am:
	* tagmanager/Makefile.am:
	
	Replaces the deprecated "INCLUDES" in all Makefile.am's with
	the correct "AM_CPPFLAGS" preprocessor flags keyword. Also fixes some
	warnings from illigel C++ compiler flags.

2007-12-23  Johannes Schmid <jhs@gnome.org>

	Patch from Tom <tpgww@onepost.net>:
  
	* plugins/document-manager/anjuta-docman.c:
	(on_notebook_tab_btnpress), (on_notebook_tab_btnrelease),
	(anjuta_docman_compare_pages), (anjuta_docman_sort_pagelist),
	(anjuta_docman_instance_init), (on_notebook_switch_page),
	(anjuta_docman_grab_text_focus):
	* plugins/document-manager/plugin.c: (on_document_added),
	(on_window_key_press_event), (on_window_key_release_event):
	
	Some more document-manager code cleanups and fixes.

2007-12-23  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-db/plugin.c: (register_stock_icons),
	(value_added_current_editor), (value_removed_current_editor),
	(on_importing_project_end), (project_root_removed):
	added controls to clean/populate GtkTreeView(s) on projects unload/load.

	* plugins/symbol-db/symbol-db-engine.c: (sdb_engine_finalize),
	(symbol_db_engine_get_file_db_path):
	fixed a useless warning.

	* plugins/symbol-db/symbol-db-view-locals.c:
	(traverse_free_waiting_for), (file_view_status_destroy),
	(sdb_view_locals_create_new_store), (traverse_files_view_status),
	(symbol_db_view_locals_clear_cache), (sdb_view_locals_init),
	(sdb_view_locals_finalize), (on_symbol_inserted),
	(symbol_db_view_locals_recv_signals_from_engine),
	(symbol_db_view_locals_update_list):
	more speed on editors switching. GtkTreeStore caching method implemented.
	Fixed compiler warnings and a little memory leak.

	* plugins/symbol-db/symbol-db-view-locals.h:
	* plugins/symbol-db/symbol-db-view.c: (gtree_compare_func),
	(traverse_free_waiting_for), (symbol_db_view_clear_cache),
	(on_scan_end), (on_symbol_inserted),
	(sdb_view_locals_create_new_store), (sdb_view_init),
	(sdb_view_finalize), (symbol_db_view_new), (symbol_db_view_open):
	* plugins/symbol-db/symbol-db-view.h:
	fixed some crashers. Now project loading/populating should be quite quick.

2007-12-22  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/command.c,
	plugins/debug-manager/queue.c:
	Take care of command return value (FALSE is an error)

2007-12-22  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.glade,
	plugins/debug-manager/breakpoints.c:
	Remove address, condition and pass breakpoint column if not supported
	Fix clear all remove_all to avoid an endless loop if a breakpoint
	cannot be removed

2007-12-17  Johannes Schmid <jhs@gnome.org>

	Patch from Tom <tpgww@onepost.net> (with some changes):

	* plugins/document-manager/action-callbacks.c: (on_open_activate),
	(on_save_as_activate), (on_save_all_activate),
	(on_close_file_activate), (on_close_all_file_activate),
	(on_reload_file_activate), (on_editor_command_clear_activate),
	(on_transform_eolchars1_activate), (on_comment_block),
	(on_comment_box), (on_comment_stream), (on_goto_line_no1_activate),
	(on_goto_block_start1_activate), (on_goto_block_end1_activate),
	(on_editor_linenos1_activate), (on_editor_markers1_activate),
	(on_editor_codefold1_activate), (on_editor_indentguides1_activate),
	(on_editor_whitespaces1_activate), (on_editor_eolchars1_activate),
	(on_editor_linewrap1_activate), (on_zoom_in_text_activate),
	(on_zoom_out_text_activate):
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-docman.c:
	(on_notebook_page_close_button_click),
	(on_notebook_page_close_button_enter),
	(on_notebook_page_close_button_leave),
	(on_notebook_tab_btnrelease), (on_notebook_page_reordered),
	(anjuta_docman_page_init), (anjuta_docman_page_new),
	(on_open_filesel_response), (create_file_open_dialog_gui),
	(anjuta_docman_save_document_as), (anjuta_docman_dispose),
	(anjuta_docman_instance_init), (on_notebook_switch_page),
	(on_document_destroy), (anjuta_docman_add_editor),
	(anjuta_docman_add_document), (anjuta_docman_remove_document),
	(anjuta_docman_set_current_document),
	(anjuta_docman_goto_file_line_mark), (get_real_path),
	(anjuta_docman_get_full_filename),
	(anjuta_docman_delete_all_markers),
	(anjuta_docman_delete_all_indicators),
	(anjuta_docman_save_file_if_modified), (anjuta_docman_reload_file),
	(anjuta_docman_order_tabs):
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/file_history.c: (an_hist_file_new),
	(an_file_history_push), (an_file_history_dump):
	* plugins/document-manager/file_history.h:
	* plugins/document-manager/plugin.c: (update_title),
	(value_removed_project_root_uri),
	(update_document_ui_interface_items), (menu_name_compare),
	(on_document_added), (on_document_changed),
	(on_window_key_press_event), (on_window_key_release_event),
	(on_session_save):
	* plugins/document-manager/search-box.c: (on_document_changed),
	(on_goto_activated), (search_box_init), (search_box_new):
	* plugins/document-manager/search-box.h:

	Yet more code cleanups
	Save glade files correctly in session
	Use new tooltip API if available
	Sort notebook pages when session is restored (needs work)

2007-12-16  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_add_document):
	
	Present correct widget with anjuta_shell_present_widget(). This got wrong when
	the new search bar was introduced.

2007-12-12  Johannes Schmid <jhs@gnome.org>
  
	Patch from  Tom <tpgww@onepost.net>:
	(#485233 – another bunch of docman cleanups)
  
	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/action-callbacks.c:
	(get_current_document), (get_current_focus_widget),
	(on_save_activate), (on_save_as_activate), (on_save_all_activate),
	(on_close_file_activate), (on_close_all_file_activate),
	(on_reload_file_activate), (on_print_activate),
	(on_print_preview_activate),
	(on_editor_command_upper_case_activate),
	(on_editor_command_lower_case_activate),
	(on_editor_command_eol_crlf_activate),
	(on_editor_command_eol_lf_activate),
	(on_editor_command_eol_cr_activate),
	(on_editor_command_select_all_activate),
	(on_editor_command_select_to_brace_activate),
	(on_editor_command_select_block_activate),
	(on_editor_command_match_brace_activate),
	(on_editor_command_undo_activate),
	(on_editor_command_redo_activate),
	(on_editor_command_cut_activate),
	(on_editor_command_paste_activate),
	(on_editor_command_copy_activate),
	(on_editor_command_clear_activate),
	(on_editor_command_close_folds_all_activate),
	(on_editor_command_open_folds_all_activate),
	(on_editor_command_toggle_fold_activate),
	(on_editor_command_bookmark_toggle_activate),
	(on_editor_command_bookmark_first_activate),
	(on_editor_command_bookmark_next_activate),
	(on_editor_command_bookmark_prev_activate),
	(on_editor_command_bookmark_last_activate),
	(on_editor_command_bookmark_clear_activate),
	(on_transform_eolchars1_activate), (on_comment_block),
	(on_comment_box), (on_comment_stream),
	(on_goto_block_start1_activate), (on_goto_block_end1_activate),
	(on_zoom_in_text_activate), (on_zoom_out_text_activate),
	(on_force_hilite_activate), (on_swap_activate),
	(on_editor_add_view_activate), (on_editor_remove_view_activate):
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-docman.c:
	(on_notebook_page_close_button_click),
	(on_notebook_page_close_button_enter),
	(on_notebook_page_close_button_leave), (on_notebook_tab_btnpress),
	(on_notebook_tab_btnrelease), (anjuta_docman_page_setup),
	(anjuta_docman_page_new), (anjuta_docman_page_destroy),
	(on_open_filesel_response), (anjuta_docman_open_file),
	(anjuta_docman_save_document_as), (anjuta_docman_save_document),
	(anjuta_docman_dispose), (anjuta_docman_instance_init),
	(anjuta_docman_class_init), (anjuta_docman_new),
	(on_notebook_switch_page), (on_document_save_point),
	(on_document_destroy), (anjuta_docman_add_editor),
	(anjuta_docman_add_document), (anjuta_docman_remove_document),
	(anjuta_docman_set_popup_menu),
	(anjuta_docman_get_current_focus_widget),
	(anjuta_docman_get_page_for_document),
	(anjuta_docman_get_current_document),
	(anjuta_docman_set_current_document),
	(anjuta_docman_goto_file_line),
	(anjuta_docman_goto_file_line_mark),
	(anjuta_docman_get_full_filename),
	(anjuta_docman_present_notebook_page),
	(anjuta_docman_update_page_label),
	(anjuta_docman_delete_all_markers),
	(anjuta_docman_delete_all_indicators),
	(anjuta_docman_save_file_if_modified), (anjuta_docman_reload_file),
	(do_ordertab1), (anjuta_docman_order_tabs),
	(anjuta_docman_set_editor_properties),
	(anjuta_docman_get_document_for_path),
	(anjuta_docman_get_all_doc_widgets):
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/editor-tooltips.c:
	* plugins/document-manager/plugin.c: (update_title),
	(update_document_ui_enable_all), (update_document_ui_disable_all),
	(update_document_ui_save_items),
	(update_document_ui_interface_items), (update_document_ui),
	(on_document_update_save_ui), (update_status),
	(on_document_update_ui), (on_document_added),
	(on_document_changed), (on_session_save), (on_save_prompt),
	(on_docman_auto_save), (on_gconf_notify_timer):
	* plugins/document-manager/search-box.c: (on_document_changed),
	(search_box_new), (search_box_grab_line_focus):
	* plugins/glade/plugin.c: (ifile_open):
	* plugins/project-manager/plugin.c: (project_manager_unload_gbf):
	* plugins/search/search-replace_backend.c: (create_search_entries):
	* plugins/sourceview/anjuta-document.c: (set_uri),
	(anjuta_document_save):
	* plugins/sourceview/sourceview.c: (ifile_savable_save):
	* plugins/tools/editor.c: (on_editor_response):

	The patch renames most stuff from "editor" or "te" to "doc where appropriate.
	It fixes some issues with session handling and several memory lacks.
	Gtk 2.12 Tooltip API is used if available.

2007-12-10  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/disassemble.c,
	plugins/debug-manager/disassemble.h,
	plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/plugin.c
	plugins/debug-manager/sparse_view.c,
	plugins/debug-manager/sparse_view.h,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	libanjuta/interfaces/libanjuta.idl:
	Fix bug #502533: Implement assembler step

	* plugins/debug-manager/breakpoints.c:
	Do not save temporary breakpoints

	* plugins/debug-manager/stack_trace.c:
	Fix a crash when a stack command is cancelled

2007-12-09  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/plugin.c,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/breakpoints.h:
	Fix bug #488732: Breakpoint on delete lines
	Breakpoints are now linked to their position in editor

	* plugins/gdb/debugger.c:
	Fix removing condition on breakpoint 

2007-12-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/anjuta-debug-manager.glade,
	plugins/debug-manager/start.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	libanjuta/interfaces/libanjuta.idl:
	Fix bug #481366: Do not stop at the beginning of the program

	* plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/queue.c,
	plugins/debug-manager/queue.h:
	Fix a bug remove all breakpoints was not working due to latest changes
	Setting breakpoints is disabled when program is running

2007-12-04  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/queue.c,
	plugins/gdb/plugin.c:
	Fix bug #501469: Crash if mime_type is unknown

2007-12-01  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-db/plugin.c: (on_editor_destroy),
	(on_editor_update_ui), (on_single_file_scan_end),
	(on_importing_project_end), (project_root_added),
	(on_session_load), (symbol_db_activate), (symbol_db_instance_init):
	* plugins/symbol-db/plugin.h:
	show on status bar files being scanned.

	* plugins/symbol-db/symbol-db-engine.c:
	(sdb_engine_get_query_by_id), (sdb_engine_populate_db_by_tags),
	(sdb_engine_ctags_output_thread),
	(sdb_engine_timeout_trigger_signals), (sdb_engine_thread_monitor),
	(sdb_engine_ctags_output_callback_1), (sdb_engine_scan_files_1),
	(sdb_engine_init), (sdb_engine_finalize), (sdb_engine_class_init),
	(sdb_engine_connect_to_db), (symbol_db_engine_db_exists),
	(sdb_engine_get_table_id_by_unique_name2),
	(symbol_db_engine_open_project),
	(sdb_engine_prepare_executing_commands),
	(symbol_db_engine_add_new_files), (sdb_engine_add_new_sym_type),
	(sdb_engine_add_new_scope_definition), (sdb_engine_add_new_symbol),
	(sdb_engine_detects_removed_ids),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_get_full_local_path),
	(symbol_db_engine_find_symbol_by_name_pattern),
	(symbol_db_engine_get_parent_scope_id_by_symbol_id):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-view-locals.c:
	(sdb_view_locals_init), (traverse_free_waiting_for), (on_scan_end),
	(symbol_db_view_locals_recv_signals_from_engine),
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-locals.h:
	* plugins/symbol-db/symbol-db-view.c: (traverse_free_waiting_for),
	(on_scan_end), (trigger_on_symbol_inserted), (add_new_waiting_for),
	(prepare_for_adding), (on_symbol_inserted), (sdb_view_init),
	(symbol_db_view_recv_signals_from_engine), (symbol_db_view_open):
	* plugins/symbol-db/symbol-db-view.h:
	Added g_thread architecture to scan in background. With this you
	can use Anjuta's GUI without freezing.
	Improved insertion speed by using a paradigm like 'insert' and 'check'
	replacing a 'check' and 'insert' one. This has been done for tables 
	like symbol, scope, sym_type.
	Fixed two crashers. 

	* plugins/symbol-db/tables.sql:
	* plugins/symbol-db/test/main.c: (get_global_members), (main),
	(thread), (print_message), (bastard_thread), (idle_signals):
	fixed a typo on tables that broke sql triggers.

=== anjuta 2.3.1 ===

2007-12-02  Naba Kumar  <naba.kumar@gnome.org>

	* NEWS, AUTHORS: Updated.
	* src/Makefile.am: Fixed make distcheck

	Patch from Yang Hong:
	* plugins/file-manager/file-manager.glade: Fixed file chooser
	size in file-manager preferences.

2007-12-02  Naba Kumar  <naba.kumar@gnome.org>

	* NEWS: Updated for 2.3.1 development release
	* configure.in: Bumped version to 2.3.1

2007-12-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/threads.c,
	plugins/debug-manager/disassemble.c,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/registers.c,
	plugins/debug-manager/locals.c,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/stack_trace.c,
	plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/queue.c,
	libanjuta/interfaces/libanjuta.idl:
	Use different signals in IAnjutaDebugManager and IAnjutaDebugger
	Document IAnjutaDebugManager signals
	Generate new signals in queue.c
	Use new signals in other files

2007-11-30  <genbell@tiscali.it>

	reviewed by: Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/gdb/Makefile.am:
	Fix bug #500376

2007-11-29  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/tools/variable.c:
	Fix a bug added in the previous patch (it is not a leak)

2007-11-29  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/project-wizard/druid.c,
	plugins/project-wizard/templates/terminal.wiz,
	plugins/project-wizard/templates/xlib-dock.wiz,
	plugins/project-wizard/templates/wxwin.wiz,
	plugins/project-wizard/templates/java.wiz,
	plugins/project-wizard/templates/gnome.wiz,
	plugins/project-wizard/templates/anjuta-plugin.wiz,
	plugins/project-wizard/templates/gtkmm.wiz,
	plugins/project-wizard/templates/python.wiz,
	plugins/project-wizard/templates/cpp.wiz,
	plugins/project-wizard/templates/sdl.wiz,
	plugins/project-wizard/templates/gtk.wiz,
	plugins/project-wizard/templates/minimal.wiz,
	plugins/project-wizard/templates/xlib.wiz,
	plugins/project-wizard/templates/gcj.wiz,
	plugins/project-wizard/templates/translatable-strings.h,
	plugins/project-import/project-import.c:
	Partial Fix translation bugs #496833 comment 4,7,8,9,10,11 

2007-11-27  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/threads.c,
	plugins/debug-manager/disassemble.c,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/registers.c,
	plugins/debug-manager/memory.c,
	plugins/debug-manager/locals.c,
	plugins/debug-manager/stack_trace.c,
	plugins/debug-manager/queue.c,
	plugins/debug-manager/queue.h:
	Connect debugger signal only when program is loaded
	Rename get_feature in is_supported

	* plugins/debug-manager/plugin.c:
	Remove editor watch when plugin is deactivated

	* plugins/debug-manager/anjuta-debug-manager.glade,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/breakpoints.h:
	Rewrite almost completely the breakpoint code
	Improve breakpoint dialog
	Reorganize function
	Implement condition, hit count, ignore and temporary attribute

	* plugins/debug-manager/command.c,
	plugins/debug-manager/command.h:
	Add a breakpoint list command

	* plugins/gdb/debugger.c,
	plugins/gdb/debugger.h:
	Add new breakpoint list command
	Fix parsing of breakpoint data

	* libanjuta/interfaces/libanjuta.idl,
	plugins/gdb/plugin.c:
	Rename IAnjutaBreakpointDebugger into IAnjutaDebuggerBreakpoint

2007-11-23  Jaap Haitsma  <jaap@haitsma.org>

	* plugins/document-manager/plugin.c:
	Use Ctrl+Shift+s as shortcut for Save As

2007-11-22  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/subversion/plugin.c: (activate_plugin):
	* plugins/symbol-db/plugin.c: (symbol_db_activate):
	* src/layout.xml: Fixed dockitem positions.

2007-11-21  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* plugins/project-wizard/applogo.png:
	Icons from patch in bug #480093 comment #23. Also renamed icons.

	* plugins/message-view/Makefile.am:
	* plugins/message-view/plugin.c: (register_stock_icons),
	(ipreferences_merge): Removed redundant icon.

	* plugins/document-manager/plugin.c:
	(update_editor_ui_disable_all), (update_editor_ui_interface_items):
	Do not insensitize New action when there is no document.
	Indentation fixes.

2007-11-21  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* plugins/symbol-browser/an_symbol_prefs.c:
	* pixmaps/Makefile.am:
	* pixmaps/anjuta.png, pixmaps/anjuta_logo.png, pixmaps/anjuta.svg:

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-21  Naba Kumar  <naba.kumar@gnome.org>

	Patch from James Liggett:
	* plugins/subversion/anjuta-subversion.glade: Make commit, resolve,
	revert and dialogs resizable.

2007-11-20  Naba Kumar  <naba.kumar@gnome.org>

	Patch from James Liggett:
	* plugins/subversion/anjuta-subversion.glade:
	* plugins/subversion/subversion-diff-dialog.c:
	(on_subversion_diff_response), (subversion_diff_dialog):
	* plugins/subversion/subversion-diff-dialog.h:

	The diff dialog should have a checkbox, enabled by default, that
	allows the user to make sure that all open files are saved before
	diffing.

2007-11-20  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/Makefile.am: Remove duplicate 'profiler' in SUBDIRS.

	Icons from tpgww@onepost.net:
	* pixmaps/Makefile.am:
	* src/Makefile.am:
	* src/anjuta-app.c:
	* src/anjuta-preferences-general.svg:

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-19  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* plugins/debug-manager/images/Makefile.am:
	* plugins/debug-manager/images/anjuta-watch.svg:
	* plugins/debug-manager/plugin.c: (register_stock_icons):
	* plugins/gdb/images/Makefile.am:
	* plugins/gtodo/Makefile.am:
	* plugins/gtodo/anjuta-gtodo-plugin.svg:
	* plugins/gtodo/anjuta-gtodo.plugin.in:
	* plugins/gtodo/interface.c: (stock_icons):
	* plugins/gtodo/main.h:
	* plugins/gtodo/plugin.c: (ipreferences_merge):
	* plugins/terminal/Makefile.am:
	* plugins/terminal/anjuta-terminal-plugin.svg:
	* plugins/terminal/anjuta-terminal.plugin.in:
	* plugins/terminal/terminal.c:
	* plugins/tools/Makefile.am:
	* plugins/tools/anjuta-tools-plugin.svg:
	* plugins/tools/anjuta-tools.plugin.in:
	* plugins/tools/plugin.c:
	* plugins/valgrind/Makefile.am:
	* plugins/valgrind/anjuta-valgrind-plugin.svg:
	* plugins/valgrind/anjuta-valgrind.plugin.in:
	* plugins/valgrind/plugin.c: (register_stock_icons),
	(ipreferences_merge):

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-18  Massimo Cora'   <maxcvs@email.it>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* configure.in:
	required gda version to 3.1.3. [svn trunk]. Without this Anjuta can crash
	due to bug #493360. Still present anyway bug #495843

	* plugins/symbol-db/plugin.c: (goto_local_tree_iter),
	(goto_global_tree_iter), (on_treesearch_symbol_selected_event),
	(on_local_treeview_row_activated),
	(on_global_treeview_row_activated),
	(on_global_treeview_row_expanded), (on_project_element_added),
	(on_project_element_removed), (project_root_added),
	(symbol_db_activate), (isymbol_manager_search),
	(isymbol_manager_get_members),
	(isymbol_manager_get_completions_at_position):
	* plugins/symbol-db/symbol-db-engine-iterator-node.c:
	(symbol_db_engine_iterator_node_get_symbol_extra_string):
	* plugins/symbol-db/symbol-db-engine.c:
	(sdb_engine_execute_non_select_sql),
	(sdb_engine_execute_select_sql), (sdb_engine_get_query_by_id),
	(sdb_engine_free_cached_queries), (sdb_engine_disconnect_from_db),
	(sdb_engine_populate_db_by_tags), (sdb_engine_scan_files_1),
	(sdb_engine_create_db_tables), (symbol_db_engine_open_db),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_add_new_project),
	(symbol_db_engine_add_new_files), (sdb_engine_add_new_symbol),
	(sdb_engine_detects_removed_ids),
	(sdb_engine_walk_down_scope_path),
	(symbol_db_engine_get_class_parents),
	(symbol_db_engine_get_global_members),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols),
	(symbol_db_engine_get_symbol_info_by_id),
	(symbol_db_engine_find_symbol_by_name_pattern):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-view-locals.c: (on_symbol_removed),
	(on_symbol_inserted), (symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view.c: (waiting_for_symbol_destroy),
	(sdb_view_get_iter_from_row_ref), (traverse_free_waiting_for),
	(on_scan_end), (do_add_root_symbol_to_view),
	(do_add_child_symbol_to_view), (add_waiting_for_symbol_to_view),
	(trigger_on_symbol_inserted), (add_new_waiting_for),
	(do_recurse_subtree_and_invalidate), (prepare_for_adding),
	(on_symbol_inserted), (do_recurse_subtree_and_remove),
	(on_symbol_removed), (sdb_view_do_add_hidden_dummy_child),
	(symbol_db_view_row_expanded), (sdb_view_init),
	(gtree_compare_func), (sdb_view_finalize),
	(sdb_view_load_symbol_pixbufs), (symbol_db_view_get_file_and_line),
	(sdb_view_populate_base_root),
	(sdb_view_build_and_display_base_tree), (symbol_db_view_open):
	* plugins/symbol-db/symbol-db-view.h:
	* plugins/symbol-db/tables.sql:
	* plugins/symbol-db/test/Makefile.am:
	* plugins/symbol-db/test/main.c: (dump_iterator), (get_parents),
	(get_scope_members), (get_current_scope), (get_global_members),
	(get_file_symbols), (get_info_by_id), (main):

	Rewrote symbol-db-view global tab. Now every expandable node is a query.
	Started using LIMIT keyword to speed up things.
	Deprecated GdaCommand in favour of GdaQuery into engine. This should
	make providers use prepared statements.

2007-11-19  Naba Kumar  <naba.kumar@gnome.org>

	Patch from James Liggett:
	* plugins/subversion/plugin.c: (subversion_instance_init):
	* plugins/subversion/plugin.h:
	* plugins/subversion/subversion-diff-dialog.c:
	(on_subversion_diff_response), (subversion_diff_dialog),
	(on_menu_subversion_diff):
	* plugins/subversion/subversion-log-dialog.c:
	(on_log_view_selected_button_clicked),
	(on_log_diff_selected_button_clicked),
	(on_log_diff_previous_button_clicked),
	(subversion_log_window_create):
	* plugins/subversion/subversion-ui-utils.c:
	(get_filename_from_full_path), (init_whole_project),
	(on_whole_project_toggled):
	* plugins/subversion/subversion-ui-utils.h:
	* plugins/subversion/subversion-update-dialog.c:
	(subversion_update_dialog), (on_menu_subversion_update):

	Whole Project checkbox enabled by default in diff and update dialogs.
	changes the editor names for diff editors to something much more
	descriptive. For example, working copy/head diffs would have an editor
	with a name like "[Working Copy/Head] some-file.diff," where some-file
	is the name of the file/directory that was diffed. For diffs against
	arbitrary diffs the name would look like "[Revisions 2832/3200]
	some-file.diff" for a diff of some-file between revisions 2832 and
	3200.

2007-11-19  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* plugins/subversion/Makefile.am:
	* plugins/subversion/anjuta-subversion-plugin.svg:
	* plugins/subversion/anjuta-subversion.plugin.in:
	* plugins/subversion/plugin.h:
	* plugins/symbol-browser/Makefile.am:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.svg:
	* plugins/symbol-browser/anjuta-symbol-browser.plugin.in:
	* plugins/symbol-browser/plugin.c:
	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/plugin.c:
	* plugins/symbol-db/symbol-db.plugin.in:

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-18  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* plugins/project-manager/Makefile.am:
	* plugins/project-manager/anjuta-project-manager-plugin.svg:
	* plugins/project-manager/anjuta-project-manager.plugin.in:
	* plugins/project-manager/plugin.c:
	* plugins/project-wizard/Makefile.am:
	* plugins/project-wizard/anjuta-project-wizard-plugin.svg:
	* plugins/project-wizard/anjuta-project-wizard.plugin.in:
	* plugins/project-wizard/druid.h:
	* plugins/search/Makefile.am:
	* plugins/search/anjuta-search-plugin.svg:
	* plugins/search/anjuta-search.plugin.in:
	* plugins/search/plugin.c:

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-18  Naba Kumar  <naba.kumar@gnome.org>

	* TODO.tasks: updated.

	Icons from tpgww@onepost.net:
	* plugins/file-loader/Makefile.am:
	* plugins/file-loader/anjuta-loader-plugin.svg:
	* plugins/file-loader/anjuta-loader.plugin.in:
	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/anjuta-file-manager-plugin.svg:
	* plugins/file-manager/file-manager.plugin.in:
	* plugins/file-manager/plugin.c:
	* plugins/glade/Makefile.am:
	* plugins/glade/anjuta-glade-plugin.svg:
	* plugins/glade/anjuta-glade.plugin.in:
	* plugins/glade/plugin.c: (register_stock_icons):
	* plugins/language-manager/Makefile.am:
	* plugins/language-manager/anjuta-language-manager-plugin.svg:
	* plugins/language-manager/language-manager.plugin.in:
	* plugins/message-view/Makefile.am:
	* plugins/message-view/anjuta-message-manager.plugin.in:
	* plugins/message-view/anjuta-messages-plugin.svg:
	* plugins/message-view/plugin.c:
	* plugins/patch/Makefile.am:
	* plugins/patch/anjuta-patch-plugin.svg:
	* plugins/patch/anjuta-patch.plugin.in:
	* plugins/patch/plugin.c:
	* plugins/profiler/Makefile.am:
	* plugins/profiler/anjuta-profiler-plugin.svg:
	* plugins/profiler/plugin.c: (register_stock_icons):
	* plugins/profiler/profiler.plugin.in:
	* plugins/project-import/Makefile.am:
	* plugins/project-import/anjuta-project-import-plugin.svg:
	* plugins/project-import/anjuta-project-import.plugin.in:
	* plugins/project-import/plugin.c:

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-18  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/build-basic-autotools.c:
	(build_regex_init):
	* plugins/debug-manager/anjuta-debug-manager.glade:
	* plugins/debug-manager/breakpoints.c:
	* plugins/debug-manager/sharedlib.c: (create_sharedlibs_gui):
	* plugins/file-wizard/file.c:
	* plugins/gdb/anjuta-gdb.glade:
	* plugins/glade/plugin.c: (ifile_open):
	* plugins/gtodo/egg-datetime.c: (egg_datetime_class_init):
	* plugins/gtodo/mcategory.c: (category_manager_add_item):
	* plugins/gtodo/tray-icon.c:
	* plugins/macro/macro-util.c: (get_date_Ymd), (get_date_Y):
	* plugins/macro/macros.xml:
	* plugins/symbol-browser/anjuta-symbol-browser-plugin.glade:
	Fixed translation bugs (#496833, #488211 and #497758)
	
	* plugins/document-manager/plugin.c: (on_editor_changed):
	Removed unused code

2007-11-17  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* plugins/devhelp/Makefile.am:
	* plugins/devhelp/anjuta-devhelp-plugin.svg:
	* plugins/devhelp/anjuta-devhelp.plugin.in:
	* plugins/devhelp/plugin.c:
	* plugins/document-manager/anjuta-document-manager.plugin.in:
	* plugins/document-manager/images/Makefile.am:
	* plugins/document-manager/images/anjuta-document-manager-plugin.svg:
	* plugins/document-manager/plugin.c:
	* plugins/editor/Makefile.am:
	* plugins/editor/anjuta-editor-scintilla-plugin.svg:
	* plugins/editor/anjuta-editor.plugin.in:
	* plugins/editor/plugin.c:
	* plugins/sample1/Makefile.am:
	* plugins/sample1/anjuta-sample-plugin.svg:
	* plugins/sample1/anjuta-sample.plugin.in:
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/plugin.c:
	* plugins/sourceview/sourceview.plugin.in:

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-17  Naba Kumar  <naba.kumar@gnome.org>

	* TODO.tasks: Updated.

	Icons from tpgww@onepost.net:
	* plugins/build-basic-autotools/Makefile.am:
	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin.svg:
	* plugins/build-basic-autotools/anjuta-build-basic-autotools.plugin.in:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	* plugins/class-inheritance/Makefile.am:
	* plugins/class-inheritance/anjuta-class-inheritance-plugin.svg:
	* plugins/class-inheritance/anjuta-class-inheritance.plugin.in:
	* plugins/class-inheritance/plugin.c:
	* plugins/cvs-plugin/Makefile.am:
	* plugins/cvs-plugin/anjuta-cvs-plugin.svg:
	* plugins/cvs-plugin/anjuta-cvs.plugin.in:
	* plugins/cvs-plugin/plugin.c:
	* plugins/debug-manager/anjuta-debug-manager.plugin.in:
	* plugins/debug-manager/images/Makefile.am:
	* plugins/debug-manager/images/anjuta-debug-manager-plugin.svg:
	* plugins/debug-manager/plugin.c: 

	Icons from patch in bug #480093 comment #23. Also renamed icons.
	To be continued..

2007-11-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* (removed) libanjuta/anjuta-children.c,
	(removed) libanjuta/anjuta-children.h,
	libanjuta/anjuta-launcher.c,
	libanjuta/libanjuta.h,
	libanjuta/Makefile.am,
	plugins/gdb/debugger.c,
	plugins/terminal/terminal.c,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	manuals/reference/libanjuta/libanjuta-docs.sgml:
	Replace anjuta_children_register by g_child_watch_add

2007-11-13  Johannes Schmid <jhs@gnome.org>

	* plugins/subversion/anjuta-subversion.glade:
	* plugins/subversion/subversion-commit-dialog.c:
	(subversion_commit_dialog):
	* plugins/subversion/subversion-resolve-dialog.c:
	(subversion_resolve_dialog):
	* plugins/subversion/subversion-revert-dialog.c:
	(subversion_revert_dialog):
	* plugins/subversion/subversion-ui-utils.c: (status_pulse_timer),
	(pulse_timer), (status_bar_progress_pulse), (pulse_progress_bar),
	(hide_pulse_progress_bar):
	* plugins/subversion/subversion-ui-utils.h:

	Yet another patch from #457477:
	Add a pulsing progress bar to all dialogs receiving status

2007-11-12  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (create_highlight_submenu):
	Bug 493583 – crash in Anjuta IDE: trying to open a file
	
	* plugins/subversion/subversion-commit-dialog.c:
	(select_all_files), (subversion_commit_dialog):
	Patch from jrligget - see #457477

2007-11-12  Johannes Schmid <jhs@gnome.org>

	Patch from Marc Lorber <Lorber.Marc@wanodoo.fr>:
	* libanjuta/anjuta-plugin-handle.c:
	(anjuta_plugin_handle_get_about):
	Bug 495536 – Plugins localization improvement
	
	Patch from Gabor Kelemeng <kelemeng@gnome.hu>:
	* plugins/class-gen/anjuta-class-gen-plugin.glade:
	* plugins/indent/indent.glade:
	* plugins/subversion/anjuta-subversion.glade:
	Bug 495245 – Strings bug

2007-11-08  James Liggett  <jrliggett@cox.net>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-async-command.c: (anjuta_async_command_init),
	(anjuta_async_command_finalize),
	(anjuta_async_command_notification_poll),
	(anjuta_async_command_thread), (start_command),
	(notify_data_arrived), (notify_complete),
	(anjuta_async_command_class_init),
	(anjuta_async_command_set_error_message),
	(anjuta_async_command_get_error_message),
	(anjuta_async_command_lock), (anjuta_async_command_unlock):
	* libanjuta/anjuta-async-command.h:
	* libanjuta/anjuta-command.c: (anjuta_command_init),
	(anjuta_command_finalize), (anjuta_command_class_init),
	(anjuta_command_start), (anjuta_command_notify_data_arrived),
	(anjuta_command_notify_complete),
	(anjuta_command_set_error_message),
	(anjuta_command_get_error_message):
	* libanjuta/anjuta-command.h:
	* libanjuta/anjuta-glade-catalog.c:
	* libanjuta/anjuta-glade.xml:
	* libanjuta/anjuta-vcs-status-tree-view.c:
	(on_selected_column_toggled),
	(anjuta_vcs_status_tree_view_create_columns),
	(anjuta_vcs_status_tree_view_init),
	(anjuta_vcs_status_tree_view_finalize),
	(anjuta_vcs_status_tree_view_set_property),
	(anjuta_vcs_status_tree_view_get_property),
	(anjuta_vcs_status_tree_view_class_init),
	(anjuta_vcs_status_tree_view_new),
	(anjuta_vcs_status_tree_view_destroy),
	(anjuta_vcs_status_tree_view_add), (select_all_paths),
	(anjuta_vcs_status_tree_view_select_all), (unselect_all_paths),
	(anjuta_vcs_status_tree_view_unselect_all),
	(create_selected_paths_list),
	(anjuta_vcs_status_tree_view_get_selected):
	* libanjuta/anjuta-vcs-status-tree-view.h:
	* libanjuta/anjuta-widgets.c: (glade_module_register_widgets):
	* libanjuta/anjuta-widgets.h:
	* plugins/subversion/subversion-add-dialog.c:
	(on_add_command_finished), (on_subversion_add_response),
	(subversion_add_dialog), (on_menu_subversion_add),
	(on_fm_subversion_add):
	* plugins/subversion/subversion-add-dialog.h:
	* plugins/subversion/subversion-commit-dialog.c:
	(on_commit_command_finished), (on_subversion_commit_response),
	(subversion_commit_dialog), (on_menu_subversion_commit),
	(on_fm_subversion_commit):
	* plugins/subversion/subversion-commit-dialog.h:
	* plugins/subversion/subversion-copy-dialog.c:
	(on_copy_other_revision_radio_toggled),
	(on_copy_browse_button_clicked), (on_copy_dest_entry_focus_in),
	(on_copy_command_finished), (on_subversion_copy_response),
	(subversion_copy_dialog), (on_menu_subversion_copy),
	(on_fm_subversion_copy):
	* plugins/subversion/subversion-copy-dialog.h:
	* plugins/subversion/subversion-diff-dialog.c: (on_editor_destroy),
	(on_subversion_diff_response), (subversion_diff_dialog),
	(on_menu_subversion_diff), (on_fm_subversion_diff):
	* plugins/subversion/subversion-diff-dialog.h:
	* plugins/subversion/subversion-log-dialog.c:
	(on_diff_selected_column_toggled), (create_columns),
	(on_log_command_finished), (on_log_view_button_clicked),
	(on_cat_command_data_arrived), (on_cat_command_finished),
	(on_log_view_selected_button_clicked), (get_selected_revisions),
	(on_log_diff_selected_button_clicked),
	(on_log_diff_previous_button_clicked),
	(on_subversion_log_vbox_destroy),
	(on_log_changes_view_row_selected), (subversion_log_window_create),
	(on_menu_subversion_log), (on_fm_subversion_log),
	(subversion_log_set_whole_project_sensitive):
	* plugins/subversion/subversion-log-dialog.h:
	* plugins/subversion/subversion-merge-dialog.c:
	(on_merge_command_finished), (on_subversion_merge_response),
	(on_merge_first_path_browse_button_clicked),
	(on_merge_second_path_browse_button_clicked),
	(on_merge_use_first_path_check_toggled),
	(on_merge_start_revision_radio_toggled),
	(on_merge_end_revision_radio_toggled), (subversion_merge_dialog),
	(on_menu_subversion_merge):
	* plugins/subversion/subversion-merge-dialog.h:
	* plugins/subversion/subversion-remove-dialog.c:
	(on_remove_command_finished),
	(on_remove_path_browse_button_clicked),
	(on_subversion_remove_response), (subversion_remove_dialog),
	(on_menu_subversion_remove), (on_fm_subversion_remove):
	* plugins/subversion/subversion-remove-dialog.h:
	* plugins/subversion/subversion-resolve-dialog.c:
	(on_resolve_command_finished), (on_subversion_resolve_response),
	(subversion_resolve_dialog), (on_menu_subversion_resolve):
	* plugins/subversion/subversion-resolve-dialog.h:
	* plugins/subversion/subversion-revert-dialog.c:
	(on_revert_command_finished), (on_subversion_revert_response),
	(subversion_revert_dialog), (on_menu_subversion_revert):
	* plugins/subversion/subversion-revert-dialog.h:
	* plugins/subversion/subversion-switch-dialog.c:
	(on_switch_other_revision_radio_toggled),
	(on_switch_command_finished), (on_subversion_switch_response),
	(subversion_switch_dialog), (on_menu_subversion_switch):
	* plugins/subversion/subversion-switch-dialog.h:
	* plugins/subversion/subversion-ui-utils.c: (subversion_data_new),
	(subversion_data_free), (on_mesg_view_destroy),
	(create_message_view), (check_filename), (get_log_from_textview),
	(pulse_timer), (on_pulse_timer_destroyed),
	(status_bar_progress_pulse), (clear_status_bar_progress_pulse),
	(report_errors), (on_status_command_finished),
	(on_status_command_data_arrived), (on_command_info_arrived),
	(select_all_status_items), (clear_all_status_selections),
	(init_whole_project), (on_whole_project_toggled),
	(send_diff_command_output_to_editor), (on_diff_command_finished),
	(stop_status_bar_progress_pulse):
	* plugins/subversion/subversion-ui-utils.h:
	* plugins/subversion/subversion-update-dialog.c:
	(on_update_command_finished), (on_subversion_update_response),
	(subversion_update_dialog), (on_menu_subversion_update),
	(on_fm_subversion_update):
	* plugins/subversion/subversion-update-dialog.h:
	* plugins/subversion/svn-add-command.c: (svn_add_command_init),
	(svn_add_command_finalize), (svn_add_command_run),
	(svn_add_command_class_init), (svn_add_command_new),
	(svn_add_command_destroy):
	* plugins/subversion/svn-add-command.h:
	* plugins/subversion/svn-cat-command.c: (svn_cat_command_init),
	(svn_cat_command_finalize), (svn_cat_command_run),
	(svn_cat_command_class_init), (svn_cat_command_new),
	(svn_cat_command_destroy), (svn_cat_command_get_output):
	* plugins/subversion/svn-cat-command.h:
	* plugins/subversion/svn-command.c: (svn_command_acquire_ui_lock),
	(svn_command_release_ui_lock), (simple_prompt),
	(ssl_server_trust_prompt), (svn_auth_simple_prompt_func_cb),
	(svn_auth_ssl_server_trust_prompt_func_cb),
	(svn_auth_ssl_client_cert_prompt_func_cb),
	(svn_auth_ssl_client_cert_pw_prompt_func_cb), (on_svn_notify),
	(svn_command_init), (svn_command_finalize),
	(svn_command_class_init), (svn_command_push_info),
	(svn_command_get_info_queue), (svn_command_set_error),
	(svn_command_get_client_context), (svn_command_get_pool),
	(svn_command_lock_ui), (svn_command_unlock_ui),
	(svn_command_get_revision), (svn_command_copy_path_list),
	(svn_command_free_path_list):
	* plugins/subversion/svn-command.h:
	* plugins/subversion/svn-commit-command.c: (on_log_callback),
	(svn_commit_command_init), (svn_commit_command_finalize),
	(svn_commit_command_run), (svn_commit_command_class_init),
	(svn_commit_command_new), (svn_commit_command_destroy):
	* plugins/subversion/svn-commit-command.h:
	* plugins/subversion/svn-copy-command.c: (on_log_callback),
	(svn_copy_command_init), (svn_copy_command_finalize),
	(svn_copy_command_run), (svn_copy_command_class_init),
	(svn_copy_command_new), (svn_copy_command_destroy):
	* plugins/subversion/svn-copy-command.h:
	* plugins/subversion/svn-diff-command.c: (svn_diff_command_init),
	(svn_diff_command_finalize), (svn_diff_command_run),
	(svn_diff_command_class_init), (svn_diff_command_new),
	(svn_diff_command_destroy), (svn_diff_command_get_output):
	* plugins/subversion/svn-diff-command.h:
	* plugins/subversion/svn-log-command.c: (svn_log_command_init),
	(svn_log_command_finalize), (log_callback), (svn_log_command_run),
	(svn_log_command_class_init), (svn_log_command_new),
	(svn_log_command_destroy), (svn_log_command_get_entry_queue):
	* plugins/subversion/svn-log-command.h:
	* plugins/subversion/svn-log-entry.c: (svn_log_entry_init),
	(svn_log_entry_finalize), (svn_log_entry_class_init),
	(strip_whitespace), (svn_log_entry_new), (svn_log_entry_destroy),
	(svn_log_entry_get_author), (svn_log_entry_get_date),
	(svn_log_entry_get_revision), (svn_log_entry_get_short_log),
	(svn_log_entry_get_full_log):
	* plugins/subversion/svn-log-entry.h:
	* plugins/subversion/svn-merge-command.c: (svn_merge_command_init),
	(svn_merge_command_finalize), (svn_merge_command_run),
	(svn_merge_command_class_init), (svn_merge_command_new),
	(svn_merge_command_destroy):
	* plugins/subversion/svn-merge-command.h:
	* plugins/subversion/svn-remove-command.c: (on_log_callback),
	(svn_remove_command_init), (svn_remove_command_finalize),
	(svn_remove_command_run), (svn_remove_command_class_init),
	(svn_remove_command_new), (svn_remove_command_destroy),
	(svn_remove_command_get_path):
	* plugins/subversion/svn-remove-command.h:
	* plugins/subversion/svn-resolve-command.c:
	(svn_resolve_command_init), (svn_resolve_command_finalize),
	(svn_resolve_command_run), (svn_resolve_command_class_init),
	(svn_resolve_command_new), (svn_resolve_command_destroy):
	* plugins/subversion/svn-resolve-command.h:
	* plugins/subversion/svn-revert-command.c:
	(svn_revert_command_init), (svn_revert_command_finalize),
	(svn_revert_command_run), (svn_revert_command_class_init),
	(svn_revert_command_new), (svn_revert_command_destroy):
	* plugins/subversion/svn-revert-command.h:
	* plugins/subversion/svn-status-command.c:
	(svn_status_command_init), (svn_status_command_finalize),
	(on_svn_status_notify), (svn_status_command_run),
	(svn_status_command_class_init), (svn_status_command_new),
	(svn_status_command_destroy),
	(svn_status_command_get_status_queue):
	* plugins/subversion/svn-status-command.h:
	* plugins/subversion/svn-status.c: (svn_status_init),
	(svn_status_finalize), (svn_status_class_init), (svn_status_new),
	(svn_status_destroy), (svn_status_get_path),
	(svn_status_get_vcs_status):
	* plugins/subversion/svn-status.h:
	* plugins/subversion/svn-switch-command.c:
	(svn_switch_command_init), (svn_switch_command_finalize),
	(svn_switch_command_run), (svn_switch_command_class_init),
	(svn_switch_command_new), (svn_switch_command_destroy):
	* plugins/subversion/svn-switch-command.h:
	* plugins/subversion/svn-update-command.c:
	(svn_update_command_init), (svn_update_command_finalize),
	(svn_update_command_run), (svn_update_command_class_init),
	(svn_update_command_new), (svn_update_command_destroy):
	* plugins/subversion/svn-update-command.h:

	Now really committed all files from James patch (#457477)

2007-11-08  Johannes Schmid <jhs@gnome.org>

	* TODO.tasks: Updated

2007-11-08  James Liggett  <jrliggett@cox.net>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* configure.in:
	* libanjuta/Makefile.am:
	* libanjuta/anjuta-status.c: (anjuta_status_progress_pulse):
	* libanjuta/anjuta-status.h:
	* libanjuta/libanjuta.h:
	* plugins/subversion/Makefile.am:
	* plugins/subversion/anjuta-subversion.glade:
	* plugins/subversion/anjuta-subversion.ui:
	* plugins/subversion/plugin.c: (value_added_project_root_uri),
	(value_removed_project_root_uri), (activate_plugin),
	(deactivate_plugin), (finalize), (subversion_instance_init):
	* plugins/subversion/plugin.h:
	* plugins/subversion/subversion-actions.c:
	* plugins/subversion/subversion-actions.h:
	* plugins/subversion/subversion-callbacks.c:
	* plugins/subversion/subversion-callbacks.h:
	* plugins/subversion/svn-auth.c:
	* plugins/subversion/svn-auth.h:
	* plugins/subversion/svn-backend-priv.h:
	* plugins/subversion/svn-backend.c:
	* plugins/subversion/svn-backend.h:
	* plugins/subversion/svn-notify.c:
	* plugins/subversion/svn-notify.h:
	* plugins/subversion/svn-thread.c:
	* plugins/subversion/svn-thread.h:
	
	Commited alpha2 of the new subversion plugin (#457477)

2007-11-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/command.c:
	Fix a stupid crash when changing a register value

2007-11-07  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/interfaces/libanjuta.idl,
	plugins/debug-manager/command.c,
	plugins/debug-manager/command.h,
	plugins/debug-manager/start.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h:
	Use anjuta terminal plugin instead of gnome terminal
	Select if a terminal is used in the the start_program function
	Move terminal code from debugger.c to plugin.c
	Partial fix of bug #481366

	* plugins/gdb/utilities.c,
	plugins/gdb/utilities.h:
	Remove gnome terminal check function

2007-11-06  Johannes Schmid <jhs@gnome.org>

	* plugins/project-import/anjuta-project-import.glade:
	* plugins/project-import/project-import.c: (on_import_next),
	(on_import_finish), (project_import_set_directory):
	* plugins/project-wizard/property.c: (npw_property_create_widget),
	(npw_property_set_value_from_widget):
	
	Replaced gnome_file_entry with gtk_file_chooser_button
	Fixes #422329 – Creating a new directory in program options doesn't work
	
2007-11-04  Massimo Cora' <maxcvs@email.it>

	* plugins/symbol-db/plugin.c:
	add all files at once on project_import.
	No need to split them into more languages: ctags
	and the engine will take care of that.

	* plugins/symbol-db/symbol-db-engine.h,
	* plugins/symbol-db/symbol-db-engine.c,
	* plugins/symbol-db/tables.sql,
	* plugins/symbol-db/test/Makefile.am,
	* plugins/symbol-db/test/main.c,
	* plugins/symbol-db/symbol-db-view-locals.c:
	some memory leaks fixed. Ported the thing to
	libgda 3.1.2 [or better svn HEAD].
	Thanks to a fresh new algorithm to detect
	parent scope we're able to display correcly
	a local gtktree, including classes not directly
	defined inside that file.

2007-11-04  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/threads.c,
	plugins/debug-manager/stack_trace.c:
	Do not display address when not needed

	* plugins/debug-manager/plugin.c,
	plugins/debug-manager/breakpoints.c:
	Breakpoints directly connect to debugger signals

	* plugins/debug-manager/watch.c:
	program-unload signal does not exist used debugger-stopped

	* plugins/debug-manager/queue.c,
	libanjuta/interfaces/libanjuta.idl:
	Display error message returned by debugger command
	Add new error codes

2007-11-04  Johannes Schmid <jhs@gnome.org>

	* plugins/project-wizard/templates/gcj/configure.ac.tpl:
	Bug 493062 – gcj template needs AC_PROG_CC
	(thanks to Bruno Cigic <bruno.cigic@gmail.com>)

	* src/anjuta-actions.h:
	Bug 493212 – Use GTK_STOCK_ABOUT i.s.o. deprecated GNOME_STOCK_ABOUT
	(thanks to Jaap A. Haitsma <jaap@haitsma.org>)

=== anjuta 2.3.0 ===

2007-11-02  Naba Kumar  <naba.kumar@gnome.org>

	* AUTHORS: Updated

2007-11-01  Naba Kumar  <naba.kumar@gnome.org>

	* ChangeLog: Tagged 2.3.0 release.

	* plugins/indent/Makefile.am: Fixed indentation.

	* plugins/editor/aneditor-autocomplete.cxx:
	* plugins/editor/aneditor-priv.h:
	* plugins/editor/aneditor.cxx:
	* plugins/editor/aneditor.h: Commented out dead codes.

	* configure.in, plugins/symbol-db/symbol-db.plugin.in:
	Do not build symbol-db by
	default. Added 'unstable' in plugin description to signify it's
	developmental state.

	* plugins/file-manager/Makefile.am,
	plugins/language-manager/Makefile.am: Fixed 'make distcheck'.

2007-11-01  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/utilities.c,
	plugins/debug-manager/utilities.h,
	plugins/debug-manager/threads.c,
	plugins/debug-manager/plugin.c,
	plugins/debug-manager/plugin.h,
	plugins/debug-manager/disassemble.h,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/watch.h,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/stack_trace.c:
	Replace few remaining function calls by signal 

	* plugins/debug-manager/disassemble.c,
	plugins/debug-manager/registers.c,
	plugins/debug-manager/memory.c,
	plugins/debug-manager/locals.c,
	plugins/debug-manager/queue.c,
	plugins/debug-manager/queue.h:
	Connect signals when debugger is started
	Disconnect them when debugger is stopped
	Do not display window if debugger doesn't support feature

	* plugins/gdb/plugin.c,
	libanjuta/interfaces/libanjuta.idl:
	Remove unused initialization function

2007-11-01  Naba Kumar  <naba.kumar@gnome.org>

	* configure.in:
	* plugins/file-manager/Makefile.am:
	* scripts/build-schemas.mk: Fixed 'make distcheck'

2007-11-01  Naba Kumar  <naba.kumar@gnome.org>

	* manuals/reference/libanjuta/libanjuta-docs.sgml,
	manuals/reference/libanjuta/libanjuta-sections.txt: Updated docs
	to latest API additions.

	* manuals/reference/libanjuta/writing-plugins.sgml: Fixed to adhere
	to API changes.

2007-10-31  Naba Kumar  <naba.kumar@gnome.org>

	* ChangeLog: Fixed indentation.
	* NEWS: Updated for 2.3.0 release. Also merged changes from 2.2.x
	branch.

2007-10-30  Naba Kumar  <naba.kumar@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(build_compile_file_real), (build_build_project),
	(build_install_project), (build_clean_project),
	(build_configure_project), (build_autogen_project),
	(build_distribution_project), (build_build_module),
	(build_install_module), (build_clean_module), (fm_build),
	(fm_install), (fm_clean), (pm_build), (pm_install), (pm_clean),
	(finalize), (basic_autotools_plugin_instance_init),
	(ibuildable_set_command), (ibuildable_reset_commands),
	(ibuildable_get_command), (ibuildable_build), (ibuildable_clean),
	(ibuildable_install), (ibuildable_configure),
	(ibuildable_generate), (ibuildable_iface_init):
	* plugins/build-basic-autotools/build-basic-autotools.h:

	Added API for commands override in build interface and implemented
	them in build plugin. Useful for other plugins override build
	commands depending on project environment.

2007-10-28  Naba Kumar  <naba@gnome.org>

	* src/anjuta.glade,
	plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin.glade:
	Fixed widget alignment for dock switcher tab style combo and
	scratchbox path entrybox.

2007-10-28  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (on_editor_changed):
	Fixed a memory leak and simplified code (thanks again Sébastien)
	
	* configure.in:
	Bumped LIBGDA requirement to 3.1.2 (the version that supports LIMIT
	and OFFSET sql statements)

2007-10-28  Massimo Cora' <maxcvs@email.it>

	* plugins/symbol-db/plugin.c,
	plugins/symbol-db/symbol-db-engine.h,
	plugins/symbol-db/symbol-db-view.c,
	plugins/symbol-db/symbol-db-view.c,
	plugins/symbol-db/symbol-db-view-locals.c,
	plugins/symbol-db/symbol-db-view-locals.h,
	plugins/symbol-db/symbol-db-engine.c:
	Better end-of-file-scan detection, permitting
	an improved scope/inheritance parsing.
	Locals tab gtktree now displays correct
	namespace->class->children tree, even if
	in a C++ file there isn't class declaration.

2007-10-27  Johannes Schmid <jhs@gnome.org>

	Patch from Stanislav Brabec <sbrabec@suse.cz>
	* configure.in:
	Bug 489798 – Do not rely on svn-config

	Patch from Michael Wolf <maw@ximian.com>:
	* libegg/eggtreemodelfilter.c: (egg_tree_model_filter_fetch_child),
	(egg_tree_model_filter_remove_node),
	(egg_tree_model_filter_row_deleted):
	Bug 487683 – undefined operations in libegg/eggtreemodelfilter.c

2007-10-27  Johannes Schmid <jhs@gnome.org>

	* plugins/devhelp/anjuta-devhelp.ui:
	* plugins/message-view/anjuta-message-manager.ui:

	Added some separators to the toolbar
	
	* plugins/document-manager/plugin.c:
	(on_support_plugin_deactivated), (load_new_support_plugins),
	(unload_unused_support_plugins), (on_editor_changed):
	
	Fixed the language supprt loading unloading stuff. Thanks to Sébastien
	for pointing out that is was crap.

2007-10-24  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/interfaces/libanjuta.idl,
	libanjuta/anjuta-plugin-manager.c,
	libanjuta/anjuta-plugin-manager.h,
	libanjuta/anjuta-c-plugin-factory.c,
	libanjuta/anjuta-c-module.h,
	libanjuta/anjuta-c-module.c:
	Report detailled error message in case of plugin loading failure

2007-10-24  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	* plugins/Makefile.am:
	
	Activate build of symbol-db plugin (when libgda is available)
	
	* plugins/document-manager/plugin.c:
	(on_support_plugin_deactivated), (on_editor_changed):
	
	Properly handle language support plugins even when they are
	unloaded by the session.
	
	* plugins/symbol-db/plugin.c: (register_stock_icons),
	Port to new REGISTER_ICONS stuff
  
2007-10-22  Massimo Cora'  <maxcvs@email.it>

	* plugins/symbol-db/plugin.c,
	* plugins/symbol-db/symbol-db-view.c
	* plugins/symbol-db/symbol-db-engine.h,
	* plugins/symbol-db/symbol-db-engine-iterator-node.c,
	* plugins/symbol-db/symbol-db-view-locals.c,
	* plugins/symbol-db/symbol-db-view-locals.h,
	* plugins/symbol-db/symbol-db-engine.c:
	Fixed functions declarations with 'const gchar*' instead of 'gchar*'.
	Added a new algorithm for dynamic population of the local symbols' tab.
	Now the default view is tree-like.
	Some fixes on engine correct some population issues.	

2007-10-23  Naba Kumar  <naba@gnome.org>

	* plugins/glade/Makefile.am: Corrected conditional not to install
	.plugin file if plugin is disabled.
	* plugins/sourceview/Makefile.am: Corrected conditional not to
	install schemas if plugin is not built.

2007-10-20  Sébastien Granjoux  <seb.sfo@free.fr>

	* plugins/debug-manager/queue.c:
	Fix #488061: Mutiple crash dialogs

	* plugins/gdb/debugger.c,
	plugins/gdb/debugger.h:
	Remove maximum gdb command length, should fix bug#474811

2007-10-19  Sébastien Granjoux  <seb.sfo@free.fr>

	* manuals/reference/libanjuta/plugin-description-file.sgml,
	manuals/reference/libanjuta/libanjuta-docs.sgml,
	manuals/reference/libanjuta/libanjuta-sections.txt,
	libanjuta/interfaces/libanjuta.idl,
	libanjuta/anjuta-c-module.c,
	libanjuta/anjuta-c-plugin-factory.c:
	Document last changes in plugin code

2007-10-19  Johannes Schmid <jhs@gnome.org>

	* plugins/subversion/subversion-callbacks.c: (check_filename):
	
	Fixed #487854 – Anjuta crashes when i try to add a SVN url

2007-10-19  Naba Kumar  <naba@gnome.org>

	* plugins/file-manager/file-model.c: Fixed a critical runtime
	warning.

2007-10-18  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-ui.h:
	Small fix on icon macros
	
	* libanjuta/interfaces/libanjuta.idl:
	* plugins/language-manager/plugin.c: (ilanguage_get_name),
	(ilanguage_get_from_editor), (ilanguage_get_name_from_editor),
	(ilanguage_iface_init):
	
	Added get_from_editor() and get_name_from_editor() methods
	to IAnjutaLanguage
	
	* plugins/document-manager/plugin.c:
	(update_editor_ui_interface_items), (on_editor_changed):
	* plugins/language-support-cpp-java/anjuta-language-cpp-java.plugin
	.in:
	* plugins/language-support-cpp-java/plugin.c: (install_support):
	
	Ported plugins to use the new interface

2007-10-17  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-ui.h:
	
	Added macros to register stock icons to stop all this copy&paste
	which had spread over a lot of files. New macros support to add 
	icons with toolbar and menu size (16 and 24)
	
	* plugins/class-inheritance/plugin.c: (register_stock_icons):
	* plugins/debug-manager/images/anjuta-attach.svg:
	* plugins/debug-manager/images/anjuta-step-out.svg:
	* plugins/debug-manager/images/anjuta-step-over.svg:
	* plugins/debug-manager/plugin.c: (register_stock_icons):
	* plugins/document-manager/images/Makefile.am:
	* plugins/document-manager/images/anjuta-block-end.svg:
	* plugins/document-manager/images/anjuta-block-start.svg:
	* plugins/document-manager/images/anjuta-bookmark-16.xpm:
	* plugins/document-manager/images/anjuta-bookmark.svg:
	* plugins/document-manager/images/anjuta-go-history-next.svg:
	* plugins/document-manager/images/anjuta-go-history-prev.svg:
	* plugins/document-manager/plugin.c: (register_stock_icons):
	* plugins/glade/plugin.c: (register_stock_icons):
	* plugins/language-support-cpp-java/plugin.c:
	(register_stock_icons):
	* plugins/message-view/Makefile.am:
	* plugins/message-view/anjuta-go-message-next.svg:
	* plugins/message-view/anjuta-go-message-prev.svg:
	* plugins/message-view/anjuta-message-view.svg:
	* plugins/message-view/messages.xpm:
	* plugins/message-view/plugin.c: (register_stock_icons):
	* plugins/patch/plugin.c: (patch_plugin_activate):
	* plugins/project-manager/plugin.c: (register_stock_icons):
	* plugins/search/Makefile.am:
	* plugins/search/anjuta-go-match-next.svg:
	* plugins/search/anjuta-go-match-prev.svg:
	* plugins/search/plugin.c: (activate_plugin):
	* plugins/symbol-browser/plugin.c: (register_stock_icons):
	* plugins/terminal/terminal.c: (register_stock_icons):
	* plugins/valgrind/plugin.c: (register_stock_icons):
	
	Updated to use the new icons and added several new and updated 
	icons from #480093

2007-10-16  Sébastien Granjoux  <seb.sfo@free.fr>

	* libanjuta/anjuta-plugin-handle.c,
	libanjuta/anjuta-plugin-handle.h:
	Add a new path property containing the directory of the .plugin
	file, library file (.so or whatever) must be in the same directory

	* libanjuta/anjuta-plugin-manager.c,
	libanjuta/interfaces/libanjuta.idl,
	(removed) libanjuta/anjuta-glue-plugin.c,
	(removed) libanjuta/anjuta-glue-plugin.h,
	(removed) libanjuta/anjuta-glue-c.c,
	(removed) libanjuta/anjuta-glue-c.h,
	(removed) libanjuta/anjuta-glue-cpp.c,
	(removed) libanjuta/anjuta-glue-cpp.h,
	(removed) libanjuta/anjuta-glue-factory.c,
	(removed) libanjuta/anjuta-glue-factory.h,
	(added) libanjuta/anjuta-c-module.c,
	(added) libanjuta/anjuta-c-module.h,
	(added) libanjuta/anjuta-c-plugin-factory.c,
	(added) libanjuta/anjuta-c-plugin-factory.h,
	libanjuta/Makefile.am:
	AnjutaPluginManager uses the new IAnjutaPluginFactory interface
	anjuta-glue-factory.[ch] is replaced by anjuta-c-plugin-factory.[ch]
	implementing IAnjutaPluginFactory
	anjuta-glue-(c|plugin).[ch] is replaced by anjuta-c-module.[ch]

	* libanjuta/libanjuta.h:
	anjuta-plugin-handle.h must be public (used in IAnjutaPluginFactory
	interface)

	* libanjuta/anjuta-plugin.h:
	Replace AnjutaGluePlugin by GTypeModule
	Remove unused anjuta_glue_get_component_type replaced by
	g_type_from_name

	* plugins/build-basic-autotools/build-basic-autotools.h,
	plugins/class-gen/plugin.h,
	plugins/class-inheritance/plugin.h,
	plugins/cvs-plugin/plugin.h,
	plugins/debug-manager/plugin.h,
	plugins/devhelp/plugin.h,
	plugins/document-manager/plugin.h,
	plugins/editor/plugin.h,
	plugins/file-loader/plugin.h,
	plugins/file-wizard/plugin.h,
	plugins/gdb/plugin.h,
	plugins/glade/plugin.h,
	plugins/gtodo/plugin.h,
	plugins/indent/plugin.h,
	plugins/language-manager/plugin.h,
	plugins/language-support-cpp-java/plugin.h,
	plugins/macro/plugin.h,
	plugins/message-view/plugin.h,
	plugins/patch/plugin.h,
	plugins/profiler/plugin.h,
	plugins/project-import/plugin.h,
	plugins/project-manager/plugin.h,
	plugins/project-wizard/plugin.h,
	plugins/sample1/plugin.h,
	plugins/search/plugin.h,
	plugins/sourceview/plugin.h,
	plugins/subversion/plugin.h,
	plugins/symbol-browser/plugin.h,
	plugins/symbol-db/plugin.h,
	plugins/terminal/terminal.c,
	plugins/tools/plugin.h,
	plugins/valgrind/plugin.h:
	Replace AnjutaGluePlugin by GTypeModule

2007-10-16 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/breakpoints.c:
	Fix bug#487112, crash while removing a breakpoint in a new file

2007-10-15 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/document-manager/search-box.c:
	Fix a crash (with an useful comment) focus-out-event handler must
	return a gboolean

2007-10-14 Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c:
	Hide calltip when "Up" or "Down" key is pressed

2007-10-14 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/document-manager/search-box.c:
	Change included file order to avoid a compile error with gnome 2.16

2007-10-13  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/plugin.c: (enable_log_view):
	
	Fixed crash when closing a project and unloading another while
	the debugger is enabled

2007-10-13  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/breakpoints.c: (breakpoints_dbase_new):
	
	Use correct breakpoint icon
	
	* plugins/devhelp/Makefile.am:
	* plugins/devhelp/anjuta-go-help-next.svg:
	* plugins/devhelp/anjuta-go-help-prev.svg:
	* plugins/devhelp/plugin.c: (register_stock_icons),
	(devhelp_activate):
	
	Added new icons from #480093
	
	* plugins/document-manager/images/anjuta-bookmark-clear.svg:
	* plugins/document-manager/images/anjuta-bookmark-first.svg:
	* plugins/document-manager/images/anjuta-bookmark-last.svg:
	* plugins/document-manager/images/anjuta-bookmark-next.svg:
	* plugins/document-manager/images/anjuta-bookmark-prev.svg:
	* plugins/document-manager/images/anjuta-bookmark-toggle.svg:
	* plugins/message-view/anjuta-go-message-next.svg:
	* plugins/message-view/anjuta-go-message-prev.svg:
	
	Updated icons from #480093
		
	* src/anjuta-actions.h:
	Use GTK_STOCK_FULLSCREEN
	
	* src/anjuta-app.c: (on_gdl_style_changed),
	(anjuta_app_instance_init):
	* src/anjuta.glade:
	
	Added preference option to set the gdl switcher style

2007-10-13  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-preferences.c: (get_object_type_from_string),
	(get_property_value_as_string), (set_property_value_as_string),
	(register_callbacks):
	* libanjuta/anjuta-preferences.h:
	
	Support GtkFileChooserButton as preferences widget
	
	* libanjuta/anjuta-ui.c: (anjuta_ui_add_action_group):
	
	Fixed a Gtk-Critical
	
	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/file-model.c: (file_model_filter_file),
	(file_model_add_dummy), (file_model_expand_idle),
	(file_model_set_property), (file_model_get_property),
	(file_model_class_init):
	* plugins/file-manager/plugin.c: (file_manager_set_default_uri),
	(project_root_added), (on_file_view_open_file), (on_gconf_notify),
	(file_manager_activate), (file_manager_finalize),
	(file_manager_instance_init), (ipreferences_merge),
	(ipreferences_unmerge), (ipreferences_iface_init):
	* plugins/file-manager/plugin.h:
	
	Added preferences to file-manager

	* plugins/glade/plugin.c: (activate_plugin):
	
	Move Properties widget into center because it is way to big
	for the sidebar

2007-10-10  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/language-support-cpp-java/anjuta-complete-auto.svg:
	* plugins/language-support-cpp-java/anjuta-complete.svg:
	* plugins/language-support-cpp-java/anjuta-indent-auto.svg:
	* plugins/language-support-cpp-java/plugin.c:
	(register_stock_icons):
	
	And yet some more icons...

2007-10-10  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/breakpoints.c:
	* plugins/debug-manager/images/Makefile.am:
	* plugins/debug-manager/images/anjuta-bookmark.svg:
	* plugins/debug-manager/images/anjuta-breakpoint-clear.svg:
	* plugins/debug-manager/images/anjuta-breakpoint-disabled.svg:
	* plugins/debug-manager/images/anjuta-breakpoint-enabled.svg:
	* plugins/debug-manager/images/anjuta-breakpoint-toggle.svg:
	* plugins/debug-manager/images/anjuta-linemark.svg:
	* plugins/debug-manager/images/anjuta-pcmark.svg:
	* plugins/debug-manager/plugin.c: (register_stock_icons):
	* plugins/debug-manager/sparse_view.c:
	* plugins/document-manager/images/Makefile.am:
	* plugins/document-manager/images/anjuta-block-select.svg:
	* plugins/document-manager/images/anjuta-fold-close.svg:
	* plugins/document-manager/images/anjuta-fold-open.svg:
	* plugins/document-manager/images/anjuta-fold-toggle.svg:
	* plugins/document-manager/images/anjuta-indent-less.svg:
	* plugins/document-manager/images/anjuta-indent-more.svg:
	* plugins/document-manager/images/anjuta-swap.svg:
	* plugins/document-manager/images/block_select.xpm:
	* plugins/document-manager/images/fold_close.xpm:
	* plugins/document-manager/images/fold_open.xpm:
	* plugins/document-manager/images/fold_toggle.xpm:
	* plugins/document-manager/images/indent.xpm:
	* plugins/document-manager/images/indent_dcr.xpm:
	* plugins/document-manager/images/indent_inc.xpm:
	* plugins/document-manager/plugin.c: (register_stock_icons):	
	* plugins/editor/Makefile.am:
	* plugins/editor/anjuta-bookmark-16.xpm:
	* plugins/editor/anjuta-breakpoint-disabled-16.xpm:
	* plugins/editor/anjuta-breakpoint-enabled-16.xpm:
	* plugins/editor/anjuta-linemark-16.xpm:
	* plugins/editor/anjuta-pcmark-16.xpm:
	* plugins/editor/bookmark.xpm:
	* plugins/editor/breakpoint-disabled.xpm:
	* plugins/editor/breakpoint-enabled.xpm:
	* plugins/editor/linemarker.xpm:
	* plugins/editor/program-counter.xpm:
	* plugins/editor/text_editor.c:
	* plugins/message-view/Makefile.am:
	* plugins/message-view/anjuta-go-message-next.svg:
	* plugins/message-view/anjuta-go-message-prev.svg:
	* plugins/message-view/anjuta-message-manager.ui:
	* plugins/message-view/plugin.c:
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/sourceview.c:

	Integrated lots of icons from #480093
	Thanks to <tpgww@onepost.net>

	* plugins/document-manager/plugin.c:
	Do not mark the line in ifile_open(), that looks ugly.
	
	* plugins/document-manager/search-box.c: (on_search_focus_out),
	(search_box_init):
	Clear the status bar on focus_out.
	
	* plugins/file-loader/anjuta-loader-plugin.ui:
	Fixed a missing "="

2007-10-09  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/breakpoints.c: (breakpoints_dbase_new):
	* plugins/valgrind/vgmemcheckprefs.c: (option_menu_new):

	Some things I missed in the patch for #484419
	
	* plugins/document-manager/action-callbacks.c:
	(on_new_file_activate):
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/plugin.c: (ui_give_shorter_names),
	(on_window_key_press_event), (on_gconf_notify_timer):
	
	484645 – patch to deal with docman FIXME etc
	
	* plugins/editor/text_editor.c: (text_editor_set_indicator):
	* plugins/search/search-replace.c: (search_and_replace),
	(write_message_pane), (search_replace_populate),
	(translate_dialog_strings), (create_dialog),
	(anjuta_search_replace_activate):
	* plugins/search/search-replace_backend.c:
	(file_buffer_new_from_path), (get_next_match),
	(create_search_entries), (regex_backref),
	(clear_search_replace_instance):
	* plugins/search/search-replace_backend.h:
	
	#484573 – patch to correct various search-related issues
	
	Thanks for the above patches to <tpgww@onepost.net>
	
	* plugins/sourceview/sourceview.c:
	(sourceview_create_highligth_indic):
	
	Use the same marker for important as gedit (yellow background)

	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/file-loader/anjuta-file-loader.ui:
	* plugins/file-loader/plugin.c:
	
	Moved FileNew action to document-manager

2007-10-08  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/search-box.c: (on_search_activated):
	Mark messages for translation

2007-10-07   Marc Lorber <Lorber.Marc@wanadoo.fr>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/Makefile.am:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(build_compile_file_real):
	* plugins/search/search-replace.c:
	* plugins/valgrind/preferences.c: (build_general_prefs):
	
	Fix #484379 – Contents of Makefile.am plugins and
	#484419 – Improvement into translation

2007-10-06  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/anjuta-idl-compiler.pl:

	Fixed to properly support pointer-to-pointer (**) types

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/sourceview/sourceview-cell.c: (sourceview_cell_get_iter):
	* plugins/sourceview/sourceview-cell.h:
	* plugins/sourceview/sourceview.c: (ieditor_get_position_iter),
	(ieditor_iface_init), (iselect_set_iter), (iselect_get_start_iter),
	(iselect_get_end_iter), (iselect_iface_init), (isearch_forward),
	(isearch_backward), (isearch_iface_init):
	* plugins/editor/text_editor.c: (itext_editor_get_position_iter),
	(itext_editor_iface_init), (iselection_set_iter),
	(iselection_get_start_iter), (iselection_get_end_iter),
	(iselection_iface_init), (isearch_forward), (isearch_backward),
	(isearch_iface_init):
	
	Added IAnjutaEditorSearch interface and some utility methods to
	migrate from positions to iterators for the editor interface.
	
	* plugins/document-manager/Makefile.am:
	* plugins/document-manager/action-callbacks.c:
	(on_goto_line_no1_activate), (on_show_search):
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_add_document), (anjuta_docman_show_editor),
	(anjuta_docman_grab_text_focus):
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/document-manager/goto_line.c: (removed)
	* plugins/document-manager/goto_line.h: (removed)
	* plugins/document-manager/search-box.c:
	* plugins/document-manager/search-box.h:
	* plugins/document-manager/plugin.c: (ui_give_shorter_names),
	(update_editor_ui_enable_all), (update_editor_ui_disable_all),
	(update_editor_ui_interface_items), (on_editor_added),
	(activate_plugin), (deactivate_plugin):
	* plugins/document-manager/plugin.h:
	
	Created new incremental "Quick Search" bar in the document manager to
	replace the crappy EggToolbar entries. Uses the new search interface and
	it thus much faster and more reliable.
	Fixes: 
	Bug 357544 – incremental search should work consistently (or not at all) 
	when main toolbar is hidden
	Bug 440637 – Search, don't work very well (partly for incremental search)
	
	* plugins/search/anjuta-search.ui:
	* plugins/search/plugin.c: (activate_plugin):
	
	Removed incremental search stuff
	
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_session_save), (on_session_load):
	* plugins/build-basic-autotools/executer.c:
	(get_program_parameters):
	
	Scroll to selected executable and remember it across sessions
	(followup of #477976)
	
	* plugins/debug-manager/plugin.c: (value_added_current_editor):
	Check if it is an editor and cast afterwards, avoids a Gtk-Critical
	
	* plugins/devhelp/anjuta-devhelp.ui:
	Rearraged toolbar items a bit

2007-10-05 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/command.c,
	plugins/debug-manager/queue.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c:
	Fix several crashing bugs (including bug#482985) with the debugger
	when closing project, stopping the debugger, restarting the program

2007-10-05 Sebastien Granjoux <seb.sfo@free.fr>

	* libanjuta/anjuta-launcher.c:
	Avoid adding new timeout in anjuta_launcher_execution_done_cleanup

2007-10-03 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/command.c,
	plugins/debug-manager/queue.c:
	Asynchronous command can abort other commands in queue
	Resynchronize debugger state when a command is cancelled

	* plugins/debug-manager/breakpoints.c:
	Free BreakpointItem only when it is not used anymore

	* plugins/gdb/plugin.c:
	Do not return TRUE if the callback and/or ready signal is not used

	* plugins/gdb/debugger.c:
	Fix a crash, return correct state when debugger is stopped

2007-10-01 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/project-wizard/autogen.c:
	Fix bug#482067, escape project wizard user defined strings

2007-10-01  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(basic_autotools_plugin_instance_init):
	* plugins/build-basic-autotools/build-basic-autotools.h:
	* plugins/build-basic-autotools/executer.c:
	(get_program_parameters):
	
	Fixed #477976 – Keybinding in run dialog

2007-09-30  Johannes Schmid <jhs@gnome.org>

	* plugins/Makefile.am:
	Do not build indent plugin (yet)
	
	* plugins/document-manager/plugin.c: (ipreferences_merge):
	Fixed unintentional and wrong change

	* plugins/indent/anjuta-indent.ui:
	Added missing file

2007-09-28  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-launcher.c: (anjuta_launcher_send_stdin_eof):
	* libanjuta/anjuta-launcher.h:
	Add a method to send EOF to some process. Needed for the indent plugin
	and should be useful in general. It does not actually send EOF as this
	is not possible with utf-8, but closes the stream instead.

	* plugins/devhelp/plugin.c: (value_added_current_editor):
	Fixed a Gtk-Critical due to the IAnjutaEditor - 
	IAnjutaDocument switch.

	* configure.in:
	* plugins/Makefile.am:
	* plugins/document-manager/Makefile.am:
	* plugins/document-manager/action-callbacks.c:
	* plugins/document-manager/anjuta-document-manager.glade:
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/document-manager/images/Makefile.am:
	* plugins/document-manager/images/indent_auto.xpm:
	* plugins/document-manager/images/indent_set.xpm:
	* plugins/document-manager/indent-dialog.c:
	* plugins/document-manager/indent-dialog.h:
	* plugins/document-manager/indent-util.c:
	* plugins/document-manager/indent-util.h:
	* plugins/document-manager/indent_test.c:
	* plugins/document-manager/plugin.c: (register_stock_icons),
	(docman_plugin_instance_init), (ipreferences_merge):
	* plugins/document-manager/plugin.h:
	
	Removed indent code from document manager
	
	* plugins/indent/Makefile.am:
	* plugins/indent/indent-dialog.c:
	* plugins/indent/indent-util.c: (indent_init_indent_style):
	* plugins/indent/indent.glade:
	* plugins/indent/indent.plugin.in:
	* plugins/indent/plugin.c: (on_indent_finished),
	(on_indent_output), (on_indent_action_activate),
	(on_edit_editor_indent), (on_style_combo_changed),
	(value_added_current_editor), (value_removed_current_editor),
	(indent_plugin_activate_plugin), (indent_plugin_deactivate_plugin),
	(indent_plugin_finalize), (indent_plugin_dispose),
	(anjuta_indent_plugin_instance_init),
	(anjuta_indent_plugin_class_init), (ipreferences_merge),
	(ipreferences_unmerge), (ipreferences_iface_init):
	* plugins/indent/plugin.h:

	Moved indent code to it's own plugin. Also reimplemented indent invocation
	using anjuta_launcher and streams. This is not yet completely working, maybe
	I got something wrong with the launcher.
	Also fixed #478987 – Unusable 'Indent setting window' on preferences

2007-09-27 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/plugin.c:
	Fix bug#480851, disconnect save_session signal when plugin is unloaded

2007-09-27  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/Makefile.am:
	* plugins/symbol-browser/an_symbol.c: (isymbol_type_name),
	(isymbol_type_str), (isymbol_name), (isymbol_args),
	(isymbol_scope), (isymbol_inheritance), (isymbol_access),
	(isymbol_impl), (isymbol_iface_init):
	* plugins/symbol-browser/an_symbol_info.c:
	* plugins/symbol-browser/an_symbol_info.h:
	* plugins/symbol-db/Makefile.am:
	* plugins/symbol-db/plugin.c:
	(on_editor_buffer_symbols_update_timeout), (on_editor_saved),
	(value_added_current_editor), (on_editor_foreach_clear),
	(value_removed_current_editor), (project_root_added),
	(symbol_db_activate), (symbol_db_deactivate),
	(isymbol_manager_search):
	* plugins/symbol-db/readtags.c: (initialize_1):
	* plugins/symbol-db/symbol-db-engine-iterator.c:
	(sdb_engine_iterator_instance_init),
	(sdb_engine_iterator_finalize), (sdb_engine_iterator_class_init),
	(symbol_db_engine_iterator_new), (symbol_db_engine_iterator_first),
	(symbol_db_engine_iterator_move_next),
	(symbol_db_engine_iterator_move_prev),
	(symbol_db_engine_iterator_get_n_items),
	(symbol_db_engine_iterator_last),
	(symbol_db_engine_iterator_set_position),
	(symbol_db_engine_iterator_get_position),
	(symbol_db_engine_iterator_foreach), (isymbol_iter_first),
	(isymbol_iter_next), (isymbol_iter_previous), (isymbol_iter_last),
	(isymbol_iter_foreach), (isymbol_iter_set_position),
	(isymbol_iter_get_position), (isymbol_iter_get_length),
	(isymbol_iter_clone), (isymbol_iter_assign),
	(isymbol_iter_iface_init):
	* plugins/symbol-db/symbol-db-engine-iterator.h:
	* plugins/symbol-db/symbol-db-engine.c:
	(sdb_engine_disconnect_from_db), (sdb_engine_populate_db_by_tags),
	(sdb_engine_ctags_output_callback_1), (sdb_engine_scan_files_1),
	(sdb_engine_finalize), (sdb_engine_get_type),
	(sdb_engine_create_db_tables), (symbol_db_engine_open_db),
	(sdb_engine_get_table_id_by_unique_name2),
	(sdb_engine_get_table_id_by_unique_name3),
	(symbol_db_engine_add_new_workspace),
	(symbol_db_engine_get_opened_project_name),
	(symbol_db_engine_open_project), (symbol_db_engine_close_project),
	(sdb_engine_add_new_language), (sdb_engine_add_new_file),
	(sdb_prepare_executing_commands), (symbol_db_engine_add_new_files),
	(sdb_engine_add_new_sym_kind), (sdb_engine_add_new_sym_access),
	(sdb_engine_add_new_scope_definition),
	(sdb_engine_add_new_tmp_heritage_scope),
	(sdb_engine_second_pass_update_scope_1),
	(sdb_engine_second_pass_update_heritage),
	(sdb_engine_add_new_symbol), (sdb_engine_detects_removed_ids),
	(sdb_engine_update_file), (symbol_db_engine_update_files_symbols),
	(symbol_db_engine_update_project_symbols),
	(symbol_db_engine_remove_file), (on_scan_update_buffer_end),
	(symbol_db_engine_update_buffer_symbols),
	(sdb_engine_walk_down_scope_path),
	(sdb_engine_prepare_symbol_info_sql),
	(symbol_db_engine_get_global_members),
	(symbol_db_engine_get_scope_members_by_symbol_id),
	(symbol_db_engine_get_scope_members),
	(symbol_db_engine_get_current_scope),
	(symbol_db_engine_get_file_symbols):
	* plugins/symbol-db/symbol-db-engine.h:
	* plugins/symbol-db/symbol-db-view-locals.c: (on_symbol_removed),
	(on_symbol_updated), (on_symbol_inserted),
	(symbol_db_view_locals_get_line),
	(symbol_db_view_locals_update_list):
	* plugins/symbol-db/symbol-db-view-search.c:
	(sdb_view_search_model_filter), (sdb_view_search_get_type):
	* plugins/symbol-db/symbol-db-view-search.h:
	* plugins/symbol-db/symbol-db-view.c: (on_symbol_updated),
	(do_add_hidden_children), (do_recurse_and_add_new_sym),
	(on_symbol_inserted), (on_symbol_removed), (symbol_db_view_open):
	* plugins/symbol-db/tables.sql:
	* plugins/symbol-db/test/Makefile.am:
	* plugins/symbol-db/test/main.c: (add_new_files), (main):
	Updated patch from Massimo to improve symbol-db plugin

	* plugins/document-manager/plugin.c: (on_editor_changed):
	Make the code a bit more robust
	
	* plugins/sourceview/anjuta-document.c: (anjuta_document_finalize),
	(anjuta_document_get_property), (anjuta_document_class_init),
	(anjuta_document_init), (set_uri), (document_loader_loaded),
	(anjuta_document_load), (document_saver_saving):
	* plugins/sourceview/anjuta-document.h:
	* plugins/sourceview/sourceview.c: (autodetect_language),
	(ilanguage_set_language), (ilanguage_get_language):
	Fix language detection on startup

2007-09-27  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_upper_case_activate),
	(on_editor_command_lower_case_activate): Leftover commit from previous
	commit (see last changlog entry by me).
	
	* plugins/file-manager/plugin.c: (file_manager_activate):
	Gave proper widget name so that layout works.

2007-09-26  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (on_editor_changed),
	(docman_plugin_instance_init):
	Only unload/load language-support plugins if necessary.
	
	* plugins/language-manager/plugin.c: (language_manager_activate):
	Removed some debugging code

	* plugins/sourceview/sourceview.c: (on_document_saved),
	(ilanguage_set_language), (ilanguage_get_language):
	Fixed ianjuta_language interface and ensure that highlighting is
	activated when a new file is saved.
	
2007-09-26  Naba Kumar  <naba.kumar@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_upper_case_activate),
	(on_editor_command_lower_case_activate):
	* plugins/editor/text_editor.c: (iselection_has_selection),
	(iselection_get_start), (iselection_get_end),
	(iselection_iface_init):
	* plugins/language-support-cpp-java/plugin.c: (on_auto_indent):
	* plugins/sourceview/sourceview.c: (iselect_has_selection),
	(iselect_iface_init): Added IAnjutaEditorSelection::has_selection()
	method and implemented it for both scintilla and sourceview editors.
	Updated document-manager and assist plugins to use the new method.

2007-09-25 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/file-manager/file-view.c:
	Fix typo, allow to compile new file manager with gtk < 2.12

2007-09-25  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/plugin.c: (on_auto_indent):
	Support Auto-Indent for single lines (e.g no selection);
	
	* plugins/macro/plugin.c:
	Do not use the same shortcut as auto-indent does
	
	* plugins/sourceview/anjuta-view.c: (anjuta_view_key_press_event):
	Optimized keyboard navigation - do not emit char_added when only
	navigation keys have been pressed.

2007-09-25  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(on_assist_chosen), (cpp_java_assist_install),
	(cpp_java_assist_uninstall):
	* plugins/language-support-cpp-java/plugin.c: (install_support),
	(uninstall_support): Install and uninstall support in correct order.
	Fixes a bug where it was installed multiple times resulting in
	inserting autocomplete text multiple times.

2007-09-25  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	Add GNOME_WARNING_FLAGS(maximum) and
	GNOME_CXX_WARNIGS(yes) to avoid bugs
	the compiler can warn you.
	
	* libegg/test-tree-utils.c: (key_test):
	* plugins/file-manager/file-model.c:
	(file_model_cancel_expand_idle), (file_model_sort),
	(file_model_row_expanded):
	* plugins/file-manager/file-view.c: (file_view_cancel_refresh),
	(file_view_refresh), (file_view_get_selected), (file_view_init),
	(file_view_new):
	* plugins/file-manager/file-view.h:
	* plugins/symbol-db/readtags.c: (initialize_1):
	* src/main.c:
	
	Fixed the more critical warnings

2007-09-25  Naba Kumar  <naba.kumar@gnome.org>

	Icons from tpgww@onepost.net:
	* configure.in:
	* plugins/debug-manager/Makefile.am:
	* plugins/debug-manager/images/Makefile.am:
	* plugins/debug-manager/images/anjuta-attach.svg:
	* plugins/debug-manager/images/anjuta-run-to-cursor.svg:
	* plugins/debug-manager/images/anjuta-step-into.svg:
	* plugins/debug-manager/images/anjuta-step-out.svg:
	* plugins/debug-manager/images/anjuta-step-over.svg:
	* plugins/debug-manager/plugin.c: (register_stock_icons):
	* plugins/document-manager/Makefile.am:
	* plugins/document-manager/block_select.xpm:
	* plugins/document-manager/fold_close.xpm:
	* plugins/document-manager/fold_open.xpm:
	* plugins/document-manager/fold_toggle.xpm:
	* plugins/document-manager/images/Makefile.am:
	* plugins/document-manager/images/anjuta-block-end.svg:
	* plugins/document-manager/images/anjuta-block-start.svg:
	* plugins/document-manager/images/anjuta-bookmark-clear.svg:
	* plugins/document-manager/images/anjuta-bookmark-first.svg:
	* plugins/document-manager/images/anjuta-bookmark-last.svg:
	* plugins/document-manager/images/anjuta-bookmark-next.svg:
	* plugins/document-manager/images/anjuta-bookmark-prev.svg:
	* plugins/document-manager/images/anjuta-bookmark-toggle.svg:
	* plugins/document-manager/indent.xpm:
	* plugins/document-manager/indent_auto.xpm:
	* plugins/document-manager/indent_dcr.xpm:
	* plugins/document-manager/indent_inc.xpm:
	* plugins/document-manager/indent_set.xpm:
	* plugins/document-manager/plugin.c: Added nicer icons for
	document manager and debugger. Organized icons in 'images'
	directories.

2007-09-24  Johannes Schmid <jhs@gnome.org>

	* src/anjuta-app.c: (anjuta_app_add_widget_full):
	Fixed a missing NULL in g_object_set.

2007-09-24  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_show_autocomplete): Fixed autocompletion to show for
	scope memebers just after scope operator is entered.

2007-09-24  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/language-support-cpp-java/anjuta-language-cpp-java.glade:
	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(completion_function), (completion_compare),
	(cpp_java_assist_tag_destroy), (create_completion),
	(cpp_java_assist_destroy_completion_cache),
	(cpp_java_assist_show_autocomplete), (on_assist_chosen):
	Show '()' for function items in autocomplete list. Allow adding
	' ' and/or '(' after function call autocompletion and have preferences
	settings for them.

2007-09-24  Johannes Schmid <jhs@gnome.org>

	* sourceview.c: Reverting patch from r3157 because
	of side-effects

2007-09-24  Johannes Schmid <jhs@gnome.org>

	* plugins/search/search-replace.c: (on_message_clicked):

	Fixed #427104 – No "highlight" of lines matching find-result

2007-09-24  Johannes Schmid <jhs@gnome.org>

	* src/anjuta.glade:

	Fixed #479020 – Use of old open file dialog instead of GtkFileChooser

2007-09-24  Yang Hong  <hongyang@redflag-linux.com>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/executer.c: (execute_program):
	Fix #478238 – set env for execute programe in the terminal

2007-09-24 Tom <tpgww@onepost.net>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-status.c: (anjuta_status_set_title):
	Fix memory leak
	
	* plugins/debug-manager/disassemble.c: (on_disassemble):
	Correct a format string in DEBUG_PRINT()

2007-09-23  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (offset_to_position),
	(position_to_offset), (ieditor_goto_position), (ieditor_get_text),
	(ieditor_get_position), (iselect_set), (iselect_get_start),
	(iselect_get_end):
	
	Fixed #Bug 440637 – Search, don't work very well

2007-09-23  Johannes Schmid <jhs@gnome.org>

	* plugins/file-manager/file-model.c: (file_model_get_filename):
	* plugins/file-manager/file-model.h:
	* plugins/file-manager/file-view.c: (file_view_query_tooltip),
	(file_view_init), (file_view_class_init):
	* plugins/message-view/message-view.c:
	(message_view_query_tooltip), (message_view_dispose),
	(message_view_instance_init), (message_view_class_init):

	Added GTK+ 2.12 style tooltips to file-manager and message view.
	Only build if GTK+ 2.12 is availible otherwise for message-view, the
	old implementation is used.

2007-09-23  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-plugin-manager.c: (plugin_set_update):
	Fixed typo
	
	* plugins/language-manager/language-manager.plugin.in:
	Marked UserActivatable=FALSE
	
	* plugins/language-manager/plugin.c: (load_languages),
	(language_manager_activate), (language_manager_deactivate),
	(language_manager_dispose), (language_manager_instance_init),
	(language_manager_find_mime_type), (language_manager_find_string),
	(ilanguage_get_from_mime_type), (ilanguage_get_from_string),
	(ilanguage_get_name), (ilanguage_get_strings):
	
	Fixed various stupid bugs in language-manager plugin
	
	* plugins/symbol-db/symbol-db-engine.c:
	(sdb_engine_second_pass_update_scope_1):
	
	Add a g_return_if_fail to avoid a crash though still unsure
	what's causing it.

2007-09-23  Johannes Schmid <jhs@gnome.org>

	* plugins/symbol-db/plugin.c: (on_project_element_added),
	(sources_array_free), (sources_array_add_foreach),
	(project_root_added):
	* plugins/symbol-db/symbol-db-engine.c:
	(symbol_db_engine_add_new_files):
	* plugins/symbol-db/symbol-db-engine.h:
	
	Added support for other languages than "C" to symbol-db. Now
	supports all languages listed by the language-manager.

2007-09-23  Tom <tpgww@onepost.net>

	reviewed by: Johannes Schmid <jhs@gnome.org> (with small changes)

	* configure.in:
	Bumped GNOME_VFS_REQUIRED to 2.14 (this is two years ago now...)
	
	* libanjuta/anjuta-glue-factory.c: (load_plugin),
	(anjuta_glue_factory_get_object_type):
	* libanjuta/anjuta-status.c: (anjuta_status_set_title):
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(value_added_current_editor):
	* plugins/debug-manager/breakpoints.c:
	(breakpoints_dbase_edit_breakpoint),
	(on_toggle_breakpoint_activate):
	* plugins/debug-manager/plugin.c:
	(on_run_to_cursor_action_activate):
	* plugins/debug-manager/stack_trace.c:
	(dma_thread_update_stack_trace):
	* plugins/gdb/plugin.c:
	* plugins/glade/plugin.c: (ifile_open):
	* plugins/profiler/gprof-call-graph-view.c:
	* plugins/profiler/gprof-flat-profile-view.c:
	* plugins/profiler/gprof-function-call-tree-view.c:
	* plugins/profiler/gprof-options.c: (setup_widgets):
	* plugins/project-manager/plugin.c: (project_manager_unload_gbf):
	* plugins/search/search-replace_backend.c:
	(file_buffer_new_from_te):
	* plugins/sourceview/assist-tip.c: (assist_tip_move):
	* plugins/sourceview/assist-window.c: (assist_window_set_property),
	(assist_window_get_property), (assist_window_move):
	* plugins/symbol-browser/plugin.c: (update_editor_symbol_model),
	(value_added_current_editor):
	* plugins/symbol-db/plugin.c: (value_added_current_editor):
	* plugins/tools/variable.c: (atp_variable_get_editor_variable):
	* plugins/valgrind/vggeneralprefs.c: (general_prefs_get_argv):
	
	Many small code, warnings and leak fixes

2007-09-23 Sebastien Granjoux <seb.sfo@free.fr>

	* (removed) plugins/debug-manager/debugger.c,
	(removed) plugins/debug-manager/debugger.h,
	(added) plugins/debug-manager/command.c,
	(added) plugins/debug-manager/command.h,
	(added) plugins/debug-manager/queue.c,
	(added) plugins/debug-manager/queue.h,
	plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/debug_tree.c,
	plugins/debug-manager/debug_tree.h,
	plugins/debug-manager/disassemble.c,
	plugins/debug-manager/disassemble.h,
	plugins/debug-manager/locals.c,
	plugins/debug-manager/locals.h,
	plugins/debug-manager/memory.c,
	plugins/debug-manager/memory.h,
	plugins/debug-manager/plugin.c,
	plugins/debug-manager/plugin.h,
	plugins/debug-manager/registers.c,
	plugins/debug-manager/registers.h,
	plugins/debug-manager/sharedlib.c,
	plugins/debug-manager/sharedlib.h,
	plugins/debug-manager/signals.c,
	plugins/debug-manager/signals.h,
	plugins/debug-manager/stack_trace.c,
	plugins/debug-manager/stack_trace.h,
	plugins/debug-manager/start.h,
	plugins/debug-manager/start.c,
	plugins/debug-manager/threads.c,
	plugins/debug-manager/threads.h,
	plugins/debug-manager/watch.c,
	plugins/debug-manager/watch.h,
	plugins/debug-manager/Makefile.am,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	plugins/gdb/plugin.c,
	libanjuta/interfaces/libanjuta.idl:
	Split debug-manager/debugger.c into command.c and queue.c
	Clean up debugger queue
	DmaDebuggerQueue object does not implement IAnjutaDebugger

2007-09-23  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	Bumped version to 2.3.0 (to ensure bugzilla bugs are
	set correctly, etc.)
	
	* libanjuta/anjuta-glue-factory.c: (load_plugin):
	* libanjuta/anjuta-plugin-manager.c: (activate_plugin),
	(plugin_set_update):
	
	Show an error dialog instead of crashing when plugin loading fails

	* plugins/language-manager/Makefile.am:
	* plugins/language-manager/language-manager.plugin.in:
	* plugins/language-manager/languages.xml:
	* plugins/language-manager/plugin.c: (language_destroy),
	(load_languages), (language_manager_activate),
	(language_manager_deactivate), (language_manager_finalize),
	(language_manager_dispose), (language_manager_instance_init),
	(language_manager_class_init), (language_manager_find_mime_type),
	(language_manager_find_string), (ilanguage_get_from_mime_type),
	(ilanguage_get_from_string), (ilanguage_get_name),
	(ilanguage_get_strings), (ilanguage_iface_init):
	* plugins/language-manager/plugin.h:
	
	Added new language-manager plugin to have a better organisation for
	language names. The xml probabaly needs to be extended over time.
	
	* plugins/Makefile.am:
	* plugins/document-manager/plugin.c: (on_editor_changed):
	
	Adapted to new IAnjutaLanguage interface. Do not unload language-support
	because it does not really save memory but makes tab switching slow.
	
	* plugins/language-support-cpp-java/anjuta-language-cpp-java.plugin
	.in:
	* plugins/language-support-cpp-java/plugin.c: (install_support),
	(uninstall_support), (cpp_java_plugin_deactivate_plugin):
	Adapted to new IAnjutaLanguage interface and fixed a Gtk-Critical while
	unloading

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_show_autocomplete):
	
	Fix autocomplete to only show valid completions

	* plugins/sourceview/assist-tip.c: (assist_tip_set_tips):
	Calltips always have correct size and position now

2007-09-22  Johannes Schmid <jhs@gnome.org>

	* plugins/search/search-replace_backend.c: (get_next_match):
	Removed code introduced by accident that causes a crash.
	
	* plugins/sourceview/sourceview-tags.c:
	* plugins/sourceview/sourceview-tags.h:
	Removed ununsed files

2007-09-22  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	Fixed build error

2007-09-21  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_get_calltip_context), (on_editor_char_added):
	Increased matching brace search to 500 chars.

2007-09-21  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_get_pre_word),
	(cpp_java_assist_get_calltip_context), (cpp_java_assist_check):
	
	Added some profiling debug code
	
	* plugins/language-support-cpp-java/cpp-java-utils.c:
	(cpp_java_util_jump_to_matching_brace):
	* plugins/language-support-cpp-java/cpp-java-utils.h:
	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base), (get_line_auto_indentation):
	
	Add the possiblity to pass a limit to cpp_java_util_jump_matching_brace to
	avoid looping over the whole file when using calltips which is too slow and
	unneeded.
	
	* plugins/sourceview/assist-tip.c: (assist_tip_init),
	(assist_tip_set_tips), (assist_tip_get_coordinates),
	(assist_tip_new):
	* plugins/sourceview/sourceview.c: (iassist_show_tips):
	
	Better calltips appearance (use theme now) and avoid jumping
	calltips

2007-09-21  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/document-manager/plugin.c:
	(update_editor_ui_interface_items):
	* plugins/language-support-cpp-java/plugin.c: (install_support),
	(uninstall_support): Moved autocomplete ui update code from
	document-manager to language-plugin.

2007-09-21  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	
	Added IAnjutaLanguage interface (might still change...) for
	the upcoming language-manager plugin.
	
	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/file-model.c:
	(file_model_cancel_expand_idle), (file_model_add_dummy),
	(file_model_expand_idle), (file_model_sort),
	(file_model_row_expanded), (file_model_row_collapsed),
	(file_model_init), (file_model_finalize),
	(file_model_set_property), (file_model_get_property),
	(file_model_class_init), (file_model_new), (file_model_refresh),
	(file_model_get_uri):
	* plugins/file-manager/file-model.h:
	* plugins/file-manager/file-view.c: (file_view_cancel_refresh),
	(file_view_expand_row_idle), (file_view_refresh),
	(file_view_get_selected), (file_view_button_press_event),
	(file_view_selection_changed), (file_view_init),
	(file_view_get_property), (file_view_set_property),
	(file_view_finalize), (file_view_class_init):
	
	Split up model/view as far as possible and fixed some file-manager
	bugs (popup-menu and incorrect project loading).
	
	* plugins/sourceview/assist-tip.c: (assist_tip_set_tips):
	Use monospace font for tips.
	
	* plugins/sourceview/sourceview-cell.c: (sourceview_cell_finalize),
	(sourceview_cell_new), (icell_get_character), (icell_get_length),
	(icell_get_attribute), (icell_style_get_font_description),
	(icell_style_get_color), (icell_style_get_background_color),
	(iiter_first), (iiter_next), (iiter_previous), (iiter_last),
	(iiter_foreach), (iiter_set_position), (iiter_get_position),
	(iiter_get_length), (iiter_clone), (iiter_assign):

	Use GtkTextIter only and do not use GtkTextMark at all in the sourceview-cell
	interface. This is way faster though it has the drawback to create invalid
	iterators if the buffer is changed.

2007-09-21  Naba Kumar  <naba.kumar@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/action-callbacks.c:
	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/document-manager/plugin.c: (register_stock_icons):
	* plugins/editor/text_editor.c:
	* plugins/language-support-cpp-java/anjuta-language-support-cpp-java.ui:
	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_get_calltip_context):
	* plugins/language-support-cpp-java/plugin.c: (on_auto_complete),
	(register_stock_icons), (cpp_java_plugin_activate_plugin):

	Moved autocomplete menu action from document-manager to assist plugin
	and got rid of deprecated autocomplete interface.

2007-09-20  Naba Kumar  <naba.kumar@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/editor/text_editor.c: (iassist_iface_init):
	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(cpp_java_assist_check), (on_assist_chosen):
	* plugins/sourceview/sourceview.c: (iassist_iface_init):
	Removed react() methods in both editors and assist interface. Assist
	plugin itself handles setting the autocomplete. Also fixed
	some mem leaks.

2007-09-20  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/file-view.c: (file_view_add_dummy),
	(file_view_expand_idle), (file_view_init):
	* plugins/file-manager/plugin.c: (on_file_manager_refresh),
	(file_manager_set_default_uri), (project_root_added),
	(on_file_view_current_uri_changed), (on_file_view_show_popup_menu),
	(file_manager_activate), (file_manager_deactivate),
	(file_manager_instance_init), (file_manager_class_init),
	(ifile_manager_set_root), (ifile_manager_set_selected),
	(ifile_manager_iface_init): Adjusted white spaces to match
	anjuta convention.

2007-09-19  Naba Kumar  <naba@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/editor/text_editor.c: (text_editor_instance_init),
	(iassist_show_tips), (iassist_cancel_tips),
	(iassist_hide_suggestions), (iassist_iface_init):
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_cbs.c:
	(on_text_editor_scintilla_notify):
	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(is_scope_context_character), (is_word_character),
	(create_completion), (cpp_java_assist_get_scope_context),
	(cpp_java_assist_get_pre_word),
	(cpp_java_assist_get_scope_operator),
	(cpp_java_assist_destroy_completion_cache),
	(cpp_java_assist_create_scope_completion_cache),
	(cpp_java_assist_create_word_completion_cache),
	(cpp_java_assist_show_autocomplete),
	(cpp_java_assist_get_calltip_context),
	(cpp_java_assist_show_calltip), (cpp_java_assist_check),
	(on_editor_char_added), (on_assist_chosen),
	(cpp_java_assist_install), (cpp_java_assist_uninstall),
	(cpp_java_assist_init), (cpp_java_assist_finalize):
	* plugins/language-support-cpp-java/cpp-java-assist.h:
	* plugins/language-support-cpp-java/plugin.c:
	(initialize_indentation_params):
	* plugins/sourceview/assist-tip.c:
	* plugins/sourceview/assist-tip.h:
	* plugins/sourceview/sourceview-private.h:
	* plugins/sourceview/sourceview.c: (on_assist_window_destroyed),
	(on_assist_tip_destroyed), (on_assist_cancel),
	(on_document_char_added), (iassist_get_suggestions),
	(iassist_suggest), (iassist_show_tips), (iassist_iface_init):
	
	Implement state-less assistance so that assist can be evaluated
	any given time at any position. Changed IAnjutaEditorAssist interfance
	and implementations and removed any state management in editors.

2007-09-18  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c: Improved
	completion items sorting and avoided unnecssary sorts.

	* plugins/text-editor.c: Fixed state.

2007-09-17  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c:
	(on_assist_begin):
	
	Fixed calltips in sourceview

2007-09-17  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/language-support-cpp-java/cpp-java-assist.c: Improved
	completion items preparation time. Fixed a crash bug.

	* libanjuta/anjuta-launcher.c: (anjuta_launcher_fork):
	Set buffer size (From Massimo, required for symbol-db).

	* libanjuta/interfaces/libanjuta.idl: Also pass position information
	for suggestions.

	* plugins/sourceview/sourceview.c: (iassist_suggest): Fix for above
	change in API.

	* plugins/editor/aneditor-autocomplete.cxx,
	plugins/editor/aneditor.h, plugins/editor/aneditor-priv.h:
	Added ANE_GETWORDBEFORECARAT command.

	* plugins/editor/aneditor.cxx: Do not autocomplete. It's now done
	using assist interface.

	* plugins/editor/text_editor.c: (text_editor_instance_init),
	(text_editor_get_word_before_carat),
	(text_editor_get_current_word), (iassist_add_trigger),
	(iassist_remove_trigger), (on_assist_canceled),
	(iassist_init_suggestions), (iassist_suggest), (iassist_show_tips),
	(iassist_react), (iassist_hide_suggestions), (iassist_iface_init):
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_cbs.c: (trigger_size),
	(max_trigger_size), (text_editor_check_assist),
	(on_text_editor_scintilla_notify): Implemented IAnjutaEditorAssist
	interface.

	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/language-support-cpp-java/plugin.c:
	(get_line_indentation_base), (get_line_auto_indentation),
	(install_support), (uninstall_support),
	(cpp_java_plugin_activate_plugin), (cpp_java_plugin_finalize),
	(cpp_java_plugin_instance_init):
	* plugins/language-support-cpp-java/plugin.h:
	* plugins/language-support-cpp-java/cpp-java-assist.[ch] (added),
	* plugins/language-support-cpp-java/cpp-java-utils.[ch] (added),
	Make assist a separate class.

2007-09-14  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/sourceview.c: (iassist_suggest):
	Fixed changed char_alignment paramter in language-support
	plugin

2007-09-14  Naba Kumar  <naba@gnome.org>

	* plugins/language-support-cpp-java/plugin.c: Send the right
	'char_alignment' paramenter (needs fixing in sourceview).

2007-09-13  Johannes Schmid <jhs@gnome.org>

	* anjuta.anjuta:
	* plugins/project-wizard/templates/minimal/project.anjuta:
	Use IAnjutaSymbolManager instead of loading the plugin directly.
	(TODO: Think of a version to do this for older files...)

	* configure.in:
	* plugins/Makefile.am:
	* plugins/symbol-db/Makefile.am:
	
	Build symbol-db plugin if libgda-3.0 is found

2007-09-13  Johannes Schmid <jhs@gnome.org>

	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/anjuta-document.c: (anjuta_document_finalize),
	(set_uri):
	* plugins/sourceview/anjuta-document.h:
	Removed lots of dead code
	
	* plugins/sourceview/anjuta-languages-manager.c:
	* plugins/sourceview/anjuta-languages-manager.h:
	removed completely
	
	* plugins/sourceview/sourceview.c: (on_document_char_added),
	(on_document_loaded), (sourceview_instance_init),
	(iselect_get_start), (iselect_get_end),
	(ilanguage_get_supported_languages), (ilanguage_set_language):
	
	Fixed selection handling and make some adaptions for the changes 
	mentioned above

2007-09-13  Johannes Schmid <jhs@gnome.org>

	* plugins/language-support-cpp-java/anjuta-language-cpp-java.glade:
	* plugins/language-support-cpp-java/plugin.c: (on_assist_begin),
	(on_assist_update):
	
	Added preferences to language support completion/calltips
	
	* plugins/sourceview/assist-window.c: (assist_window_update):

	Always select first entry

	* plugins/sourceview/sourceview.glade:
	Removed old completion preferences

2007-09-11  Naba Kumar  <naba@gnome.org>

	* plugins/terminal/terminal.c: Fixed critical warning, memory leak
	and possible crash when pressing ctrl+d in terminal after preferences
	window has been shown once (no need for backport).

	* libanjuta/interfaces/anjuta-idl-compiler.pl: Create default method
	implementations to get warnings instead of crashes for unimplemented
	interface methods.

2007-09-11   Massimo Cora' <maxcvs@email.it>

	Reviewed by: Naba Kumar  <naba@gnome.org>

	* libanjuta/anjuta-launcher.c: (anjuta_launcher_fork):
	* plugins/symbol-db/*:
	Added new symbol-database backend based on SQLite 3.
	(does not enabled for build currently).

2007-09-10  Johannes Schmid <jhs@gnome.org>

	* anjuta.anjuta:
	* configure.in:
	* libegg/egg-recent-model.c: (egg_recent_model_write_raw),
	(parse_info_init), (parse_info_free), (valid_element),
	(start_element_handler), (end_element_handler), (text_handler),
	(egg_recent_model_filter), (egg_recent_model_changed_timeout),
	(egg_recent_model_monitor_cb), (egg_recent_model_poll_timeout),
	(egg_recent_model_monitor), (egg_recent_model_read),
	(egg_recent_model_open_file), (egg_recent_model_lock_file),
	(egg_recent_model_unlock_file), (egg_recent_model_finalize),
	(egg_recent_model_set_property), (egg_recent_model_class_init),
	(egg_recent_model_init), (egg_recent_model_add_full),
	(egg_recent_model_delete), (egg_recent_model_get_list),
	(egg_recent_model_clear), (egg_recent_model_clear_mime_filter),
	(egg_recent_model_set_filter_mime_types),
	(egg_recent_model_clear_group_filter),
	(egg_recent_model_set_filter_groups),
	(egg_recent_model_clear_scheme_filter),
	(egg_recent_model_set_filter_uri_schemes),
	(egg_recent_model_remove_expired):
	
	Update EggRecent (#456465)

2007-09-10  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-plugin-manager.c: (get_plugin_loader_type),
	(anjuta_plugin_manager_get_plugin):
	* plugins/profiler/gprof-call-graph-view.c:
	(gprof_call_graph_view_create_columns):
	* plugins/profiler/gprof-flat-profile-view.c:
	(gprof_flat_profile_view_create_columns):
	* plugins/profiler/gprof-function-call-tree-view.c:
	(gprof_function_call_tree_view_create_columns):
	
	Fixed #466031 – Update of pieces of menus for Localization

2007-09-10  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-utils.c: (anjuta_util_parse_args_from_string):
	Bug 343522 – anjuta: Unable to execute commands that use options.

2007-09-09  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_update_page_label):
	
	Fixed #458034 – Method of indicating unsaved changes breaks convention
	
	* plugins/document-manager/plugin.c: (update_title),
	(value_added_project_root_uri), (value_removed_project_root_uri),
	(on_editor_changed), (activate_plugin):
	* plugins/document-manager/plugin.h:
	* plugins/project-manager/plugin.c: (on_profile_scoped),
	(on_profile_descoped), (ifile_open):
	
	Fixed #427390 – Show path of item in currently focused editor window

2007-09-09  Johannes Schmid <jhs@gnome.org>

	* plugins/search/plugin.c: (on_toolbar_find_clicked),
	(on_toolbar_find_incremental):
	Fix incremental search
	
	* plugins/sourceview/sourceview.c: (on_document_char_added),
	(set_select):
	Fixed selection management

2007-09-09  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-ui.c: (anjuta_ui_remove_action_group):
	Fixed memory leak

	* libanjuta/interfaces/libanjuta.idl:
	Extended IAnjutaEditorAssist interface
	
	* plugins/language-support-cpp-java/plugin.c:
	(jump_to_matching_brace), (add_tags), (on_assist_begin),
	(assist_cleanup), (on_assist_chosen), (on_assist_update),
	(context_character), (get_context), (function_parser),
	(cpp_member_parser), (install_assist), (uninstall_assist),
	(get_line_indentation_base), (get_line_auto_indentation),
	(install_support), (uninstall_support),
	(on_value_added_current_editor), (on_value_removed_current_editor),
	(cpp_java_plugin_finalize), (cpp_java_plugin_instance_init):
	* plugins/language-support-cpp-java/plugin.h:
	
	Improved fixed editor assistance and added support for function/method
	tooltips. jumb_to_matching_brance => jump_to_matching_brace
	
	* plugins/message-view/anjuta-msgman.c: (on_message_view_destroy):
	Removed a FIXME
	
	* plugins/project-import/project-import.c: (on_import_next):
	Added a non-NULL check with could probably fix #474843 but not sure
	
	* plugins/project-wizard/templates/anjuta-plugin/src/Makefile.am.tpl:
	Fixed anjuta-plugin project wizard
	
	* plugins/sourceview/Makefile.am:
	* plguins/sourceview/assist-tip.[ch]:
	* plugins/sourceview/anjuta-view.c: (anjuta_view_focus_out),
	(anjuta_view_key_press_event):
	* plugins/sourceview/assist-window.c: (assist_window_class_init),
	(assist_window_init), (assist_window_update), (assist_window_new):
	* plugins/sourceview/sourceview-private.h:
	* plugins/sourceview/sourceview.c: (on_assist_window_destroyed),
	(on_assist_tip_destroyed), (on_assist_chosen), (on_assist_cancel),
	(trigger_size), (max_trigger_size), (on_document_char_added),
	(sourceview_dispose), (ieditor_get_current_word),
	(iassist_add_trigger), (iassist_init_suggestions),
	(iassist_suggest), (iassist_hide_suggestions), (iassist_show_tips),
	(iassist_cancel_tips), (iassist_react), (iassist_iface_init):
	
	Big update on sourceview assist capabilites. Autocompletion should
	now work much better and function tooltips are finally supported!

	* plugins/sourceview/anjuta-document.h:
	* plugins/sourceview/anjuta-document.c: (wordcharacters_contains),
	(anjuta_document_get_current_word):
	Fixed get_current_word (inspired by aneditor.cxx implementation)

	* plugins/sourceview/sourceview-cell.c: (icell_get_char),
	(icell_get_attribute):
	Fixed get_attribute() to also detect character constants.
	Simplified get_char()

	* plugins/symbol-browser/plugin.c: (isymbol_manager_search),
	(isymbol_manager_get_members), (isymbol_manager_get_parents),
	(isymbol_manager_get_completions_at_position):
	
	Fixed IAnjutaSymbolManager interface (see 2.2.1 for details)

2007-09-04  Naba Kumar  <naba@gnome.org>

	* plugins/class-gen/plugin.c: Do not enable 'Add to project'
	projects that can not add sources.

	* plugins/file-wizard/file.c: Similarly for file wizard,
	Do not enable 'Add to project' projects that can not add sources.

2007-09-04  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped gnome-build requirement to 0.2.0
	for project capabilities support.

	* plugins/project-manager/plugin.c: Enable/disable project
	actions based on project capabilities. Fixes bug #433552:
	crash in Anjuta IDE: add file test.h in project on generic
	Makefile.

	* libanjuta/interfaces/libanjuta.idl: Added method to query
	project capabilities.

2007-09-03  Naba Kumar  <naba@gnome.org>

	* plugins/file-manager/plugin.c: Set shadow type IN.
	* plugins/file-manager/file-view.c: Fixed code style.
	* plugins/file-manager/file-view.c: Fixed icons column to size
	properly.

	* plugins/file-manager/plugin.[c,h]: Fixed code style.

	* plugins/file-manager/plugin.c: Fixed crash on closing project and
	unmonitors project-uri on file-manager deactivation.

	* TODO.tasks: Updated

2007-09-02  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-ui.c: (anjuta_ui_remove_action_group):
	Fixed memory leak
	
	* plugins/file-manager/file-view.c: (file_view_get_selected),
	(file_view_button_press_event), (file_view_finalize):
	* plugins/file-manager/plugin.c: (project_root_removed),
	(file_manager_deactivate):
	
	Fixed some small bugs I missed before

2007-09-02  Johannes Schmid <jhs@gnome.org>

	* plugins/file-manager/*:
	Added new and file-manager

2007-09-02  Johannes Schmid <jhs@gnome.org>

	* plugins/file-manager/*:
	Removed old file-manager

2007-08-31  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-plugin-manager.c: (anjuta_plugin_manager_new):
	* libanjuta/anjuta-ui.c: (anjuta_ui_add_action_group):
	
	Fixed some memory leaks
	
	* MAINTAINERS: Fixed
	
2007-08-31  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-preferences.c: (get_object_type_from_string),
	(get_property_value_as_string), (set_property_value_as_string),
	(register_callbacks), (preferences_foreach_callback),
	(anjuta_preferences_register_property_raw):
	* libanjuta/anjuta-preferences.h:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_build_mesg_format):
	* plugins/document-manager/anjuta-document-manager.glade:
	* plugins/message-view/anjuta-message-manager-plugin.glade:
	
	Use GtkComboBox instead of (deprecated) GtkOptionMenu and fixed
	broken message view preferences
	
	* plugins/message-view/message-view.c:
	(message_view_instance_init), (pref_change_color), (prefs_init),
	(imessage_view_append):
	Cleaned up message view (#458041)
	
	* src/shell.c: (on_preferences_activate),
	(anjuta_test_shell_instance_init),
	(anjuta_test_shell_get_plugin_manager), (anjuta_shell_iface_init):
	Fixed test shell to allow better debugging
	
2007-08-31  Johannes Schmid <jhs@gnome.org>

	* plugins/gtodo/interface.c: (gtodo_get_hide_done),
	(gtodo_get_hide_nodate), (gtodo_get_hide_due):
	* plugins/gtodo/main.h:
	* plugins/gtodo/plugin.c: (activate_plugin):
	
	Fixed #423467 (View->Tasks menu items are not 
	checked on startup)

2007-08-31  Tobias Müller <gnome-bugs@auftrags-killer.org>

	reviewed by: Johannes Schmid <jhs@gnome.org>

	* COPYING:
	* data/welcome.txt.in:
	* launcher/anjuta_launcher.c:
	* libanjuta/anjuta-children.c:
	* libanjuta/anjuta-children.h:
	* libanjuta/anjuta-debug.h:
	* libanjuta/anjuta-encodings.c:
	* libanjuta/anjuta-encodings.h:
	* libanjuta/anjuta-glue-c.c:
	* libanjuta/anjuta-glue-c.h:
	* libanjuta/anjuta-plugin-description.c:
	* libanjuta/anjuta-plugin-description.h:
	* libanjuta/anjuta-plugin-handle.c:
	* libanjuta/anjuta-plugin-handle.h:
	* libanjuta/anjuta-plugin-manager.c:
	* libanjuta/anjuta-plugin-manager.h:
	* libanjuta/anjuta-plugin.c:
	* libanjuta/anjuta-plugin.h:
	* libanjuta/anjuta-preferences.c:
	* libanjuta/anjuta-preferences.h:
	* libanjuta/anjuta-profile-manager.c:
	* libanjuta/anjuta-profile-manager.h:
	* libanjuta/anjuta-profile.c:
	* libanjuta/anjuta-profile.h:
	* libanjuta/anjuta-save-prompt.c:
	* libanjuta/anjuta-save-prompt.h:
	* libanjuta/anjuta-serializer.c:
	* libanjuta/anjuta-serializer.h:
	* libanjuta/anjuta-session.c:
	* libanjuta/anjuta-session.h:
	* libanjuta/anjuta-shell.c:
	* libanjuta/anjuta-shell.h:
	* libanjuta/anjuta-status.c:
	* libanjuta/anjuta-status.h:
	* libanjuta/anjuta-ui.c:
	* libanjuta/anjuta-ui.h:
	* libanjuta/anjuta-utils-priv.h:
	* libanjuta/anjuta-utils.c:
	* libanjuta/anjuta-utils.h:
	* libanjuta/cell-renderer-captioned-image.c:
	* libanjuta/cell-renderer-captioned-image.h:
	* libanjuta/e-splash.c:
	* libanjuta/e-splash.h:
	* libanjuta/interfaces/anjuta-idl-compiler.pl:
	* libanjuta/interfaces/libanjuta.idl:
	* libanjuta/libanjuta.h:
	* libanjuta/resources.c:
	* libanjuta/resources.h:
	* libegg/egg-cell-renderer-text.c:
	* libegg/egg-combo-action.c:
	* libegg/egg-entry-action.c:
	* libegg/egg-recent-action.c:
	* libegg/egg-recent-files-module.c:
	* libegg/egg-recent-item.c:
	* libegg/egg-recent-model.c:
	* libegg/egg-recent-view-gtk.c:
	* libegg/egg-recent-view.c:
	* libegg/egg-submenu-action.c:
	* libegg/eggaccelerators.c:
	* libegg/eggcellrendererpopup.c:
	* libegg/eggcomboselect.c:
	* libegg/eggtreemodelfilter.c:
	* libegg/eggtreemultidnd.c:
	* libegg/gtkcellview.h:
	* libegg/treeviewutils/egg-cell-renderer-text.h:
	* libegg/treeviewutils/eggaccelerators.h:
	* libegg/treeviewutils/eggcellrendererkeys.h:
	* libegg/treeviewutils/eggcellrendererpopup.h:
	* libegg/treeviewutils/eggtreemodelfilter.h:
	* libegg/treeviewutils/eggtreemultidnd.h:
	* libegg/treeviewutils/eggtreeviewstate.h:
	* manuals/anjuta-faqs/C/anjuta-faqs.xml:
	* manuals/anjuta-faqs/Makefile.am:
	* manuals/anjuta-manual/C/anjuta-manual.xml:
	* manuals/anjuta-manual/C/license.xml:
	* manuals/anjuta-manual/es/es.po:
	* manuals/anjuta-manual/sv/sv.po:
	* manuals/old/C/anjuta-advanced-tutorial/anjuta-advanced-tutorial.x
	ml:
	* manuals/old/C/anjuta-tutorial/anjuta-tutorial.xml:
	* manuals/old/de/anjuta-tutorial/anjuta-tutorial.xml:
	* manuals/old/ja/anjuta-faqs/anjuta-faqs.xml:
	* manuals/old/ja/anjuta-manual/anjuta-manual.xml:
	* manuals/old/ja/anjuta-manual/license.xml:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	* plugins/build-basic-autotools/build-basic-autotools.h:
	* plugins/build-basic-autotools/executer.c:
	* plugins/build-basic-autotools/executer.h:
	* plugins/build/build_file.c:
	* plugins/build/build_file.h:
	* plugins/build/build_project.c:
	* plugins/build/build_project.h:
	* plugins/build/clean_project.c:
	* plugins/build/clean_project.h:
	* plugins/build/commands.c:
	* plugins/build/commands.h:
	* plugins/build/compile.c:
	* plugins/build/compile.h:
	* plugins/build/compiler_options.c:
	* plugins/build/compiler_options.h:
	* plugins/build/configurer.c:
	* plugins/build/configurer.h:
	* plugins/build/executer.c:
	* plugins/build/executer.h:
	* plugins/class-gen/cell-renderer-flags.c:
	* plugins/class-gen/cell-renderer-flags.h:
	* plugins/class-gen/combo-flags.c:
	* plugins/class-gen/combo-flags.h:
	* plugins/class-gen/element-editor.c:
	* plugins/class-gen/element-editor.h:
	* plugins/class-gen/generator.c:
	* plugins/class-gen/generator.h:
	* plugins/class-gen/plugin.c:
	* plugins/class-gen/plugin.h:
	* plugins/class-gen/transform.c:
	* plugins/class-gen/transform.h:
	* plugins/class-gen/validator.c:
	* plugins/class-gen/validator.h:
	* plugins/class-gen/window.c:
	* plugins/class-gen/window.h:
	* plugins/class-inheritance/class-callbacks.c:
	* plugins/class-inheritance/class-callbacks.h:
	* plugins/class-inheritance/class-inherit.c:
	* plugins/class-inheritance/class-inherit.h:
	* plugins/class-inheritance/plugin.c:
	* plugins/class-inheritance/plugin.h:
	* plugins/cvs-plugin/cvs-actions.c:
	* plugins/cvs-plugin/cvs-actions.h:
	* plugins/cvs-plugin/cvs-callbacks.c:
	* plugins/cvs-plugin/cvs-callbacks.h:
	* plugins/cvs-plugin/cvs-execute.c:
	* plugins/cvs-plugin/cvs-execute.h:
	* plugins/cvs-plugin/cvs-interface.c:
	* plugins/cvs-plugin/cvs-interface.h:
	* plugins/cvs-plugin/plugin.c:
	* plugins/cvs-plugin/plugin.h:
	* plugins/debug-manager/breakpoints.c:
	* plugins/debug-manager/breakpoints.h:
	* plugins/debug-manager/chunk_view.c:
	* plugins/debug-manager/chunk_view.h:
	* plugins/debug-manager/data_buffer.c:
	* plugins/debug-manager/data_buffer.h:
	* plugins/debug-manager/data_view.c:
	* plugins/debug-manager/data_view.h:
	* plugins/debug-manager/debug_tree.c:
	* plugins/debug-manager/debug_tree.h:
	* plugins/debug-manager/debugger.c:
	* plugins/debug-manager/debugger.h:
	* plugins/debug-manager/disassemble.c:
	* plugins/debug-manager/disassemble.h:
	* plugins/debug-manager/info.c:
	* plugins/debug-manager/info.h:
	* plugins/debug-manager/locals.c:
	* plugins/debug-manager/locals.h:
	* plugins/debug-manager/memory.c:
	* plugins/debug-manager/memory.h:
	* plugins/debug-manager/plugin.c:
	* plugins/debug-manager/plugin.h:
	* plugins/debug-manager/registers.c:
	* plugins/debug-manager/registers.h:
	* plugins/debug-manager/sexy-icon-entry.c:
	* plugins/debug-manager/sexy-icon-entry.h:
	* plugins/debug-manager/sharedlib.c:
	* plugins/debug-manager/sharedlib.h:
	* plugins/debug-manager/signals.c:
	* plugins/debug-manager/signals.h:
	* plugins/debug-manager/sparse_buffer.c:
	* plugins/debug-manager/sparse_buffer.h:
	* plugins/debug-manager/sparse_view.c:
	* plugins/debug-manager/sparse_view.h:
	* plugins/debug-manager/stack_trace.c:
	* plugins/debug-manager/stack_trace.h:
	* plugins/debug-manager/start.c:
	* plugins/debug-manager/start.h:
	* plugins/debug-manager/threads.c:
	* plugins/debug-manager/threads.h:
	* plugins/debug-manager/utilities.c:
	* plugins/debug-manager/utilities.h:
	* plugins/debug-manager/watch.c:
	* plugins/debug-manager/watch.h:
	* plugins/devhelp/htmlview.c:
	* plugins/devhelp/htmlview.h:
	* plugins/document-manager/action-callbacks.c:
	* plugins/document-manager/action-callbacks.h:
	* plugins/document-manager/anjuta-docman.c:
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/editor-tooltips.c:
	* plugins/document-manager/editor-tooltips.h:
	* plugins/document-manager/file_history.c:
	* plugins/document-manager/file_history.h:
	* plugins/document-manager/indent-dialog.c:
	* plugins/document-manager/indent-dialog.h:
	* plugins/document-manager/indent-util.c:
	* plugins/document-manager/indent-util.h:
	* plugins/document-manager/plugin.c:
	* plugins/editor/aneditor-autocomplete.cxx:
	* plugins/editor/aneditor-calltip.cxx:
	* plugins/editor/aneditor-indent.cxx:
	* plugins/editor/aneditor-priv.h:
	* plugins/editor/aneditor.cxx:
	* plugins/editor/aneditor.h:
	* plugins/editor/lexer.h:
	* plugins/editor/plugin.c:
	* plugins/editor/plugin.h:
	* plugins/editor/print.c:
	* plugins/editor/print.h:
	* plugins/editor/properties.h:
	* plugins/editor/properties_cxx.h:
	* plugins/editor/style-editor.c:
	* plugins/editor/style-editor.h:
	* plugins/editor/text-editor-iterable.c:
	* plugins/editor/text-editor-iterable.h:
	* plugins/editor/text_editor.c:
	* plugins/editor/text_editor.h:
	* plugins/editor/text_editor_cbs.c:
	* plugins/editor/text_editor_cbs.h:
	* plugins/editor/text_editor_menu.c:
	* plugins/editor/text_editor_menu.h:
	* plugins/editor/text_editor_prefs.c:
	* plugins/editor/text_editor_prefs.h:
	* plugins/file-loader/dnd.c:
	* plugins/file-loader/dnd.h:
	* plugins/file-loader/plugin.c:
	* plugins/file-manager/an_file_view.c:
	* plugins/file-manager/plugin.c:
	* plugins/file-wizard/file.c:
	* plugins/file-wizard/file.h:
	* plugins/file-wizard/plugin.c:
	* plugins/file-wizard/plugin.h:
	* plugins/gdb/debugger.c:
	* plugins/gdb/debugger.h:
	* plugins/gdb/gdbmi-test.c:
	* plugins/gdb/gdbmi.c:
	* plugins/gdb/gdbmi.h:
	* plugins/gdb/global.h:
	* plugins/gdb/parser.c:
	* plugins/gdb/parser.h:
	* plugins/gdb/plugin.c:
	* plugins/gdb/plugin.h:
	* plugins/gdb/utilities.c:
	* plugins/gdb/utilities.h:
	* plugins/glade/plugin.c:
	* plugins/glade/plugin.h:
	* plugins/gtodo/egg-datetime.c:
	* plugins/gtodo/egg-datetime.h:
	* plugins/gtodo/eggtrayicon.c:
	* plugins/gtodo/eggtrayicon.h:
	* plugins/gtodo/plugin.c:
	* plugins/gvim/anjuta-vim.c:
	* plugins/gvim/anjuta-vim.h:
	* plugins/gvim/gtkvim.c:
	* plugins/gvim/gtkvim.h:
	* plugins/gvim/plugin.c:
	* plugins/gvim/plugin.h:
	* plugins/language-support-cpp-java/plugin.c:
	* plugins/language-support-cpp-java/plugin.h:
	* plugins/macro/macro-actions.c:
	* plugins/macro/macro-actions.h:
	* plugins/macro/macro-db.c:
	* plugins/macro/macro-db.h:
	* plugins/macro/macro-dialog.c:
	* plugins/macro/macro-dialog.h:
	* plugins/macro/macro-edit.c:
	* plugins/macro/macro-edit.h:
	* plugins/macro/macro-util.c:
	* plugins/macro/macro-util.h:
	* plugins/macro/plugin.c:
	* plugins/macro/plugin.h:
	* plugins/message-view/anjuta-msgman.c:
	* plugins/message-view/anjuta-msgman.h:
	* plugins/message-view/message-view.c:
	* plugins/message-view/message-view.h:
	* plugins/message-view/plugin.c:
	* plugins/message-view/plugin.h:
	* plugins/patch/patch-plugin.c:
	* plugins/patch/patch-plugin.h:
	* plugins/patch/plugin.c:
	* plugins/patch/plugin.h:
	* plugins/profiler/gprof-call-graph-block-entry.c:
	* plugins/profiler/gprof-call-graph-block-entry.h:
	* plugins/profiler/gprof-call-graph-block.c:
	* plugins/profiler/gprof-call-graph-block.h:
	* plugins/profiler/gprof-call-graph-view.c:
	* plugins/profiler/gprof-call-graph-view.h:
	* plugins/profiler/gprof-call-graph.c:
	* plugins/profiler/gprof-call-graph.h:
	* plugins/profiler/gprof-flat-profile-entry.c:
	* plugins/profiler/gprof-flat-profile-entry.h:
	* plugins/profiler/gprof-flat-profile-view.c:
	* plugins/profiler/gprof-flat-profile-view.h:
	* plugins/profiler/gprof-flat-profile.c:
	* plugins/profiler/gprof-flat-profile.h:
	* plugins/profiler/gprof-function-call-chart-view.c:
	* plugins/profiler/gprof-function-call-chart-view.h:
	* plugins/profiler/gprof-function-call-tree-view.c:
	* plugins/profiler/gprof-function-call-tree-view.h:
	* plugins/profiler/gprof-options.c:
	* plugins/profiler/gprof-options.h:
	* plugins/profiler/gprof-profile-data.c:
	* plugins/profiler/gprof-profile-data.h:
	* plugins/profiler/gprof-view-manager.c:
	* plugins/profiler/gprof-view-manager.h:
	* plugins/profiler/gprof-view.c:
	* plugins/profiler/gprof-view.h:
	* plugins/profiler/plugin.c:
	* plugins/profiler/plugin.h:
	* plugins/profiler/string-utils.c:
	* plugins/profiler/string-utils.h:
	* plugins/project-import/plugin.c:
	* plugins/project-import/plugin.h:
	* plugins/project-import/project-import.c:
	* plugins/project-import/project-import.h:
	* plugins/project-manager/plugin.c:
	* plugins/project-manager/plugin.h:
	* plugins/project-wizard/action.c:
	* plugins/project-wizard/action.h:
	* plugins/project-wizard/autogen.c:
	* plugins/project-wizard/autogen.h:
	* plugins/project-wizard/druid.c:
	* plugins/project-wizard/druid.h:
	* plugins/project-wizard/file.c:
	* plugins/project-wizard/file.h:
	* plugins/project-wizard/header.c:
	* plugins/project-wizard/header.h:
	* plugins/project-wizard/install.c:
	* plugins/project-wizard/install.h:
	* plugins/project-wizard/parser.c:
	* plugins/project-wizard/parser.h:
	* plugins/project-wizard/plugin.c:
	* plugins/project-wizard/plugin.h:
	* plugins/project-wizard/property.c:
	* plugins/project-wizard/property.h:
	* plugins/project-wizard/values.c:
	* plugins/project-wizard/values.h:
	* plugins/sample1/plugin.c:
	* plugins/search/plugin.c:
	* plugins/search/plugin.h:
	* plugins/search/search-replace_backend.c:
	* plugins/search/search-replace_backend.h:
	* plugins/search/search_preferences.c:
	* plugins/sourceview/anjuta-convert.c:
	* plugins/sourceview/anjuta-convert.h:
	* plugins/sourceview/anjuta-document-loader.c:
	* plugins/sourceview/anjuta-document-loader.h:
	* plugins/sourceview/anjuta-document-saver.c:
	* plugins/sourceview/anjuta-document-saver.h:
	* plugins/sourceview/anjuta-document.c:
	* plugins/sourceview/anjuta-document.h:
	* plugins/sourceview/anjuta-encodings.c:
	* plugins/sourceview/anjuta-encodings.h:
	* plugins/sourceview/anjuta-languages-manager.c:
	* plugins/sourceview/anjuta-languages-manager.h:
	* plugins/sourceview/anjuta-utils.c:
	* plugins/sourceview/anjuta-utils.h:
	* plugins/sourceview/anjuta-view.c:
	* plugins/sourceview/anjuta-view.h:
	* plugins/sourceview/assist-window.c:
	* plugins/sourceview/assist-window.h:
	* plugins/sourceview/sourceview-cell.c:
	* plugins/sourceview/sourceview-cell.h:
	* plugins/sourceview/sourceview-prefs.c:
	* plugins/sourceview/sourceview-prefs.h:
	* plugins/sourceview/sourceview-print.c:
	* plugins/sourceview/sourceview-print.h:
	* plugins/sourceview/sourceview-private.h:
	* plugins/sourceview/sourceview-tags.c:
	* plugins/sourceview/sourceview-tags.h:
	* plugins/sourceview/sourceview.c:
	* plugins/sourceview/sourceview.h:
	* plugins/subversion/plugin.c:
	* plugins/subversion/plugin.h:
	* plugins/subversion/subversion-actions.c:
	* plugins/subversion/subversion-actions.h:
	* plugins/subversion/subversion-callbacks.c:
	* plugins/subversion/subversion-callbacks.h:
	* plugins/subversion/svn-auth.c:
	* plugins/subversion/svn-auth.h:
	* plugins/subversion/svn-backend-priv.h:
	* plugins/subversion/svn-backend.c:
	* plugins/subversion/svn-backend.h:
	* plugins/subversion/svn-notify.c:
	* plugins/subversion/svn-notify.h:
	* plugins/subversion/svn-thread.c:
	* plugins/subversion/svn-thread.h:
	* plugins/symbol-browser/an_symbol.c:
	* plugins/symbol-browser/an_symbol.h:
	* plugins/symbol-browser/an_symbol_info.c:
	* plugins/symbol-browser/an_symbol_info.h:
	* plugins/symbol-browser/an_symbol_iter.c:
	* plugins/symbol-browser/an_symbol_iter.h:
	* plugins/symbol-browser/an_symbol_prefs.c:
	* plugins/symbol-browser/an_symbol_prefs.h:
	* plugins/symbol-browser/an_symbol_search.c:
	* plugins/symbol-browser/an_symbol_search.h:
	* plugins/symbol-browser/an_symbol_view.c:
	* plugins/symbol-browser/an_symbol_view.h:
	* plugins/symbol-browser/plugin.c:
	* plugins/symbol-browser/plugin.h:
	* plugins/terminal/terminal.c:
	* plugins/tools/dialog.c:
	* plugins/tools/dialog.h:
	* plugins/tools/editor.c:
	* plugins/tools/editor.h:
	* plugins/tools/execute.c:
	* plugins/tools/execute.h:
	* plugins/tools/fileop.c:
	* plugins/tools/fileop.h:
	* plugins/tools/plugin.c:
	* plugins/tools/plugin.h:
	* plugins/tools/scripts/find-fixmes.pl:
	* plugins/tools/scripts/translation-status.pl:
	* plugins/tools/tool.c:
	* plugins/tools/tool.h:
	* plugins/tools/variable.c:
	* plugins/tools/variable.h:
	* plugins/valgrind/ldd.c:
	* plugins/valgrind/ldd.h:
	* plugins/valgrind/list.c:
	* plugins/valgrind/list.h:
	* plugins/valgrind/menu-utils.c:
	* plugins/valgrind/menu-utils.h:
	* plugins/valgrind/parser.c:
	* plugins/valgrind/parser.h:
	* plugins/valgrind/plugin.c:
	* plugins/valgrind/plugin.h:
	* plugins/valgrind/preferences.c:
	* plugins/valgrind/preferences.h:
	* plugins/valgrind/process.c:
	* plugins/valgrind/process.h:
	* plugins/valgrind/symtab.c:
	* plugins/valgrind/symtab.h:
	* plugins/valgrind/vgactions.c:
	* plugins/valgrind/vgactions.h:
	* plugins/valgrind/vgcachegrindprefs.c:
	* plugins/valgrind/vgcachegrindprefs.h:
	* plugins/valgrind/vgdefaultview.c:
	* plugins/valgrind/vgdefaultview.h:
	* plugins/valgrind/vgerror.c:
	* plugins/valgrind/vgerror.h:
	* plugins/valgrind/vggeneralprefs.c:
	* plugins/valgrind/vggeneralprefs.h:
	* plugins/valgrind/vghelgrindprefs.c:
	* plugins/valgrind/vghelgrindprefs.h:
	* plugins/valgrind/vgio.c:
	* plugins/valgrind/vgio.h:
	* plugins/valgrind/vgmemcheckprefs.c:
	* plugins/valgrind/vgmemcheckprefs.h:
	* plugins/valgrind/vgrule-editor.c:
	* plugins/valgrind/vgrule-editor.h:
	* plugins/valgrind/vgrule-list.c:
	* plugins/valgrind/vgrule-list.h:
	* plugins/valgrind/vgrule.c:
	* plugins/valgrind/vgrule.h:
	* plugins/valgrind/vgrulepattern.c:
	* plugins/valgrind/vgrulepattern.h:
	* plugins/valgrind/vgsearchbar.c:
	* plugins/valgrind/vgsearchbar.h:
	* plugins/valgrind/vgstrpool.c:
	* plugins/valgrind/vgstrpool.h:
	* plugins/valgrind/vgtoolprefs.c:
	* plugins/valgrind/vgtoolprefs.h:
	* plugins/valgrind/vgtoolview.c:
	* plugins/valgrind/vgtoolview.h:
	* src/about.c:
	* src/about.h:
	* src/action-callbacks.c:
	* src/action-callbacks.h:
	* src/anjuta-actions.h:
	* src/anjuta-app.c:
	* src/anjuta-app.h:
	* src/anjuta-callbacks.c:
	* src/anjuta-callbacks.h:
	* src/anjuta.c:
	* src/anjuta.h:
	* src/anjuta_cbs.c:
	* src/bacon-message-connection.c:
	* src/bacon-message-connection.h:
	* src/getline.c:
	* src/main.c:
	* src/shell.c:
	* src/shell.h:
	* src/start-with.c:
	* src/start-with.h:
	* src/utilities.c:
	* src/utilities.h:
	* tagmanager/options.c:
	
	Change the address of FSF in various files

2007-08-30  Johannes Schmid <jhs@gnome.org>

	* anjuta.glade:
	* anjuta.gladep:
	Removed because they are no longer in use
	
	* plugins/class-gen/anjuta-class-gen-plugin.glade:
	* plugins/cvs-plugin/anjuta-cvs-plugin.glade:
	Marked some strings as not translatable

	* plugins/search/search-replace.c: (list_max_items):
	Fixed a possible memory corruption

	* src/anjuta-app.c: (anjuta_app_add_widget_full):
	Do not show menuitems for locked layout items

	* src/main.c: (main):
	Some minor style correction in gnome_init

2007-08-25 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/debugger.c,
	plugins/debug-manager/breakpoints.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	libanjuta/interfaces/libanjuta.idl:
	Move all breakpoints functions from IAnjutaDebugger to a new
	IAnjutaBreakpointDebugger interface

2007-07-28  Tom Lowe <tomlowe1@earthlink.net>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>:
	* plugins/debug-manager/plugin.c,
	plugins/debug-manager/breakpoints.c,
	plugins/tools/execute.c,
	plugins/project-wizard/plugin.c,
	plugins/build-basic-autotools/executer.c,
	plugins/gdb/debugger.c,
	plugins/profiler/gprof-options.h,
	plugins/sourceview/assist-window.h,
	plugins/class-gen/transform.c,
	libanjuta/anjuta-plugin-description.c,
	libanjuta/anjuta-status.c,
	libanjuta/anjuta-glue-c.c,
	libanjuta/anjuta-glue-cpp.c,
	plugins/symbol-browser/an_symbol_prefs.c:
	Fix warnings mostly "dereferencing type-punned pointer"
	Fix two bugs in breakpoints.c and an_symbol_prefs.c

2007-07-22 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/breakpoints.c,
	plugins/debug-manager/debugger.c:
	Avoid an endless loop if clearing all breakpoints while the programm
	is running

2007-07-22  Tom Lowe <tomlowe1@earthlink.net>

	Reviewed by Sébastien Granjoux <seb.sfo@free.fr>:
	* plugins/debug-manager/plugin.c:
	Fix a segmentation fault added in the previous patch

2007-07-21  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/executer.c:
	(get_program_parameters):
	
	Show an error dialog if no targets are availible instead of
	just returning

2007-07-20  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-shell.c: (on_widget_data_add),
	(anjuta_shell_add_widget), (anjuta_shell_add_widget_full):
	* libanjuta/anjuta-shell.h:
	* plugins/document-manager/plugin.c: (activate_plugin):
	* plugins/glade/anjuta-design-document.c:
	* plugins/glade/plugin.c: (glade_update_ui):
	* src/anjuta-app.c: (anjuta_app_add_widget_full),
	(anjuta_shell_iface_init):
	* src/shell.c: (anjuta_test_shell_add_widget),
	(anjuta_shell_iface_init):
	
	Make the document manager undockable (#458038)

2007-07-20  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (on_editor_update_ui):
	* plugins/glade/anjuta-design-document.c:
	* plugins/glade/plugin.c: (glade_update_ui):
	
	Fixed some save/dirty status bug in glade

2007-07-20  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-status.c:
	Fixed crasher on shutdown

2007-07-20  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	Minimum glade requirement is 3.2 now. It was before
	but we did not check...
	
	* libanjuta/anjuta-glue-factory.c: (load_plugin):
	* libanjuta/anjuta-profile.c:
	(anjuta_profile_add_plugins_from_xml):
	* libanjuta/anjuta-status.c: (anjuta_status_dispose):
	* libanjuta/anjuta-ui.c: (iter_compare_func), (anjuta_ui_merge):
	* libegg/egg-recent-action.c: (on_recent_files_tooltip):
	* plugins/file-loader/plugin.c: (on_create_submenu):
	* plugins/file-manager/an_file_view.c: (compare_iter):
	* plugins/glade/plugin.c: (activate_plugin):
	* src/anjuta-app.c: (on_toolbar_view_toggled):
	* src/main.c: (main):
	
	Fixed lots of memory leaks (thansk valgrind)

2007-07-19  Johannes Schmid <jhs@gnome.org>

	* plugins/debug-manager/plugin.c: (value_added_current_editor):
	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_set_busy):
	* plugins/document-manager/plugin.c: (on_editor_changed):
	* plugins/glade/plugin.c: (activate_plugin):
	* plugins/language-support-cpp-java/plugin.c: (on_assist_begin),
	(on_value_removed_current_editor):
	
	Fixed remaining criticals with IAnjutaEditor -> IAnjutaDocument

2007-07-18  Johannes Schmid <jhs.gnome.org>

	* plugins/build-basic-autotools/executer.c: (execute_program):
	Fixed some of the scratchbox stuff but the environment is
	still broken

2007-07-18  Johannes Schmid <jhs@gnome.org>

	* libanjuta/anjuta-plugin-manager.c: (on_plugin_activated),
	(on_plugin_deactivated), (get_plugin_loader_type):
	* plugins/glade/plugin.c: (on_close_activated), (on_shell_destroy),
	(activate_plugin), (deactivate_plugin),
	(glade_plugin_instance_init):
	
	Fixed glade plugin deactivation

2007-07-18  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_add_document):
	* plugins/glade/anjuta-design-document.c: (ifile_get_uri):
	
	Fixed path display in document manager with glade files

2007-07-17  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/Makefile.am.iface:
	* pixmaps/Makefile.am:
	* plugins/cvs-plugin/plugin.c: (value_added_current_editor):
	* plugins/debug-manager/plugin.c: (value_added_current_editor),
	(value_removed_current_editor):
	* plugins/document-manager/anjuta-docman.c: (on_editor_save_point),
	(anjuta_docman_set_current_document):
	* plugins/document-manager/plugin.c: (on_editor_update_ui),
	(on_editor_added), (on_editor_changed):
	* plugins/glade/Makefile.am:
	* plugins/glade/anjuta-design-document.c:
	(anjuta_design_document_instance_init),
	(anjuta_design_document_set_property),
	(anjuta_design_document_get_property),
	(anjuta_design_document_class_init), (anjuta_design_document_new),
	(ifile_open), (ifile_get_uri), (ifile_iface_init):
	* plugins/glade/anjuta-design-document.h:
	* plugins/glade/anjuta-glade-notebook.c:
	* plugins/glade/anjuta-glade-notebook.h:
	* plugins/glade/plugin.c: (value_added_current_editor),
	(value_removed_current_editor), (glade_update_ui),
	(on_close_activated), (on_glade_project_changed),
	(glade_plugin_add_project), (activate_plugin), (deactivate_plugin),
	(ifile_open):
	* plugins/language-support-cpp-java/plugin.c:
	(on_value_added_current_editor), (on_value_removed_current_editor):
	* plugins/macro/plugin.c: (value_added_current_editor):
	* plugins/project-manager/plugin.c: (value_added_current_editor):
	* plugins/subversion/plugin.c: (value_added_current_editor):
	* plugins/symbol-browser/plugin.c: (value_added_current_editor):

	Fixed lot of IAnjutaEditor stuff and completed glade integration
	with document manager
	
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(value_added_current_editor):
	* plugins/build-basic-autotools/executer.c: (execute_program):
	
	Some initial code to execute projects inside scratchbox
	
2007-07-13 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/project-import/project-import.c:
	Project import overwrites file on user request (bug #452579)

2007-07-11 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/debugger.c,
	plugins/debug-manager/threads.c,
	plugins/debug-manager/plugin.c,
	plugins/debug-manager/registers.c,
	plugins/debug-manager/locals.c,
	plugins/debug-manager/stack_trace.c,
	plugins/gdb/plugin.c,
	plugins/gdb/debugger.c,
	plugins/gdb/debugger.h,
	libanjuta/interfaces/libanjuta.idl:
	Rename change-location to program-moved
	Store thread id as gint instead of guint
	Do not display registers list if not available
	Add intermediate debugger states if missing

2007-07-11  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	Reverted unnecessary changes (#455819)

2007-07-10  Johannes Schmid <jhs@gnome.org>

	* plugins/glade/plugin.c:
	Fixed glade plugin with glade 3.2 and another crasher

2007-07-09  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin
	.glade:
	* plugins/debug-manager/breakpoints.c:
	(breakpoint_item_update_in_ui),
	(breakpoints_dbase_edit_breakpoint),
	(on_toggle_breakpoint_activate):
	* plugins/debug-manager/plugin.c:
	(on_run_to_cursor_action_activate):
	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_cut_activate),
	(on_editor_command_copy_activate),
	(on_editor_command_paste_activate),
	(on_editor_command_clear_activate):
	* plugins/document-manager/anjuta-docman.c:
	(on_text_editor_notebook_close_page), (anjuta_docman_add_editor),
	(anjuta_docman_add_document), (anjuta_docman_set_current_document),
	(anjuta_docman_goto_file_line_mark),
	(anjuta_docman_find_editor_with_path),
	(anjuta_docman_get_all_editors):
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/plugin.c:
	(update_editor_ui_interface_items), (on_editor_update_ui),
	(on_editor_changed), (on_session_save), (on_docman_auto_save),
	(ianjuta_docman_add_document), (ianjuta_docman_remove_document),
	(ianjuta_document_manager_iface_init), (isaveable_save),
	(isavable_is_dirty):
	* plugins/editor/editor.glade:
	* plugins/editor/text_editor.c: (idocument_cut), (idocument_copy),
	(idocument_paste), (idocument_clear), (idocument_iface_init),
	(iselection_iface_init):
	* plugins/glade/Makefile.am:
	* plugins/glade/anjuta-glade-notebook.c:
	(anjuta_glade_notebook_instance_init),
	(anjuta_glade_notebook_set_property),
	(anjuta_glade_notebook_get_property),
	(anjuta_glade_notebook_class_init), (anjuta_glade_notebook_new),
	(ifile_open), (ifile_get_uri), (ifile_iface_init),
	(ifile_savable_save), (ifile_savable_save_as),
	(ifile_savable_set_dirty), (ifile_savable_is_dirty),
	(ifile_savable_iface_init), (idocument_can_redo),
	(idocument_can_undo), (idocument_begin_undo_action),
	(idocument_end_undo_action), (idocument_undo), (idocument_redo),
	(idocument_grab_focus), (idocument_get_filename), (idocument_cut),
	(idocument_copy), (idocument_paste), (idocument_clear),
	(idocument_iface_init):
	* plugins/language-support-cpp-java/plugin.c:
	(on_value_added_current_editor), (on_value_removed_current_editor):
	* plugins/macro/macro-util.c: (get_current_editor):
	* plugins/project-manager/plugin.c: (project_manager_unload_gbf):
	* plugins/search/plugin.c: (on_enterselection), (on_prev_occur),
	(on_next_occur), (on_incremental_entry_key_press),
	(on_toolbar_find_clicked), (on_toolbar_find_start_over),
	(on_toolbar_find_incremental_start),
	(on_toolbar_find_incremental_end), (on_toolbar_find_incremental):
	* plugins/search/search-replace.c: (search_start_over),
	(search_update_combos), (replace_update_combos),
	(anjuta_search_replace_activate):
	* plugins/search/search-replace_backend.c: (create_search_entries):
	* plugins/sourceview/sourceview.c: (idocument_cut),
	(idocument_copy), (idocument_paste), (idocument_clear),
	(idocument_iface_init), (iselect_iface_init), (iassist_react):
	* plugins/tools/editor.c: (on_editor_response):
	* plugins/tools/execute.c: (get_current_editor),
	(atp_output_context_initialize), (atp_user_tool_execute):
	* plugins/tools/variable.c: (get_current_editor),
	(atp_variable_get_editor_variable):
	
	Some more IAnjutaEditor => IAnjutaDocument fixing!
	
	* plugins/glade/anjuta-glade-notebook.h:
	* plugins/glade/plugin.c: (glade_can_undo), (glade_can_redo),
	(glade_update_ui):
	* plugins/glade/plugin.h:
	Integrate glade designer in document manager for GLADEUI_VERSION >= 303
	and get rid of the glade menu. The Edit/File menu and the toolbar can now 
	be used for glade, too. It might still have some rough edges but already works.
	(Fixes #415547 – Glade usability problem)

2007-07-07  Vincent Geddes <vgeddes@gnome.org>

	* plugins/glade/plugin.c: Ensure plugin compiles with glade 3.3.1
	  development release (I updated version of glade3 svn to 3.3.2).

2007-07-07  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/symbol-browser/an_symbol_view.c:
	(anjuta_symbol_view_dispose), (sv_get_type_of_token): Removed prints.

2007-07-07  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/symbol-browser/an_symbol_prefs.c: (refresh_tags_list),
	(on_system_tags_update_finished), (on_update_global_clicked),
	(prefs_page_init), (on_gconf_notify_tags_list_changed),
	(symbol_browser_prefs_init),
	(symbol_browser_prefs_create_global_tags),
	(symbol_browser_load_global_tags):
	* plugins/symbol-browser/an_symbol_prefs.h:
	* plugins/symbol-browser/an_symbol_view.c:
	(anjuta_symbol_view_dispose), (anjuta_symbol_view_instance_init):
	* plugins/symbol-browser/an_symbol_view.h:
	* plugins/symbol-browser/plugin.c: (activate_plugin): Do not crash
	on global tags update because of delayed prefs merging. Happens when
	anjuta is first launched (i.e. no ~/.anjuta dir exists) and a file
	is opened.

2007-07-07  Naba Kumar  <naba.kumar@gnome.org>

	* scripts/build-schemas.mk: Tell gconfd-2 to update schemas
	after install/uninstall.

	Patch from James Liggett:
	* scripts/glade2schemas.pl: Fixed creating schemas for list
	values.

2007-07-06  Vincent Geddes <vgeddes@gnome.org>

	* plugins/glade/plugin.c: Ensure plugin compiles with gladeui
	  version 3.3.0 release. The plugin will not compile with the gladeui 3.3.1
	  development release since glade svn version is also 3.3.1. In future, the
	  solution would be for us to always increment the micro version when
	  changing the API.

2007-07-05  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_build_mesg_format):
	* plugins/debug-manager/breakpoints.c:
	(breakpoint_item_update_in_ui),
	(breakpoints_dbase_edit_breakpoint),
	(on_toggle_breakpoint_activate):
	* plugins/debug-manager/plugin.c:
	(on_run_to_cursor_action_activate):
	* plugins/debug-manager/watch.c: (on_debug_tree_inspect):
	* plugins/document-manager/action-callbacks.c: (editor_autoformat),
	(get_current_editor), (on_save_activate), (on_save_as_activate),
	(on_save_prompt_save_editor), (on_close_file_activate),
	(on_close_all_file_activate), (on_reload_file_activate),
	(anjuta_print_cb), (anjuta_print_preview_cb),
	(on_editor_command_upper_case_activate),
	(on_editor_command_lower_case_activate),
	(on_editor_command_undo_activate),
	(on_editor_command_redo_activate),
	(on_editor_command_bookmark_toggle_activate), (on_comment_block),
	(on_comment_box), (on_comment_stream), (on_toolbar_goto_clicked),
	(on_goto_line_no1_activate), (on_goto_block_start1_activate),
	(on_goto_block_end1_activate), (on_zoom_in_text_activate),
	(on_zoom_out_text_activate), (on_force_hilite_activate),
	(on_indent1_activate), (on_swap_activate),
	(on_editor_add_view_activate), (on_editor_remove_view_activate):
	* plugins/document-manager/anjuta-docman.c:
	(on_text_editor_notebook_close_page), (editor_tab_widget_new),
	(anjuta_docman_save_document_as), (anjuta_docman_save_document),
	(anjuta_docman_dispose), (on_notebook_switch_page),
	(anjuta_docman_page_from_widget), (on_editor_destroy),
	(anjuta_docman_add_editor), (anjuta_docman_remove_document),
	(anjuta_docman_get_current_document),
	(anjuta_docman_set_current_document),
	(anjuta_docman_get_full_filename), (anjuta_docman_show_editor),
	(anjuta_docman_update_page_label),
	(anjuta_docman_get_document_from_path),
	(anjuta_docman_save_file_if_modified), (anjuta_docman_reload_file),
	(anjuta_docman_order_tabs):
	* plugins/document-manager/anjuta-docman.h:
	* plugins/document-manager/plugin.c: (update_editor_ui_save_items),
	(update_editor_ui_interface_items), (update_editor_ui),
	(on_editor_update_save_ui), (on_editor_update_ui),
	(on_editor_changed), (on_save_prompt_save_editor),
	(on_save_prompt), (ianjuta_docman_find_editor_with_path),
	(ianjuta_docman_get_current_document),
	(ianjuta_docman_set_current_document),
	(ianjuta_docman_remove_buffer),
	(ianjuta_document_manager_iface_init), (ifile_get_uri):
	* plugins/editor/text_editor.c: (itext_editor_iface_init),
	(idocument_get_filename), (idocument_can_undo),
	(idocument_can_redo), (idocument_undo),
	(idocument_begin_undo_action), (idocument_end_undo_action),
	(idocument_redo), (idocument_grab_focus), (idocument_iface_init):
	* plugins/language-support-cpp-java/plugin.c:
	(on_editor_char_inserted_cpp), (on_auto_indent):
	* plugins/macro/macro-util.c: (get_current_editor), (get_filename):
	* plugins/project-manager/plugin.c: (project_manager_unload_gbf):
	* plugins/sample1/plugin.c: (on_sample_action_activate):
	* plugins/search/plugin.c: (on_enterselection), (on_prev_occur),
	(on_next_occur), (on_incremental_entry_key_press),
	(on_toolbar_find_clicked), (on_toolbar_find_start_over),
	(on_toolbar_find_incremental_start),
	(on_toolbar_find_incremental_end), (on_toolbar_find_incremental):
	* plugins/search/search-replace.c: (search_and_replace),
	(write_message_pane), (search_start_over), (search_update_combos),
	(replace_update_combos), (anjuta_search_replace_activate):
	* plugins/search/search-replace_backend.c:
	(file_buffer_new_from_path), (create_search_entries):
	* plugins/sourceview/sourceview-print.c: (create_print_job):
	* plugins/sourceview/sourceview.c:
	(on_sourceview_uri_changed_prompt), (ieditor_iface_init),
	(idocument_can_redo), (idocument_can_undo),
	(idocument_begin_undo_action), (idocument_end_undo_action),
	(idocument_undo), (idocument_redo), (idocument_grab_focus),
	(idocument_get_filename), (idocument_iface_init):
	* plugins/tools/editor.c: (on_editor_response):
	* plugins/tools/execute.c: (atp_output_context_initialize),
	(atp_user_tool_execute):
	* plugins/tools/variable.c: (atp_variable_get_editor_variable):
	
	Create IAnjutaDocument interface. This interface is a more general idea
	of documents being anything that can be modified, has undo/redo and
	may have operations like copy/paste.
	The primary goal is to integrate better by making it use the standard file
	and edit menu instead of it's own glade menu. Of course the downside is that
	you won't be able to view a source file and the designer at the same time. Anyway
	so many people have complained that they "can't save a glade file" that I think
	this is the much better solution.
	Work on the glade plugin is still to come but the most difficult things should be
	done now.

2007-07-02  Vincent Geddes  <vgeddes@gnome.org>

	* plugins/glade/plugin.c: Ensure plugin builds with libgladeui
	  version 3.0.3.

2007-07-04  Naba Kumar  <naba.kumar@gnome.org>

	* libanjuta/anjuta-plugin-manager.c:
	(anjuta_plugin_manager_get_plugins_page),
	(anjuta_plugin_manager_get_remembered_plugins_page):
	* libanjuta/anjuta-plugin-manager.h:
	* src/anjuta-app.c: (anjuta_app_install_preferences):
	* src/shell.c: (anjuta_test_shell_instance_init): Put installed plugins
	and remembered plugins preferences pages in separate pages (avoid
	crowd).

2007-07-04  Naba Kumar  <naba.kumar@gnome.org>

	Patch from James Liggett  <jrliggett@cox.net>:
	* plugins/editor/Makefile.am, scripts/build-schemas.mk:
	Installed editor preferences schemas. Fixes bug #453463.

2007-07-03  Naba Kumar  <naba.kumar@gnome.org>

	* libanjuta/anjuta-preferences-dialog.c: (compare_pref_page_func),
	(anjuta_preferences_dialog_init): Sort preferences pages on title.

2007-07-03  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/document-manager/anjuta-document-manager.ui:
	* plugins/language-support-cpp-java/anjuta-language-support-cpp-java.ui:
	* src/action-callbacks.c:
	* src/action-callbacks.h:
	* src/anjuta-actions.h:
	* src/anjuta-app.c: (anjuta_app_instance_init),
	(anjuta_app_install_preferences):
	* src/anjuta.glade:
	* src/anjuta.ui: Moved plugins and shortcuts settings inside
	General preferences page. Move preferences menu from Settings to
	Edit submenu. And got rid of Settings submenu.

2007-07-02  Vincent Geddes  <vgeddes@gnome.org>

	* plugins/glade/plugin.c (on_close_activated): Update for glade3 svn trunk.
	
2007-07-02  Naba Kumar  <naba.kumar@gnome.org>

	* TODO.tasks: Increased bounty for on-demand preferences task to $150
	as discussed and agreed with James Liggett.

	Patch from James Liggett  <jrliggett@cox.net>:

	* configure.in:
	* libanjuta/anjuta-plugin-manager.c:
	(on_activated_plugin_objects_foreach),
	(anjuta_plugin_manager_get_active_plugin_objects):
	* libanjuta/anjuta-plugin-manager.h:
	* libanjuta/anjuta-plugin.c: (anjuta_plugin_activate),
	(anjuta_plugin_deactivate):
	* libanjuta/anjuta-preferences-dialog.c:
	(anjuta_preferences_dialog_finalize),
	(anjuta_preferences_dialog_class_init), (add_category_columns),
	(anjuta_preferences_dialog_init), (anjuta_preferences_dialog_new),
	(anjuta_preferences_dialog_remove_page):
	* libanjuta/anjuta-preferences.c: (property_destroy),
	(unregister_preferences_key), (register_callbacks),
	(preferences_foreach_callback), (connect_prop_to_object),
	(anjuta_preferences_register_property_raw),
	(anjuta_preferences_register_property_custom),
	(anjuta_preferences_foreach), (anjuta_preferences_add_page),
	(anjuta_preferences_remove_page),
	(on_preferences_dialog_destroyed), (anjuta_preferences_get_dialog),
	(anjuta_preferences_get_type), (anjuta_preferences_dispose),
	(anjuta_preferences_instance_init), (anjuta_preferences_finalize),
	(anjuta_preferences_class_init), (anjuta_preferences_new):
	* libanjuta/anjuta-preferences.h:
	* plugins/build-basic-autotools/Makefile.am:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(ipreferences_unmerge):
	* plugins/cvs-plugin/Makefile.am:
	* plugins/cvs-plugin/plugin.c: (ipreferences_unmerge):
	* plugins/document-manager/Makefile.am:
	* plugins/document-manager/plugin.c: (ipreferences_unmerge):
	* plugins/editor/plugin.c: (ipreferences_unmerge):
	* plugins/file-manager/Makefile.am:
	* plugins/file-manager/plugin.c: (activate_plugin),
	(deactivate_plugin), (ipreferences_merge), (ipreferences_unmerge):
	* plugins/gtodo/plugin.c: (ipreferences_merge),
	(ipreferences_unmerge):
	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/language-support-cpp-java/plugin.c:
	(ipreferences_unmerge):
	* plugins/message-view/Makefile.am:
	* plugins/message-view/plugin.c: (ipreferences_unmerge):
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/plugin.c: (ipreferences_unmerge):
	* plugins/symbol-browser/Makefile.am:
	* plugins/symbol-browser/an_symbol_prefs.c:
	(symbol_browser_prefs_finalize):
	* plugins/terminal/Makefile.am:
	* plugins/terminal/terminal.c: (ipreferences_unmerge):
	* plugins/valgrind/plugin.c: (ipreferences_merge),
	(ipreferences_unmerge):
	* scripts/Makefile.am:
	* scripts/glade2schema.pl, (added) scripts/build-schemas.mk:
	* src/Makefile.am:
	* src/action-callbacks.c: (on_set_preferences1_activate):
	* src/anjuta-app.c: (anjuta_app_instance_init),
	(anjuta_app_install_preferences):
	* src/anjuta-app.h:
	* src/shell.c: (anjuta_test_shell_instance_init): Completed bounty
	task: Bug #445314: On demand preferences widgets creation. Thanks
	James for this great work.

2007-07-02  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/debug-manager/data_buffer.c,
	plugins/message-view/message-view.c: Fixed compiler warnings.

2007-06-29  Naba Kumar  <naba.kumar@gnome.org>

	* src/action-callbacks.c: (help_activate),
	(on_help_manual_activate), (on_help_tutorial_activate),
	(on_help_advanced_tutorial_activate), (on_help_faqs_activate):

	Fixed help activation (bug #451557).

2007-06-28  Naba Kumar  <naba.kumar@gnome.org>

	* AUTHORS: Added James Liggett. Forgot to add him before :(

2007-06-28 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/debugger.c,
	plugins/debug-manager/plugin.c,
	plugins/gdb/debugger.c,
	libanjuta/interfaces/libanjuta.idl:
	Add a GError* parameter to debugger-stopped signal

	* (added) libanjuta/anjuta-error.c,
	(added) libanjuta/anjuta-error.h,
	libanjuta/Makefile.am:
	Register GError as a boxed type

	* libanjuta/interfaces/anjuta-idl-compiler.pl:
	Support GError* in signal, GError must be registered as a boxed type
	Accept NULL as strings

=== anjuta 2.2.0 ===

2007-06-25  Naba Kumar  <naba.kumar@gnome.org>

	* configure.in: Bumped version to 2.2.0
	* NEWS: Updated for 2.2.0 stable release.
	* plugins/file-manager/an_file_view.c: (fv_queue_node_expansion):
	Reduce the idle priority to make the UI update before anything else.

2007-06-24  Naba Kumar  <naba.kumar@gnome.org>

	* configure.in: Bumped version to 2.1.4 (RC1 for 2.2.0).

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/document-manager/action-callbacks.c:
	(on_editor_command_complete_word_activate):
	* plugins/document-manager/plugin.c:
	(update_editor_ui_interface_items):
	* plugins/editor/text_editor.c: (iautocomplete_activate),
	(iautocomplete_iface_init):
	* plugins/sourceview/sourceview.c: (iassist_iface_init):

	Moved autocomplete() method away from IAnjutaEditorAssist into
	a new deprecated IAnjutaEditorAutocomplete. This restores scintilla
	autocomplete and does not crash with sourceview. Fixes Bug #449620
	– The auto completion functionality not work. Also sets menuitem 
	insensitive when hiding them.

	* plugins/debug-manager/disassemble.c:
	(dma_disassembly_iter_refresh): Fixed compiler warnings for incorrect
	printf types.

2007-06-22  Naba Kumar  <naba.kumar@gnome.org>

	* pixmaps/anjuta_splash.png: Updated.
	
	* plugins/search/search-replace.c
	(anjuta_search_replace_activate): Fixed "Find in Files" to select
	the right target (project).
	* ChangeLog: Added missing log.

2007-06-21  Naba Kumar  <naba.kumar@gnome.org>

	* manuals/anjuta-faqs/C/anjuta-faqs.xml,
	manuals/anjuta-manual/C/fileoperations.xml,
	manuals/anjuta-manual/C/projects.xml: Fixd validation errors.

	* plugins/gtodo/libgtodo.h: Give a typedef for enum.

	* libanjuta/anjuta-children.c: Fixed a bad compile warning.

2007-06-21  Naba Kumar  <naba.kumar@gnome.org>

	* TODO.tasks: Added bounty for on-demand preferences.

	Patch from Thierry Moisan:
	* manuals/anjuta-manual/C/fileoperations.xml: Fixed typo
	(bug #88824).

2007-06-20  Naba Kumar  <naba.kumar@gnome.org>

	Patch from tpgww@onepost.net:

	* libegg/egg-recent-files-module.c: (do_tell), (do_set_file_info):
	* libegg/test-actions.c:
	* libegg/test-multi-drag.c: (main):
	* plugins/debug-manager/memory.c: (read_memory_block):
	* tagmanager/tm_file_entry.c: (tm_file_entry_list):

	Fixes compile warnings. Fixes bug #427101.

2007-06-20  Naba Kumar  <naba.kumar@gnome.org>

	Patch from James Liggett:

	* plugins/profiler/gprof-options.c: (on_option_changed),
	(setup_widgets):
	* plugins/profiler/gprof-options.h:
	* plugins/profiler/gprof-profile-data.c:
	(gprof_profile_data_init_profile):
	* plugins/profiler/gprof-profile-data.h:
	* plugins/profiler/plugin.c: (profiler_get_data),
	(profiler_set_target), (register_options),
	(on_profile_data_browse_button_clicked),
	(on_profiling_options_button_clicked), (on_profiler_delete_data):
	* plugins/profiler/profiler.glade: implements independent targets.
	implements the ability to select arbitrary gmon.out files.
	Fixes bug #403502 – User should also be allowed to select an
	independent executable target.

2007-06-20  Naba Kumar  <naba.kumar@gnome.org>

	* plugins/tools/scripts/prepare-changelog.pl: Updated newer version.

	* manuals/anjuta-faqs/C/anjuta-faqs.xml: Updated.
	* plugins/tools/scripts/prepare-changelog.pl: Fixed opening file.

2007-06-20 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/plugin.c,
	plugins/debug-manager/breakpoints.c:
	Remove weak pointers when owner is destroyed
	Remove all breakpoints before loading new one

2007-06-20  Vincent Geddes  <vincent.geddes@gmail.com>

        * plugins/glade/plugin.c: Update for API changes in glade 3.3.0 and above.
         
2007-06-19  Naba Kumar  <naba@gnome.org>

	* plugins/message-view/message-view.c: Wrap long lines (at 1000px)
	Bug #448491 Empty Lines Problem.

	* libanjuta/anjuta-utils.c: Return incompletly transformed text too.
	
	* data/default.profile, plugins/message-view/plugin.c: Do not
	restore session for messages.
	Fixes bug #377461 – don't create new message window for each
	build/find.

	* plugins/profiler/plugin.c: Disconnect session signals on deactivate.
	Fixes a crash on exit/project-close if profiler plugin is loaded.

2007-06-17  Naba Kumar  <naba@gnome.org>

	* plugins/class-gen/anjuta-class-gen-plugin.glade: Do not translate
	C keywords. Fixes bug #447655 – C keyword must NOT be localised.

	* plugins/file-loader/plugin.c: Fail on opening non existent files.
	Bug #448034 – Anjuta crashes on starting (when the last project
	directory was deleted).

	* plugins/document-manager/plugin.c: Set line markers for files
	opened via IAnjutaFile::open(). Fixes missing line markers while
	navigating symbols.

2007-06-17  Naba Kumar  <naba@gnome.org>

	* plugins/sourceview/sourceview.glade: Set correct font
	default value and use monospace instead of sans. Fixes
	bug #448408 – crash in Anjuta IDE: Trying to change the
	editor

2007-06-16 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/search/search-replace.c,
	plugins/search/search-replace.h,
	plugins/search/anjuta-search.glade:
	Replace deprecated GtkCombo by GtkComboBox or GtkComboBoxEntry
	Fixes bug #355166

2007-06-16 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/plugin.c,
	plugins/debug-manager/breakpoints.c:
	Add weak references, fixes bug #448053 ?

2007-06-16  Naba Kumar  <naba@gnome.org>

	* libanjuta/plugin-manager.c: Added remembered plugins page in plugins
	dialog to allow forgetting them if user chooses to select a different
	one.

2007-06-13  Naba Kumar  <naba@gnome.org>

	* plugins/sourceview/sourceview-prefs.c: Initialize font
	on startup correctly if use_theme is set.

	* plugins/sourceview/sourceview-prefs.c: Use desktop fixed font
	if available for default font. Fixes bug #447304.

	* plugins/sourceview/sourceview-prefs.c: Return value based
	on right data type. Fixes Bug #438878 – Using gtksourceview editor
	for the first time has black background
	
	* plugins/project-manager/plugin.c: Give a better error message
	when project could not be loaded.

	* libanjuta/anjuta-serializer.c: Added a comment.

2007-06-13  Johannes Schmid <jhs@gnome.org>

	* configure.in:
	Use GNOME_COMPILE_WARNINGS(maximum) instead of hand-written macro. Show
	most warnings to avoid simple coding problems.
	
	* plugins/message-view/anjuta-msgman.c:
	(anjuta_msgman_append_view), (anjuta_msgman_set_current_view):
	* plugins/message-view/plugin.c: (on_view_changed),
	(ianjuta_msgman_add_view):
	
	Fixed #440866 by always presenting the message-manager when a tab is
	added because Gtk+ seems to have problems to add tabs to hidden widgets.
	
	* plugins/subversion/subversion-callbacks.c:
	(on_subversion_commit_response):
	Destroy dialog if user clicks "No"

2007-06-12  Naba Kumar  <naba@gnome.org>

	* tagmanager/tm_tag.c, tagmanager/tm_workspace.c: Fixes an invalid
	read and use of uninitialized variable.

	* Makefile.am, src/about.c: Install AUTHORS file in datadir also
	because it is used in credits listing and packaging could compress
	it in docdir. Fixes bug #397881: The credits are empty

	* tagmanager/tm_tag.c, tagmanager/include/tm_tag.h,
	tagmanager/include/tm_workspace.h, tagmanager/include/tm_symbol.h,
	tagmanager/tm_workspace.c, tagmanager/tm_symbol.c,
	plugins/symbol-browser/an_symbol_info.c,
	plugins/symbol-browser/plugin.c,
	plugins/symbol-browser/an_symbol_view.c,
	plugins/editor/aneditor-autocomplete.cxx:

	- Do not access TMTag
	member in TMSymbol when freeing it because by then the tags
	could have changed. Avoids dangerous memory corruptions by freeing
	someone else's memory (Could explain those random crashes when
	refreshing symbols or re-loading a different project or closing
	a project). Anything that tries to refresh symbols could trigger
	this corruptions.
	- Added a flag to also retrieve method definitions as part of
	the class's scope members. And used it to set both function prototype
	and definition in symbols. Fixes navigation to prototype and
	function definitions from symbol browser (bug #440370)

	* plugins/editor/text_editor.c: Avoid invalid reads beyond allocated
	memory. Could fix those bogus 'file changed' dialogs.

	* plugins/document-manager/anjuta-docman.c: Avoid runtime warning.

2007-06-09 Sebastien Granjoux <seb.sfo@free.fr>

	* (added) libanjuta/anjuta-utils-priv.h,
	libanjuta/anjuta-utils.h,
	libanjuta/anjuta-launcher.c,
	libanjuta/Makefile.am:
	Fix bug #440801: do not use config.h in public include files

2007-06-09 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/project-wizard/templates/mkfile.wiz:
	Fix bug #442038: missing project.sh file

	* configure.in,
	plugins/project-wizard/templates/Makefile.am,
	plugins/project-wizard/templates/translatable-strings.h,
	(added) plugins/project-wizard/templates/sdl.wiz,
	(added) plugins/project-wizard/templates/appwiz_sdl.png,
	(added) plugins/project-wizard/templates/sdl/configure.ac.tpl,
	(added) plugins/project-wizard/templates/sdl/acinclude.m4.tpl,
	(added) plugins/project-wizard/templates/sdl/Makefile.am,
	(added) plugins/project-wizard/templates/sdl/.cvsignore,
	(added) plugins/project-wizard/templates/sdl/src/main.c,
	(added) plugins/project-wizard/templates/sdl/src/Makefile.am.tpl,
	(added) plugins/project-wizard/templates/sdl/src/Makefile.am,
	(added) plugins/project-wizard/templates/sdl/src/.cvsignore,
	(added) plugins/project-wizard/templates/sdl/po/Makefile.am,
	(added) plugins/project-wizard/templates/sdl/po/POTFILES.in,
	(added) plugins/project-wizard/templates/sdl/po/.cvsignore:
	Fix bug #315635: add a SDL project wizard

2007-06-09  Naba Kumar  <naba.kumar@nokia.com>

	* libanjuta/anjuta-children.c: Avoid a race condition and deadlock
	when SIGCHLD is triggered when main loop context is locked. Dead lock
	happens when child_exited callback also accesses main loop context.
	Happens particularly badly in debug target exiting.

2007-06-05 Sebastien Granjoux <seb.sfo@free.fr>

	* manuals/anjuta-manual/C/debugger.xml:
	First update of the debugger documentation

2007-06-04  Naba Kumar  <naba.kumar@nokia.com>

	* manuals/anjuta-manual/C/fileoperations.xml,
	manuals/anjuta-manual/C/projects.xml,
	manuals/anjuta-manual/C/anjuta-manual.xml,
	manuals/anjuta-manual/C/build.xml,
	manuals/anjuta-manual/C/execute.xml,
	manuals/anjuta-manual/Makefile.am: Updated more documentation.
	Added project properties documentation. Moved execution section
	inside project management. Removed dead documentation.

2007-06-02  Naba Kumar  <naba.kumar@nokia.com>

	* src/anjuta.c, plugins/symbol-browser/plugin.c,
	plugins/symbol-browser/plugin.h,
	plugins/symbol-browser/an_symbol_prefs.c,
	plugins/symbol-browser/anjuta-symbol-browser-plugin.glade,
	libanjuta/anjuta-status.c, libanjuta/anjuta-status.h: Use internal
	progress bar instead of separate window for system tags
	generation. Renamed AnjutaStatus methods to a proper ones.

	* plugins/symbol-browser/plugin.c,
	plugins/symbol-browser/plugin.h,
	plugins/symbol-browser/an_symbol_prefs.c,
	plugins/symbol-browser/anjuta-symbol-browser-plugin.glade,
	global-tags/create_global_tags.sh.in: Get rid of message window
	for showing global tags creation and use a small window with
	progress bar.

2007-05-30  Naba Kumar  <naba@gnome.org>

	* plugins/build-basic-autotools/build-basic-autotools.c: Fixed
	Bug 442315 – After calling configure, the build menus are still insensitive,
	Bug 442314 – Autogeneration fails when there is no autogen.sh

	* plugins/project-manager/plugin.c: Fixed mem corruption when it
	fails to remove target/source/group. Fixes bug #440196 – crash in
	Anjuta IDE: removing a target

2007-05-29  Naba Kumar  <naba@gnome.org>

	* plugins/symbol-browser/an_symbol_view.c,
	plugins/symbol-browser/an_symbol_prefs.c: Fixed custom
	tags generation. Fixed runtime warning.

2007-05-28  Naba Kumar  <naba@gnome.org>

	Patch from James Liggett  <jrliggett@cox.net>:
	* plugins/profiler/plugin.c, plugins/profiler/profiler.glade:
	Fixed bug #403502 – User should also be allowed to select an
	independent executable target.

2007-05-27  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/build-basic-autotools.c:
	(get_real_directory), (on_build_mesg_format):
	
	Find correct files for error messages inside scratchbox

2007-05-27  Naba Kumar  <naba@gnome.org>

	* manuals/anjuta-manual/C/projects.xml,
	manuals/anjuta-manual/C/projects.xml: Updated project
	management chapter more.

2007-05-25  Johannes Schmid <jhs@gnome.org>

	* plugins/build-basic-autotools/anjuta-build-basic-autotools-plugin.glade:
	* plugins/build-basic-autotools/build-basic-autotools.c:
	(on_sb_check_toggled), (build_execute_command),
	(ipreferences_merge), (ipreferences_unmerge):
	Added support for building inside scratchbox environment
	
	Patch from James Liggett <jrliggett@cox.net>:
	* plugins/message-view/anjuta-msgman.c: (anjuta_msgman_page_new),
	(anjuta_msgman_append_view):

	Fix 440866 
	  – Anjuta aborts with numerous assertion failures when adding a new message view tab

2007-05-23  Naba Kumar  <naba@gnome.org>

	* manuals/anjuta-manual/C/projects.xml: Updated project
	management chapter.

2007-05-22  Naba Kumar  <naba@gnome.org>

	* manuals/anjuta-manual/C/projects.xml: More updates.

	* manuals/anjuta-manual/C/introduction.xml,
	manuals/anjuta-manual/C/projects.xml,
	manuals/anjuta-manual/C/interface.xml: Updated documentation.

2007-05-22  Naba Kumar  <naba@gnome.org>

	Patch from Étienne Bersac:
	* plugins/class-gen/templates/go-source.tpl: use G_TYPE_DEFINE parent
	class in generated class.

2007-05-22  Naba Kumar  <naba@gnome.org>

	* plugins/profiler/plugin.c: Fixed a compiler warning.
	* plugins/valgrind/Makefile.am: Added ldflags.

	Patch from James Liggett:
	* plugins/profiler/gprof-options.[ch], plugins/profiler/plugin.[ch],
	plugins/profiler/Makefile.am: Fixes bug #403503. Implemented target
	specific options.

2007-05-18  Johannes Schmid <jhs@gnome.org>

	* plugins/editor/text_editor.c:
	* plugins/language-support-cpp-java/plugin.c:
	(on_editor_language_changed), (on_value_added_current_editor),
	(on_value_removed_current_editor):
	
	Remove IAnjutaEditorAssist from Scintilla for now as it is not supported
	Fix assist support in language-support-plugin.

2007-05-17 Sebastien Granjoux <seb.sfo@free.fr>

	* libanjuta/interfaces/libanjuta.idl:
	Add a new interface allowing to implement plugin able
	to load other plugins (not written in C)

	* libanjuta/anjuta-plugin-handle.c,
	libanjuta/anjuta-plugin-handle.h:
	Add a language and a resident plugin properties

	* libanjuta/anjuta-glue-plugin.c,
	libanjuta/anjuta-glue-plugin.h,
	(added)libanjuta/anjuta-glue-c.c,
	(added)libanjuta/anjuta-glue-c.h,
	libanjuta/Makefile.am:
	Split code used to load a C plugin into a common part
	in anjuta-glue-plugin and a specific part in anjuta-glue-c

	* libanjuta/anjuta-glue-factory.c,
	libanjuta/anjuta-glue-factory.h,
	libanjuta/anjuta-plugin-manager.c:
	Allow to load plugin not written in C and search for the
	additional needed code in another plugin

2007-05-17 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/editor/text_editor.c:
	Add an empty implementation of IAnjutaEditorAssist for scintilla,
	avoiding a crash if scintilla is used

2007-05-14  Johannes Schmid <jhs@gnome.org>

	* libanjuta/interfaces/libanjuta.idl:
	* plugins/language-support-cpp-java/plugin.c: (on_assist_begin),
	(assist_cleanup), (on_assist_end), (on_assist_cancel),
	(on_assist_chosen), (on_assist_update), (get_context),
	(dot_member_parser), (pointer_member_parser), (cpp_member_parser),
	(install_assist), (uninstall_assist), (install_support),
	(on_editor_language_changed), (cpp_java_plugin_activate_plugin),
	(cpp_java_plugin_instance_init):
	* plugins/language-support-cpp-java/plugin.h:
	Use IAnjutaEditorAssist to show language specific suggestions
	
	* plugins/sourceview/Makefile.am:
	* plugins/sourceview/anjuta-view.c: (anjuta_view_new),
	(anjuta_view_key_press_event), (anjuta_view_button_press_event):
	* plugins/sourceview/anjuta-view.h:
	* plugins/sourceview/assist-window.c: (assist_window_expose),
	(assist_window_set_property), (assist_window_get_property),
	(assist_window_class_init), (assist_activated),
	(assist_window_init), (assist_window_finalize),
	(assist_window_select), (assist_window_first),
	(assist_window_last), (assist_window_up), (assist_window_down),
	(get_coordinates), (assist_window_move), (assist_window_update),
	(assist_window_filter_keypress), (assist_window_is_active),
	(assist_window_new), (assist_window_get_trigger),
	(assist_window_get_position):
	* plugins/sourceview/assist-window.h:
	* plugins/sourceview/sourceview-args.c (removed):
	* plugins/sourceview/sourceview-args.h (removed):
	* plugins/sourceview/sourceview-autocomplete.c (removed):
	* plugins/sourceview/sourceview-autocomplete.h (removed):
	* plugins/sourceview/sourceview-cell.c: (icell_get_attribute):
	* plugins/sourceview/sourceview-private.h:
	* plugins/sourceview/sourceview-scope.c(removed):
	* plugins/sourceview/sourceview-scope.h(removed):
	* plugins/sourceview/sourceview.c: (on_assist_chosen),
	(on_assist_cancel), (on_document_char_added),
	(on_reload_dialog_response), (sourceview_class_init),
	(sourceview_dispose), (sourceview_new), (iassist_add_trigger),
	(iassist_remove_trigger), (iassist_autocomplete),
	(iassist_get_suggestions), (iassist_suggest), (iassist_tip),
	(iassist_react), (iassist_iface_init):
	* plugins/sourceview/tag-window.c (moved to assist-window.c):
	* plugins/sourceview/tag-window.h (moved to assist-window.c):
	
	- Implemented IAnjutaEditorAssist for sourceview editor (without tooltips)
	- Mark files dirty if reload dialog is canceled.

2007-05-12  Naba Kumar  <naba@gnome.org>

	* libanjuta/anjuta-launcher.h: Corrected include file.

2007-05-12 Sebastien Granjoux <seb.sfo@free.fr>

	* libanjuta/anjuta-glue-plugin.c,
	libanjuta/anjuta-glue-plugin.h,
	libanjuta/anjuta-glue-factory.c,
	libanjuta/anjuta-glue-factory.h,
	ibanjuta/anjuta-plugin-manager.c:
	Move code used to load a C plugin from glue-factory to glue-plugin
	So loading a plugin written in another language could be done by
	just using another object derived from AnjutaGluePlugin

	* libanjuta/libanjuta.h:
	Remove anjuta-plugin-handle header, it's not installed as libanjuta
	includes

=== anjuta 2.1.3 ===

2007-05-11  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped version to 2.1.3
	* NEWS: Updated.
	* AUTHORS: Updated.
	* plugins/glade/plugin.c: Fixed build with glade-3 == 3.1.4

2007-05-11  Naba Kumar  <naba@gnome.org>

	* configure.in:
	* plugins/glade/plugin.c: (glade_update_ui), (glade_save):
	Fixed glade plugin compilation for glade3 svn version (> 3.3.0)
	based on patch from Jaap Versteegh  <j_r_versteegh@hotmail.com>.

2007-05-10  Johannes Schmid <jhs@gnome.org>

	* plugins/search/plugin.c:
	Make incremental search behave less annoying
	
2007-05-09 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/macro/macro-util.c:
	Fix bug #419008 and bug #419036
	When creating new header file, use name and email set in
	preferences and replace invalid C character by underscore
	in guards

2007-05-08 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/search/search-replace.c,
	plugins/search/search-replace_backend.c:
	Disable search button if search expression is empty (bug #378193)

2007-05-08  Naba Kumar  <naba@gnome.org>

	* plugins/project-wizard/templates/minimal/Makefile.am: Fixed
	build error.

2007-05-07  Naba Kumar  <naba@gnome.org>

	* configure.in:
	* plugins/project-wizard/templates/Makefile.am:
	* plugins/project-wizard/templates/minimal.wiz:
	* plugins/project-wizard/templates/minimal/.cvsignore:
	* plugins/project-wizard/templates/minimal/Makefile.am:
	* plugins/project-wizard/templates/minimal/Makefile.am.tpl:
	* plugins/project-wizard/templates/minimal/autogen.sh:
	* plugins/project-wizard/templates/minimal/configure.ac.tpl:
	* plugins/project-wizard/templates/minimal/project.anjuta:
	Added 'minimal', a generic and flat, project template.
	
2007-05-05  Naba Kumar  <naba@gnome.org>

	Patch from Cygwin Ports maintainer  <yselkowitz@users.sourceforge.net>:
 
	* configure.in: Define GNOME_CANVAS and fix GRAPHVIZ and SVN cflags/libs.
	* libanjuta/anjuta-launcher.c: Cygwin does not have B460800 or ECHOPRT.
	* libanjuta/interfaces/Makefile.am.iface: Fixed a typo.
	* libanjuta/interfaces/anjuta-idl-compiler.pl: Make a convenience library
	instead of a real one, fixes interdependency with libanjuta.
	* plugins/gdb/gdbmi.c: G_MODULE_EXPORT for gdbmi-test linking on Cygwin.
	* libanjuta/Makefile.am: 
	* libegg/Makefile.am:
	* plugins/build-basic-autotools/Makefile.am:
	* plugins/class-gen/Makefile.am:
	* plugins/class-inheritance/Makefile.am:
	* plugins/cvs-plugin/Makefile.am:
	* plugins/debug-manager/Makefile.am:
	* plugins/devhelp/Makefile.am:
	* plugins/document-manager/Makefile.am:
	* plugins/editor/Makefile.am:
	* plugins/file-loader/Makefile.am:
	* plugins/file-manager/Makefile.am:
	* plugins/file-wizard/Makefile.am:
	* plugins/gdb/Makefile.am:
	* plugins/glade/Makefile.am:
	* plugins/gtodo/Makefile.am:
	* plugins/language-support-cpp-java/Makefile.am:
	* plugins/macro/Makefile.am:
	* plugins/message-view/Makefile.am:
	* plugins/patch/Makefile.am:
	* plugins/profiler/Makefile.am:
	* plugins/project-import/Makefile.am:
	* plugins/project-manager/Makefile.am:
	* plugins/project-wizard/Makefile.am:
	* plugins/sample1/Makefile.am:
	* plugins/search/Makefile.am:
	* plugins/sourceview/Makefile.am:
	* plugins/subversion/Makefile.am:
	* plugins/symbol-browser/Makefile.am:
	* plugins/terminal/Makefile.am:
	* plugins/tools/Makefile.am:
	* tagmanager/Makefile.am: Properly define LDFLAGS and LIBADD.

2007-05-05 Vincent Geddes  <vincent.geddes@gmail.com>

	* plugins/glade/anjuta-glade-plugin.png: Update Glade icon.

2007-04-21 Sebastien Granjoux <seb.sfo@free.fr>

	* libanjuta/anjuta-launcher.c,
	libanjuta/anjuta-launcher.h:
	Add some missing implementation

2007-04-26  Brian Pepple  <bpepple@fedoraproject.org>

	Reviewed by Naba Kumar  <naba@gnome.org>:
	* pixmaps/Makefile.am (update-icon-cache): fix gtk-update-icon-cache
	for uninstall-hook.

2007-04-26  Jason Switzer  <jswitzer@gmail.com>

	Reviewed by Naba Kumar  <naba@gnome.org>:
	* plugins/editor/text_editor.c: Large memory addresses were being
	truncated, switched to glong (bug #422143).

2007-04-24  Naba Kumar  <naba@gnome.org>

	* plugins/document-manager/plugin.c: (prefs_finalize):
	* plugins/editor/aneditor-autocomplete.cxx:
	* plugins/editor/text_editor_menu.c:
	* plugins/editor/text_editor_prefs.c: (text_editor_prefs_finalize):
	* plugins/file-loader/plugin.c: (open_file_with),
	(create_open_with_submenu):
	* plugins/file-manager/plugin.c: (prefs_finalize):
	* plugins/terminal/terminal.c: (prefs_finalize): Fixed int to
	pointer type castings.

2007-04-24  Naba Kumar  <naba@gnome.org>

	Patch from s|s  <supreet.sethi@gmail.com>:
	* (added) plugins/project-wizard/templates/django-logo.png:
	* (added) plugins/project-wizard/templates/django.wiz:
	* plugins/project-wizard/templates/Makefile.am:
	* plugins/project-wizard/templates/translatable-strings.h: Added
	django project template. http://www.djangoproject.com/

2007-04-24  Naba Kumar  <naba@gnome.org>

	* plugins/subversion/anjuta-subversion.glade: Set expansion for
	the log entry widget and made the dialog little larger.

2007-04-24  Naba Kumar  <naba@gnome.org>

	Patch from Halton Huo:
	* configure.in:
	* plugins/project-wizard/property.c:
	* plugins/subversion/svn-auth.c:
	* plugins/subversion/svn-backend-priv.h:
	* plugins/subversion/svn-backend.c:
	* plugins/subversion/svn-backend.h:
	* plugins/subversion/svn-notify.h: Proper use of subversion
	headers. Fixes build issues in solaris (bug #426701).

2007-04-24  Naba Kumar  <naba@gnome.org>

	* libanjuta/Makefile.am: Removed bogus newlines at the end of file.
	
	* plugins/project-wizard/templates/cpp.wiz:
	* plugins/project-wizard/templates/gcj.wiz:
	* plugins/project-wizard/templates/gnome.wiz:
	* plugins/project-wizard/templates/gtk.wiz:
	* plugins/project-wizard/templates/gtkmm.wiz:
	* plugins/project-wizard/templates/java.wiz:
	* plugins/project-wizard/templates/python.wiz:
	* plugins/project-wizard/templates/terminal.wiz:
	* plugins/project-wizard/templates/wxwin.wiz:
	* plugins/project-wizard/templates/xlib-dock.wiz:
	* plugins/project-wizard/templates/xlib.wiz: Enabled shared library
	project option and set it ON by default (since gnome-build, can't
	enabled configure shared lib support later when a sharedlib target
	is added).

2007-04-21 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/stack_trace.c:
	Fix a missing case in the previous changes

2007-04-21 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/plugin.c:
	Fix bug #430401

	* plugins/debug-manager/breakpoints.c,
	plugins/gdb/plugin.c:
	Fix adding breakpoint on a function

	* plugins/debug-manager/stack_trace.c:
	Highlight changed stack frame

2007-04-18  Naba Kumar  <naba@gnome.org>

	* plugins/document-manager/anjuta-docman.c:
	(anjuta_docman_dispose), (on_editor_destroy),
	(anjuta_docman_remove_editor): Remove the editor widget from
	the parent container before calling destroy, otherwise container
	removal happens after TextEditor is disposed resulting in call
	to value-remove for a TextEditor which is half-dead (crash).

2007-04-11 Sebastien Granjoux <seb.sfo@free.fr>

	* plugins/debug-manager/data_buffer.c
	plugins/debug-manager/data_view.c,
	plugins/debug-manager/memory.c:
	Fixes for bug #418523, bug #427090 and bug #428174

2007-04-11 Halton Huo <halton.huo@sun.com>

	reviewed by: <jhs@gnome.org>

	* configure.in:
	* libanjuta/Makefile.am:
	* libanjuta/anjuta-utils.c:
	* libanjuta/anjuta-utils.h:
	* manuals/reference/libanjuta/Makefile.am:
	
	Fixed compilation on sun by deploying the libutil methods
	in anjuta-utils.h and building them on condition.

2007-04-11  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/anjuta-docman.c: (on_editor_destroy),
	(anjuta_docman_add_editor):
	Hold a reference on the editor as long as we use it.
	
	* plugins/document-manager/plugin.c: (on_editor_changed):
	Destroy GValue to fix a memoery leak.

2007-04-11  Johannes Schmid <jhs@gnome.org>

	* plugins/document-manager/plugin.c: (on_editor_changed):
	Fixed reference counting for editor by using g_value_take_object instead
	of g_value_set_object. The editors are now correctly finalized and thus
	we do not lack so much memory anymore.
	
	* plugins/sourceview/anjuta-view.c: (anjuta_view_init),
	(anjuta_view_finalize), (anjuta_view_focus_out),
	(anjuta_view_key_press_event), (anjuta_view_button_press_event):
	* plugins/sourceview/anjuta-view.h:
	* plugins/sourceview/plugin.c: (ieditor_factory_new_editor):
	* plugins/sourceview/sourceview-prefs.c:
	(on_gconf_notify_tab_size), (sourceview_prefs_destroy):
	* plugins/sourceview/sourceview-prefs.h:
	* plugins/sourceview/sourceview-private.h:
	* plugins/sourceview/sourceview.c: (on_document_loaded),
	(timeout_unref), (on_document_saved), (sourceview_finalize),
	(sourceview_new), (ifile_open), (ifile_savable_save),
	(ifile_savable_save_as):

